commit 88834bd
Author: Patrice Fournier <patrice.fournier@ifax.com>
Date:   Wed Jul 16 13:50:11 2014 -0400

    Makes the RTP Player graphs work with GTK3
    
    Change-Id: I91c689eb3a35f02f8fa4de64fb6e3337d42c9190
    Partial-bug: 9891
    Reviewed-on: https://code.wireshark.org/review/3090
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit faf3261c3ae31f0c603657b5092eb6707c988dd8)
    Reviewed-on: https://code.wireshark.org/review/3159

commit dcf0717
Author: Jeff Morriss <morriss@ulticom.com>
Date:   Tue Jul 1 16:39:15 2014 -0400

    Don't put hyphens in the rc's versions.
    
    Apparently neither RPM nor the Debian packaging systems like having hyphens in
    in the version.
    
    This change leaves a hyphen in the daily builds (which means we can't build
    RPMs or .debs of those); we might want to consider changing that to a tilde
    (~).
    
    Change-Id: Iaa4f3135e9e6452c2e1e199d85540e50778c5cdc
    Reviewed-on: https://code.wireshark.org/review/2759
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit fd12a88
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 20 08:08:37 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-07-20]
    
    Change-Id: I6ce16bfb03e2c7fbda83a04e11f77182d051d5bf
    Reviewed-on: https://code.wireshark.org/review/3132
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8dc5330
Author: Steev Klimaszewski <threeway@gmail.com>
Date:   Thu Jun 19 16:54:57 2014 -0500

    va_list can't be NULL on ARM.
    
    Bug: 10209
    Change-Id: Ibd63a530450b7d2d4ec244e91c77caa731ba63aa
    Signed-off-by: Steev Klimaszewski <threeway@gmail.com>
    Signed-off-by: Balint Reczey <balint@balintreczey.hu>
    Reviewed-on: https://code.wireshark.org/review/2464
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 320c4f0d705a3ed94f710fb4b7b3eef897ff7bc4)
    Reviewed-on: https://code.wireshark.org/review/3130

commit f9f1247
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Jul 19 15:17:17 2014 +0200

    fix bug 9100
    
    object and package containers may have multiple entries
    
    (manually backported 30239117ac1364b03a0a000cb79f91d986a3aa60 from master)
    
    Change-Id: If589988795f5307dccc8106f886cb115228efad4
    Reviewed-on: https://code.wireshark.org/review/3123
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 90bb39f
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Jul 18 16:02:56 2014 +0200

    add H.265 stream type
    
    Change-Id: Ic8e17f949f245ad6fe26fb8078e0545fe5b35daa
    Reviewed-on: https://code.wireshark.org/review/3116
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 831c1f2fe1586c7d8d5aa9767033ccba8b64da91)
    Reviewed-on: https://code.wireshark.org/review/3120

commit dc00875
Author: Fabian Raetz <fabian.raetz@gmail.com>
Date:   Fri Jul 18 13:50:05 2014 -0700

    Fix install_desktop_files non-portability and add out-of-tree support.
    
    Prepend $(srcdir)/ to the sources in install commands, and get rid of
    the -T flag, as it's GNU coreutils install-specific; some versions of
    install don't support -T at all, and FreeBSD's install has a -T flag
    that takes an argument and has a completely different meaning.
    
    Fixes bug 10292; fix came from
    
        http://marc.info/?l=openbsd-ports&m=140571104528980&w=2
    
    Change-Id: I8e80d475a728a17848736be043f97d2b90a0be82
    Reviewed-on: https://code.wireshark.org/review/3107
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4b720691c45e1a803bdcc01567ac1ec52da62740)
    Reviewed-on: https://code.wireshark.org/review/3108

commit 331a6ca
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jul 18 00:02:27 2014 +0200

    WebSocket: increase max unmask payload size to 256K and indicate that packet is truncated is going above the new limit
    
    Bug: 10283
    Change-Id: Iea5401d02bcf50a3427dce5f2b817c3b73a7dc11
    Reviewed-on: https://code.wireshark.org/review/3098
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit deb1d8d07f17911914216c5769cd69b9a29c5999)
    Reviewed-on: https://code.wireshark.org/review/3105
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 3c75739
Author: Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
Date:   Wed Jul 16 22:41:27 2014 +0900

    Fix assertion error when no header field was decompressed
    
    bug: 10279
    Change-Id: Ibf88b1622318692ccf3904aede5d964e6028bdc7
    Reviewed-on: https://code.wireshark.org/review/3087
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 1b8c4bae489caa26cfd5d7b68a25394f286607e4)
    Reviewed-on: https://code.wireshark.org/review/3088

commit 3abb0f0
Author: Jim Young <jyoung@gsu.edu>
Date:   Thu Jul 10 04:32:06 2014 -0400

    Fix regression related to OSPF related enum order definitions
    
    bug: 10271
    Change-Id: Ic400ab922679d86887f8b17bfe371b719d33490a
    Reviewed-on: https://code.wireshark.org/review/3086
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1a92fab
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jun 20 02:47:03 2014 -0400

    Allow expert info to show only items in the display filter.
    
    This was started by Chris Maynard before Qt was announced and I just polished it off for inclusion in GTK version of Wireshark.
    
    bug:1860
    Change-Id: Icaada6e7900f22b0a3d97c2a5656edfd8d8c8b7f
    Reviewed-on: https://code.wireshark.org/review/3035
    Reviewed-by: Christopher Maynard <Christopher.Maynard@gtech.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit d8cff57ef342b909f128244f3ab5e5debcec4988)
    Reviewed-on: https://code.wireshark.org/review/3077

commit 5446fea
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 15 18:10:22 2014 -0700

    The plural is "PDUs", not "PDU:s".
    
    Change-Id: I4bef734ef17b02e254b742744e2debd3038e98a0
    Reviewed-on: https://code.wireshark.org/review/3074
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bd30abf8701c940fc995317e6ac4aee3be04ad29)
    Reviewed-on: https://code.wireshark.org/review/3075

commit b7d81fa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 15 17:56:24 2014 -0700

    "Export PDUs to File" pops up a dialog, so put "..." after it.
    
    Also, capitalize "File" in the GTK+ version (it's already capitalized in
    the Qt version).
    
    Change-Id: I27eb27022930b1c0e0321cd1a1446c3b9dc1bd17
    Reviewed-on: https://code.wireshark.org/review/3072
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f862eaa7c29debe03c276c2d37dcbf501e18158c)
    Reviewed-on: https://code.wireshark.org/review/3073

commit 663b13b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 15 17:14:11 2014 -0700

    Squelch a warning.
    
    In at least some versions of GLib, g_array_free() warns if passed a null
    pointer, rather than just silently returning.
    
    Change-Id: I1bfc0a81faa1eeebe288f6e0cc58ebfb64784958
    Reviewed-on: https://code.wireshark.org/review/3068
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 28971b28518ba0c210690d97c29df984064f4cca)
    Reviewed-on: https://code.wireshark.org/review/3069

commit 445abfa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 15 16:40:46 2014 -0700

    Only one buffer.c, please.
    
    Otherwise, if you link with both libwiretap and libfiletap, it's
    anybody's guess which one you get.  That means you're wasting memory
    with two copies of its routines if they're identical, and means
    surprising behavior if they're not (which showed up when I was debugging
    a double-free crash - fixing libwiretap's buffer_free() didn't fix the
    problem, because Wireshark happened to be calling libfiletap' unfixed
    buffer_free()).
    
    There's nothing *tap-specific about Buffers, anyway, so it really
    belongs in wsutil.
    
    Change-Id: I242f93013c7104f31783c9ee52adcb090ce7b367
    Reviewed-on: https://code.wireshark.org/review/3067
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 21bf67a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 15 16:22:34 2014 -0700

    Have buffer_free() null out the buffer data pointer.
    
    That prevents some double-free issues (I got one when doing non-"Update
    list of packets in real time" captures, if I do one such capture and
    then another one).
    
    Change-Id: Ia08034d9d1640bad21b74960efade8926dbfc5de
    Reviewed-on: https://code.wireshark.org/review/3063
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7344cfc78ff89603af6dec685ed968f5954e757d)
    Reviewed-on: https://code.wireshark.org/review/3064

commit 15b43a1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jul 15 16:50:32 2014 +0200

    HTTP2: Fix double free
    
    Found by Clang Analyzer
    
    Backport from https://github.com/tatsuhiro-t/nghttp2/commit/62423f5949001c375c8e325296c74c92d1be0965
    Signed-off-by: Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
    
    Change-Id: Ic70f74b55ab80ca0b8d5042f07a29c9d14af4fe2
    Reviewed-on: https://code.wireshark.org/review/3059
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a5591dc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 14 16:48:10 2014 -0700

    Add application/atom+xml as an XML document type.
    
    Change-Id: I9fcf438f3cafcb3ab3a5b6dc0f72ed2561e5a94f
    Reviewed-on: https://code.wireshark.org/review/3049
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 52a4f3d121765ce758c16137b03e7b9d2e15908c)
    Reviewed-on: https://code.wireshark.org/review/3050

commit 967c209
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 14 12:18:11 2014 -0700

    Treat CR-LF at the end of a line like LF.
    
    That way, if we're reading a Windows-format file on UN*X, we handle it
    the same way we'd handle a UN*X-format file.
    
    This handles bug 10272 for the cfilter and dfilter file; there are other
    configuration files that may need code changes as well.
    
    While we're at it, don't hand non-ASCII characters to isspace().
    
    Change-Id: Ie4ecd2c9601545a60b4d3326c6782cfff093b156
    Reviewed-on: https://code.wireshark.org/review/3046
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 53c01b1e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 14 11:26:24 2014 -0700

    Treat CR-LF at the end of a line like LF.
    
    That way, if we're reading a Windows-format file on UN*X, we handle it
    the same way we'd handle a UN*X-format file.
    
    This handles bug 10272 for the preference file and the "recent" files;
    there are other configuration files that may need code changes as well.
    
    Change-Id: Iec15a8fac276929ce8b53ae16070e9f2855f574c
    Reviewed-on: https://code.wireshark.org/review/3042
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 338369ec2f89b47729df4b56ccf8fa3eab4ea270)
    Reviewed-on: https://code.wireshark.org/review/3043

commit a01be9b
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Jul 11 10:40:47 2014 +0200

    dtls: fix faulty offsets and tvbuff references
    
    This could lead to problems for fragmented DTLS packets.
    
    Change-Id: I602c7e181ea3799a4a2e7bcfed05bfbb129f7df4
    Reviewed-on: https://code.wireshark.org/review/3017
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 9e5e43ba449b4431f9db0cb77cd0fa3171acf7d4)
    Reviewed-on: https://code.wireshark.org/review/3028
    Reviewed-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 2c9dd83
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 13 08:08:09 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-07-13]
    
    Change-Id: I277a4f4761e2f725b3d8edfbbcb7cb28adf1efbf
    Reviewed-on: https://code.wireshark.org/review/3032
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 87bcaa1
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Jul 11 00:35:04 2014 +0200

    ssl: move Certificate handshake dissection to ssl-utils
    
    There are no dissection differences between DTLS and SSL, so move to
    ssl-utils. While at it, skip dissection when the tree is NULL, remove
    the plural from certificates length (the length is always larger than
    ome), fix type of "ti" for dtls, get rid of "failsafe" subtree
    assignment in ssl, get rid of tvb_ensure_bytes_exist in ssl.
    
    Unrelated changes: fix param (tvb vs sub_tvb) for DTLS KeyExchange
    handshake messages.
    
    Change-Id: Iecaa45a7a601e55a52aa16180cf219a122fbe95a
    Reviewed-on: https://code.wireshark.org/review/2985
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit ba6d2e7cc8d8d06e9b879813d3e11dc7855a9e99)
    Reviewed-on: https://code.wireshark.org/review/3000
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 7db5606
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat Apr 26 11:38:40 2014 +0200

    ssl/dtls: add support for Raw Public keys
    
    Instead of X.509 certificates now also Raw public keys are supported
    and shown correctly.
    
    This is described in this draft:
    https://tools.ietf.org/html/draft-ietf-tls-oob-pubkey-11
    
    Change-Id: Ibe7610aace31a19791b02e71ccd8d9ceb8cf979d
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/1372
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit a8e6d128ab85da609915b92f3d9e370203b67131)
    Reviewed-on: https://code.wireshark.org/review/2999
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 615b70a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jul 11 19:49:46 2014 +0200

    GTP: allow empty Data Record Packet IE
    
    Bug: 10277
    Change-Id: I4edf330fa1c44a52d985d70555c7756954fb9364
    Reviewed-on: https://code.wireshark.org/review/3008
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 826bca091874e04ce5aa72fa233df652bf8819fb)
    Reviewed-on: https://code.wireshark.org/review/3009

commit 3cebc55
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jul 3 19:28:21 2014 -0400

    packet-vnc.c: Fix a bug in displaying a set of FT_BOOLEAN bit fields (found by checkAPIs).
    
    Backported to master-1.12 from master
    
    Change-Id: Ie5252d20db5826f3e48aba11da1bf85d00630db2
    Reviewed-on: https://code.wireshark.org/review/2838
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Reviewed-on: https://code.wireshark.org/review/3005

commit ef90ec1
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jul 3 17:35:58 2014 -0400

    packet-vnc.c: Improve dissection
    
    - Properly dissect multiple VNC PDUs in one (or more) TCP segment(s).
    - Dissect additional message types ('Fence' and 'Enable Continuous Updates').
    - Handle "num_rects" field = 0xFFFF (TightVNC).
    - Add some more info as to sources of information about the VNC protocol.
    - Add an XXX note as to the (incorrect) reassembly method being used.
    - Add some notes as to possible ToDo's.
    
    Backported to master-1.12 from master
    
    Change-Id: Id4942c50b3d1373bd2e72c0131614835dc39ba90
    Reviewed-on: https://code.wireshark.org/review/2834
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Reviewed-on: https://code.wireshark.org/review/3004

commit 7f36674
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 19 16:49:07 2014 -0700

    remove duplicate offset=0
    
    Backported to master-1,12 from master
    
    Change-Id: I6653b733dfd2c587909371e50fd0c2efc4649dcd
    Reviewed-on: https://code.wireshark.org/review/2482
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-on: https://code.wireshark.org/review/3003
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 9536540
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 19 16:40:49 2014 -0700

    no need for if(tree)
    
    Backported to master-1.12 from master
    
    Change-Id: I5762fb30f57d0f9bc3e5fc786577ed1cc49b64d7
    Reviewed-on: https://code.wireshark.org/review/2481
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-on: https://code.wireshark.org/review/3002
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit feabf6e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 6 17:54:47 2014 +0200

    HTTP2: Backport to 1.12
    * Add HPACK decompression (add lib nghttp2)
    * Update to draft-13
    
    HTTP2: Showing decompressed headers
    
    Decode the HTTP/2 header block using nghttp2 HPACK decoder
    
    In this patch, We use nghttp2 HPACK decoder to decompress HTTP/2 header
    block.  To make HPACK decompressor work, we need to track down HTTP/2
    connection from the beginning.  If we see the HTTP/2 magic (connection
    preface), we initialize HPACK decompressor objects.  We actually use 2
    HPACK decompressor for both client and server.  HPACK decompressor
    objects are stored in hash tables using TCP stream index as a key.
    
    Most code by: Tatsuhiro Tsujikawa
    
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Signed-off-by: Pascal Quantin <pascal.quantin@gmail.com>
    
    Change-Id: Idb4dd4b0a200924820cb0b34db664cc37518168d
    Reviewed-on: https://code.wireshark.org/review/1527
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    
    Add nghttp2 lib (HPACK)
    
    Change-Id: I2a361951924045035a2a5d38f943e6b97c170f36
    Reviewed-on: https://code.wireshark.org/review/1623
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    
    NGHTTP2: fix typo (nghttp2_ent.h => nghttp2_net.h)
    
    Change-Id: I52d3c40794841614d55e88c9fe9cf2de43a0fa46
    Reviewed-on: https://code.wireshark.org/review/1897
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    
    NGHTTP2: fix -Wshadow about index with some old GCC release or Mac OS X buildbot
    
    (No problem with gcc-4.7 or gcc-4.8)
    
    Change-Id: Iae1f801abeb80429c08e93668133a9c5ac7977ef
    Reviewed-on: https://code.wireshark.org/review/1898
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    
    nghttp2: upgrade library to g4f7223e and add casts to please buildbots
    
    Change-Id: Ic412d4bfc56695cbcab709d42a6f31aa9e50c64e
    Reviewed-on: https://code.wireshark.org/review/1900
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    
    Fix /home/jmayer/work/wireshark/git/wsutil/nghttp2/nghttp2_hd.c:996:12: error: ‘check_index_range’ defined but not used [-Werror=unused-function]
     static int check_index_range(nghttp2_hd_context *context, size_t idx)
                ^
    cc1: all warnings being treated as errors
    
    Change-Id: Ie8e3fe12d339a689e0222eda501b253a7d6d923c
    Reviewed-on: https://code.wireshark.org/review/1912
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    
    HTTP2: try to please OSX 10.6 x64 buildbot
    
    Change-Id: I79e7a619b5dadb68b70f8b057494cc970a655cc7
    Reviewed-on: https://code.wireshark.org/review/1903
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    
    Make this comple whether assertions are enabled or not.
    
    Make the check for a valid index range a macro, so the compiler doesn't
    whine if it's not used, but it's available if it *is* used.
    
    Change-Id: I3cee0460eacef23187c141458dc5ac7a7acbf7c8
    Reviewed-on: https://code.wireshark.org/review/1914
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    
    HTTP2 : Max value for type is now 0x0B (BLOCKED type), update the heuristic
    
    Change-Id: I8de7b63ca90803f8fc6333bbe43aeb94459e6363
    Reviewed-on: https://code.wireshark.org/review/1918
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    
    Dissect HTTP/2 draft-13
    
    Summary of changes since draft-12:
    
    * Pad High and Pad Low wereare replaced with single Pad Length field.
    * Padding was removed from CONTINUATION frame.
    * ALTSVC and BLOCKED frames were removed.
    * Per-frame compression and its associated SETTINGS flag were removed.
    * HPACK Huffman code table and static header table were updated.
    
    Change-Id: I9c4f05f8cd937bfadbb1b912f2b9ffb31e9c18d5
    Reviewed-on: https://code.wireshark.org/review/2615
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    
    Update libnghttp2 to latest master (add support for draft-13)
    
    Bug:10256
    Change-Id: I24275f1b67120f69cfd673f7e5598a50b3c7566f
    Reviewed-on: https://code.wireshark.org/review/2145
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    
    Moved nghttp2 to epan
    
    Cleaned up nghttp2 build
    
    Change-Id: I9f7adc12936155e0ffc01ec825b5aff95279f97d
    Reviewed-on: https://code.wireshark.org/review/2937
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/2953

commit 0ab474c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 10 17:27:49 2014 -0700

    Avoid sign-extending bytes before handing them to <ctype.h> macros.
    
    Pointed out by the Visual Studio code analyzer.
    
    Change-Id: Idd429b4d0fb3db11ce171c3a5b38bdc55cc53c15
    Reviewed-on: https://code.wireshark.org/review/2988
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b5d4128bee88b42cb32337a6343bb44574ff2f3a)
    Reviewed-on: https://code.wireshark.org/review/2989

commit 8a47b3a
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jul 8 15:32:39 2014 -0400

    pre-commit: Add 'unset GREP_OPTIONS' (similar to Gerrit commit-msg)
    
      msysgit grep is fairly old and doesn't recognize certain
      grep options, e.g., '--color=auto'.
    
      I imagine there may possibly be other grep option issues
      on various platforms.
    
      (I also note that the various git scripts in libexec/git-core
       clear out GREP_OPTIONS before calling grep).
    
    Change-Id: I67bc148a77cfc0167064e61e8c47a5f091704eac
    Reviewed-on: https://code.wireshark.org/review/2945
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit b66f614e5d5fee0aad1eb025c228fcbf7f2aae7e)
    Reviewed-on: https://code.wireshark.org/review/2948

commit de09662
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jul 7 11:02:56 2014 -0400

    tools/pre-commit: Complete all checks on all files before exiting with Ok/Fail status.
    
    Change-Id: Iea6df6fbe5a977b282e823f87cd9f760e92a3e22
    Reviewed-on: https://code.wireshark.org/review/2918
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit cdf6d62b3ba81fd40ab386f5b0b16ec61223f5a9)
    Reviewed-on: https://code.wireshark.org/review/2947

commit 97be684
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 8 17:06:21 2014 +0200

    RRC: fix ASN.1 description by manually adding CR5591
    
    Without it, dual-band DF-3C feature does not work
    
    Change-Id: I95d4a7320b77c6093f5d51efdbb2b21af0deab11
    Reviewed-on: https://code.wireshark.org/review/2942
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit ac52c06038d919b94e77c7d0c5bdb1e3e659815c)
    Reviewed-on: https://code.wireshark.org/review/2943

commit 6cc7671
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jul 8 00:04:21 2014 -0400

    udvm: free the buffer *before* throwing the exception
    
    Freeing it after the exception doesn't do much, for obvious reasons. Also move
    the allocation a bit later, and add modelines.
    
    This fixes one major memory leak, although on inspection this code still isn't
    safe since there are exception-throwing functions called all over the place with
    glib memory active. Outside the scope of this fix though.
    
    Bug: 10265
    Change-Id: I1fe272e92b92cac6b99abb84866b8ae9b582e24c
    Reviewed-on: https://code.wireshark.org/review/2932
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e74a58b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 6 21:34:06 2014 -0700

    Squelch compiler warning.
    
    Change-Id: I37c495cb4d68b95d8388c654bbf6a817167261ac
    Reviewed-on: https://code.wireshark.org/review/2909
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e286acd05fc5494a9cc12e5b80a3ccbd2a7f5251)
    Reviewed-on: https://code.wireshark.org/review/2930

commit 88aa372
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 6 21:31:43 2014 -0700

    Wrong macro.
    
    Change-Id: I2e0e7c1a30c9fc2d5af7cbd53dae26ad9a619e71
    Reviewed-on: https://code.wireshark.org/review/2908
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9dfb3e7b46461bed36ba35a96d800f91288305ba)
    Reviewed-on: https://code.wireshark.org/review/2929

commit 4b8f8b3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 6 21:29:09 2014 -0700

    G_GNUC_FORMAT encapsulates __attribute((format_arg(...))).
    
    Change-Id: I9513c187ae4ce8b8cf8f6a926072b215e26ec64f
    Reviewed-on: https://code.wireshark.org/review/2907
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit eea2e156384f74320deb3f71bb22883d70de7681)
    Reviewed-on: https://code.wireshark.org/review/2928

commit 97d02ae
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 6 17:11:25 2014 -0700

    Squelch some compiler warnings.
    
    Change-Id: I768bf577b3871171ab33f080c5a0099ac06718ce
    Reviewed-on: https://code.wireshark.org/review/2906
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0a2f6fc01a9170ffc29570436c5496c046612a56)
    Reviewed-on: https://code.wireshark.org/review/2927

commit bade563
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 6 16:48:06 2014 -0700

    Squelch some compiler warnings.
    
    Change-Id: Ie39c7b0c1fef8f862cec016a3a1a5bd1451a3df2
    Reviewed-on: https://code.wireshark.org/review/2905
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 79fcc6a1a36e0637ce21f65a7e27bc6d90213509)
    Reviewed-on: https://code.wireshark.org/review/2926

commit 337aebe
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jul 6 15:34:38 2014 +0200

    Add printf-format annotations, fix garbage
    
    The WRETH dissector showed up some garbage in the column display. Upon
    further inspection, it turns out that the format string had a trailing
    percent sign which caused (unsigned)-1 to be returned by
    g_printf_string_upper_bound (in emem_strdup_vprintf). Then ep_alloc is
    called with (unsigned)-1 + 1 = 0 memory, no wonder that garbage shows
    up. ASAN could not even catch this error because EP is in charge of
    this.
    
    So, start adding G_GNUC_PRINTF annotations in each header that uses
    the "fmt" or "format" paramters (grepped + awk). This revealed some
    other errors. The NCP2222 dissector was missing a format string (not
    a security vuln though).
    
    Many dissectors used val_to_str with a constant (but empty) string,
    these have been replaced by val_to_str_const. ASN.1 dissectors
    were regenerated for this.
    
    Minor: the mate plugin used "%X" instead of "%p" for a pointer type.
    
    The ncp2222 dissector and wimax plugin gained modelines.
    
    Change-Id: I7f3f6a3136116f9b251719830a39a7b21646f622
    Reviewed-on: https://code.wireshark.org/review/2881
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit f2b4daf4005d60eef7e34e2e6ebf4fe487d3c255)
    Reviewed-on: https://code.wireshark.org/review/2923
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6217370
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Mon Jun 16 17:45:57 2014 -0400

    Add a cast to satisfy the buildbots.
    
    Change-Id: I1c128db8a8b0cbbef01a26f7b3a50ed2b59af229
    Reviewed-on: https://code.wireshark.org/review/2279
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit 319ad977175e34dde70799aae7c68ff24f24b977)
    Reviewed-on: https://code.wireshark.org/review/2922
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3563b09
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 6 08:26:58 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-07-06]
    
    Change-Id: I4a7770b144df70b577875adf6f4593682778da8c
    Reviewed-on: https://code.wireshark.org/review/2891
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8da0b0d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 5 19:25:47 2014 -0700

    Fix more errors revealed by enum-to-integer conversion warnings.
    
    Change-Id: Ib28af874cbac0623ed94e7558f3711e9a1b03a2d
    Reviewed-on: https://code.wireshark.org/review/2874
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 8481c438614427a9249aa20e31062e3bf7a86a89)
    Reviewed-on: https://code.wireshark.org/review/2875

commit e851c0a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 5 18:33:00 2014 -0700

    Squelch a warning.
    
    Change-Id: Id27a6447dba9b6eda07933139a3f07edd71c8fd6
    Reviewed-on: https://code.wireshark.org/review/2872
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ab5d1cfa20b3047ed062bc3b9fbf85d396ae7e63)
    Reviewed-on: https://code.wireshark.org/review/2873

commit e13d4d4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 5 18:13:13 2014 -0700

    Pull the record processing into netmon_process_record().
    
    That combines more common code from the read and seek-read code
    paths.
    
    Also, separate out the individual metadata record types, with a comment
    for each, to simplify the process of supporting some or all of them in
    the future.
    
    Change-Id: Ic8ded397d9550ec6013c1f5f138333b1ef5c37e5
    Reviewed-on: https://code.wireshark.org/review/2869
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 570d52a844afe40255ccce68d4bdad66669ff709)
    Reviewed-on: https://code.wireshark.org/review/2870

commit 9b81e6b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 5 12:32:27 2014 -0700

    Fix an error caught by enum-conversion warnings.
    
    (Strong typing is for weak minds.
    
    Human minds are weak.
    
    Therefore, strong typing is for human minds.)
    
    Change-Id: I2a973b6168235d5d1c7f2a5f8ac79b97b963d846
    Reviewed-on: https://code.wireshark.org/review/2863
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3f7725174d2c4122b1d159958a56b8d8b928301b)
    Reviewed-on: https://code.wireshark.org/review/2864

commit 6319ff6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 5 11:48:52 2014 -0700

    Fix whitespace issues.
    
    Change-Id: I69f84ca8b947be8e06005c82526559e3bc8f6387
    Reviewed-on: https://code.wireshark.org/review/2861
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c8bcdd52716a308bf3d6cbd131c68a31203f6e0b)
    Reviewed-on: https://code.wireshark.org/review/2862

commit df61fac
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 5 11:45:18 2014 -0700

    Handle the UTC timestamps in NetMon 2.3 files.
    
    This addresses part of, but not all of, the issues in bug ten thousand,
    one hundred, and ninety:
    
        https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10190
    
    (I'm spelling it out to make sure Gerrit doesn't think this change
    *does* address all the issues in that bug, and mark it as RESOLVED
    FIXED; I feel like I have to treat Gerrit as a dog or small child from
    whom I'm trying to keep a secret - "honey, I'm taking the dog to the
    vee eee tee".)
    
    Change-Id: Ic234130c1ea84cfaf47901485dca775e168f71d0
    Reviewed-on: https://code.wireshark.org/review/2859
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 599b880e4c53613c243b0a39548968f34cdce0e3)
    Reviewed-on: https://code.wireshark.org/review/2860

commit 62a429a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 23 23:56:59 2014 -0700

    proto_tree_add_uint() takes a value, not an encoding, as an argument.
    
    Change-Id: Ie2c0523e32b54cd13506501d98215934a8d1304e
    Reviewed-on: https://code.wireshark.org/review/2611
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4f1d20abae2c485bf0cdcaee10a917e4e01ebda1)
    Reviewed-on: https://code.wireshark.org/review/2858

commit e166d36
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jul 4 21:45:15 2014 +0000

    Expand a variable from 16 to 32 bits (and make it signed).
    
    Fixes an overflow leading to infinite loop.
    
    Bug: 10259
    Change-Id: Ie76c5a810af927ba092f4067268bd789b3a7d7bf
    Reviewed-on: https://code.wireshark.org/review/2856
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit c92bf7e44bae7d73b65461b7fb5bf9cea72705ce)
    Reviewed-on: https://code.wireshark.org/review/2857

commit f12aac6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jul 4 13:48:29 2014 +0200

    Fix qtshark compilation with more explicit casts (follow-up of g106c8b3)
    
    Change-Id: I81f862e03977b7fd8aa6852fada0c6e1b00b52bf
    Reviewed-on: https://code.wireshark.org/review/2849
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 34303a2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jul 4 11:56:48 2014 +0200

    TCP: backport out of order packet detection algorithm from master branch
    
    Change-Id: I20ec27a1dc226b412eaa1caddb66b6b7caafbe4e
    Reviewed-on: https://code.wireshark.org/review/2847
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f3a0092
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jul 4 11:52:55 2014 +0200

    Fix Windows build broken by g106c8b3
    
    Change-Id: I55aa398838a6809cb6597647335ae72f824cfc43
    Reviewed-on: https://code.wireshark.org/review/2846
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 600a505
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Jun 25 10:54:57 2014 +0200

    ssl-utils: add missing ett registration
    
    Fixes the dissector bug warning:
    "epan/proto.c:4657: failed assertion "idx >= 0 && idx < num_tree_types"
    
    Add some comments to avoid future mistakes, add folding markers and fix
    alignment of curves hf.
    
    Change-Id: Ibcb57bfeb09a9777324682704a86f1ce260d345e
    Reviewed-on: https://code.wireshark.org/review/2642
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 4224e353f9ca3a3224ad2be3728905e729e74b9c)
    Reviewed-on: https://code.wireshark.org/review/2817
    Reviewed-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dcc01c2
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 23 23:14:06 2014 +0200

    ssl: fix ClientKeyExchange, fix TLSv1.2 SKE for DH
    
    Since DTLS and TLS do not differ in handling ClientKeyExchange and
    ServerKeyExchange, its dissection got moved to ssl-utils. The code is
    based on the SSL dissector, with header field names adjusted to the
    DTLS ones (those got capitalized). Besides a version difference (for
    signatures), the header field and function names, the DTLS and SSL code
    are equal (this is verified).
    
    This patch refactors the dissectors for DHE_RSA and ECDHE to make use of
    a common function to dissect the signed_params field. All offset
    tracking is also removed in favor of exception handling by the
    proto_tree_add_item function. Occurrences of proto_tree_add_uint are
    also replaced by proto_tree_add_item for simplicity.
    
    After those changes, the SKE dissector for DH key exchanges is updated
    to handle the mandatory signature field in TLSv1.2, using the newly
    added function. (bug 9208)
    
    Another bug occurred after the length check removal, pre-TLS and
    OpenSSL's old DTLS implemenation do not include a vector length in
    the CKE. This is now also fixed. (bug 10222)
    
    Other minor changes: comments added/corrected, renamed
    keyex_dh -> keyex_dhe (includes DHE_RSA and DHE_DSS).
    
    Bug: 9208
    Bug: 10222
    Change-Id: I76e835d56a65c91facce46840d79c1c48ce8d5dd
    Reviewed-on: https://code.wireshark.org/review/2542
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit e22d3c9b744af8fa49806f1cde2100be85cc58cc)
    Reviewed-on: https://code.wireshark.org/review/2816
    Reviewed-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 098aa9f
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat Apr 26 10:45:41 2014 +0200

    ssl-utils: dissect the certificate type TLS extension
    
    This analyses the certificate type extensions and then stores the
    certificate type in the ssl session. This way we can later show the
    certificate in the correct from.
    
    This is described in this draft:
    https://tools.ietf.org/html/draft-ietf-tls-oob-pubkey-11
    
    Change-Id: Ifdda165807bc29f1fc138da000a9a538ecd18b6e
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/1371
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 584b81372b70f3fbb28e35df145215778b0d6663)
    Reviewed-on: https://code.wireshark.org/review/2815
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9c1607f
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sun May 25 11:07:51 2014 +0300

    ssl: use SslSession
    
    Use the struct SslSession instead of passing the tls version and cipher
    to each function.
    
    Change-Id: I19b163913f8f6521a34d94d130e2ae74546a615a
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/1821
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 13e4f777c763e22a260638445d7395687d787b54)
    Reviewed-on: https://code.wireshark.org/review/2814
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a028288
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Sat May 24 17:51:10 2014 +0300

    dtls: use SslSession
    
    Use the struct SslSession instead of passing the tls version and cipher
    to each function.
    
    Change-Id: I95ad8cb5857794608f0f8db5c2dfd4b16e6578d5
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/1820
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 00251edd7d6bb2720507fa30fcde4d4e2f6c4842)
    Reviewed-on: https://code.wireshark.org/review/2813
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3245a9f
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Thu May 22 10:45:40 2014 +0200

    ssl: add SslSession structure
    
    This structure is used to store information about a SSL session which
    is not only needed for decrypting the session, but also to show nice
    dissection information.
    
    In an other patch I will add some more members to the struct because
    the old way of passing them to the function does not scale.
    
    Change-Id: I88e7f2896e0364a41d4538752dad291de83bfbca
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/1819
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit a7a4aa9a743f68f9864011d3b56bb5739c2cda15)
    Reviewed-on: https://code.wireshark.org/review/2812
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 106c8b3
Author: Andrew Bitson <abitson@gmail.com>
Date:   Wed Jul 2 09:04:47 2014 -0500

    adding abs() functions when creating the values to be graphed since the graph only handles positive values.
    Does not apply to FT_RELATIVE_TIME.
    
    This is being added to master-1.12 to avoid breaking future QT functionality in the graph.
    
    Bug 9985 - Add absolute values to i/o graph
    
    Change-Id: I32565c346bef48ec852f61c379df96f2c733e68f
    Reviewed-on: https://code.wireshark.org/review/2780
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 047c4c0
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jun 19 21:35:46 2014 -0400

    packet-vnc.c: Improve re-assembly.
    
    Essentially:
    
      When more data is needed to continue dissecting a PDU, use
      DESEGMENT_ONE_MORE_SEGMENT instead of repeatedly requesting
      additional bytes (for one or a few more fields).
    
      - Improves the efficiency of the dissection;
    
      - Prevents 'one-pass' tshark dissection from redissecting
        the PDU repeatedly many, many times with each time dissecting
        the PDU with one or a few more additional fields.
        This generated *lots* of (repeated) output since a reassembled
        VNC PDU can contain many fields (each of short length).
    
      - (A comment in packet-tcp.c states, in effect, that repeatedly
         requesting a specific amount of more bytes to dissect a PDU
         will "break reassembly" although I note that the reassembly did
         seem to work (in-efficiently)).
    
    Note: Although this patch improves the handling of reassembly, the
          dissector has significant issues. For example. see Bug #5366.
    
    I expect this fixes the Bug #10134 issue: "Cannot allocate memory";
    
    Before the fix, 'tshark -nVxr' for the input file generated trees with
    multiple hundreds of thousands of entries and generated reassembled
    PDUs consisting of many, many small fragments.
    
    Change-Id: I970037c346fbaa4bffa5726fd5bee5f69396eabf
    Reviewed-on: https://code.wireshark.org/review/2471
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 728e5a1ab3e2614ec83a6af43a52742cf0f5df01)
    Reviewed-on: https://code.wireshark.org/review/2821

commit 71cb629
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Jul 3 11:25:21 2014 +0200

    catapult,irda: Fix ASAN crashes due to buffer underrun
    
    The catapult dissector tripped on this random file I had. A quick look
    at other dissectors which use a construct like "-1] *= '*\\[rn]" showed
    packet-irda too, so fix that as well.
    
    Change-Id: I4b5fadcacd0b09d0fb29bdefc3dd1f28aef9b593
    Reviewed-on: https://code.wireshark.org/review/2802
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 16f8ba1bed579344df373bf38fff552ab8baf380)
    Change-Id: I4b5fadcacd0b09d0fb29bdefc3dd1f28aef9b593
    Reviewed-on: https://code.wireshark.org/review/2809
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 58d93e1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 2 23:04:58 2014 +0200

    GTP: add dissection of Extended End User Address
    
    Bug: 10251
    Change-Id: I174b5a2b3e2ec8ff2ead9f290b452ee468f6fe66
    Reviewed-on: https://code.wireshark.org/review/2783
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 2dbab6df183148c370f6ea501c1c00974364407b)
    Reviewed-on: https://code.wireshark.org/review/2793
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a81265a
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Mon Jun 30 17:56:28 2014 +0200

    Allow overriding C/C++ flags from CMake command line
    
    Append user's flags to our flags instead of prepending them to make
    user flags higher priority.
    
    Change-Id: I3ead33ee5fa06a2395d9197a027306ef99a704a2
    Reviewed-on: https://code.wireshark.org/review/2722
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    (cherry picked from commit 65e3f5c25ee48e5b736ddbdf04fb2a31601ce8c1)
    Reviewed-on: https://code.wireshark.org/review/2786
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit fcea3cb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 2 13:27:00 2014 -0700

    Fail if any of the install-exec-hook commands fails.
    
    Hopefully, this will mean that somebody doing a set-UID/set-GID/setcap
    installation as themselves rather than as root will not "succeed" but
    leave dumpcap installed without enhanced privileges, so the underlying
    problem in bugs such as bug 10247 will be more obvious.
    
    Change-Id: I34393bc2c9ea4dc59854a08524edb4f65e79730b
    Reviewed-on: https://code.wireshark.org/review/2781
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 2c9d2bea32238223634ae975cfd4e682ba1a0b2b)
    Reviewed-on: https://code.wireshark.org/review/2782
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d570514
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Jul 1 18:28:26 2014 -0400

    Get rid of rpath when we're building RPMs.
    
    Fedora prohibits it, we don't need it, and it gets in the way some times.
    
    Change-Id: I92cee959f471866ff90efe9f96e4fa519c357dd9
    Reviewed-on: https://code.wireshark.org/review/2763
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit a4a624e4c5f16ad75ab9124e390f82efaca06512)
    Reviewed-on: https://code.wireshark.org/review/2765

commit 44b8729
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Jul 1 17:22:46 2014 -0400

    Fix buildroot.
    
    Change-Id: I902db6c69ae5966da1102e4fbcfd9f46867c0b4f
    Reviewed-on: https://code.wireshark.org/review/2762
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit 5f682f1f0329d65edbb363d7db1df23840d38d83)
    Reviewed-on: https://code.wireshark.org/review/2764

commit 5d2747c
Author: Malcolm Walters <malcolm.walters@acano.com>
Date:   Tue Jul 1 13:38:47 2014 +0100

    Fix for Bug 10240.
    Include padding length in calculation of correct attribute length
    
    Change-Id: I569c6a9e1be39e3bb997e797a094b80cdcba6b07
    Reviewed-on: https://code.wireshark.org/review/2747
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 2a306f4b05b156a08788df80648bc2714c412b1f)
    Reviewed-on: https://code.wireshark.org/review/2760

commit 4b59394
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 30 15:37:58 2014 -0700

    Always set the crash information.
    
    There's no reason to do it only on Windows - and, in fact, the only
    platform where we currently do anything with the information is OS X.
    Every other program in the Wireshark suite that does it at all does it
    on all platforms.
    
    Change-Id: I7d017be224628fc08aaf7e64b380af7a5beb0232
    Reviewed-on: https://code.wireshark.org/review/2731
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1322190
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jun 30 01:48:16 2014 -0400

    Fix Bug #10238: Display filter expression dialog items do not expand/display properly.
    
        Unfortunately, certain proto_hier_tree_model.c functions
        assume/require that a cookie generated by
        proto_(first|next)_protocol_field() will never have a NULL value.
    
        Bug introduced in gd47ae54.
    
    Change-Id: I42763d02f700e15ca9b3ab9980943d4f8d933ca9
    Reviewed-on: https://code.wireshark.org/review/2712
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 9cf40b67b258616c248569b74685693f14a0aab3)
    Reviewed-on: https://code.wireshark.org/review/2715

commit 1d08bee
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 29 15:13:43 2014 +0200

    GSM MAP: ensure that p2p_dir is always initialized before calling GSM SMS dissector
    
    Bug: 10234
    Change-Id: Ie340b849015febe46f91836440d44d4cfde005a4
    Reviewed-on: https://code.wireshark.org/review/2695
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit e39e44df246c89c31d708923a181f99810240731)
    Reviewed-on: https://code.wireshark.org/review/2700

commit a2e2571
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 29 08:07:20 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-06-29]
    
    Change-Id: I47f6863f34690631f4b7b8dcc654f802155794c6
    Reviewed-on: https://code.wireshark.org/review/2697
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 713fbc6
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 26 23:25:08 2014 -0400

    If we have no fields, don't try to iterate through them.
    
    Otherwise glib throws an assertion since the array we pass it is NULL.
    
    Change-Id: I9159c1f5ad99b280c040cd790df3cf352738601f
    Reviewed-on: https://code.wireshark.org/review/2680
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 8d2eaaab51f0c64de0488b7b2b83cac7086628c1)
    Reviewed-on: https://code.wireshark.org/review/2681

commit a189ed8
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 19 14:32:55 2014 -0700

    handle TS packet reassembly for PES packets with 0 length field
    (unknown length)
    
    this fixes bug 9527
    
    Change-Id: I255ae9662dfeea06e61e4b0891e0ea8eaa254d0f
    Reviewed-on: https://code.wireshark.org/review/2462
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 1e9bc6e4832d99be59e9140558b0265828fd590e)
    Reviewed-on: https://code.wireshark.org/review/2679

commit 35ee9d2
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Jun 25 15:37:36 2014 -0400

    Check the validity of fields given to tshark with "-e": complain and exit if
    they aren't valid.
    
    Should help avoid confusion like that in
    https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10201
    
    Bug: 10201
    Change-Id: Iff7f51ae042ca1a92d1c803b6cb61aa5d81ce205
    Reviewed-on: https://code.wireshark.org/review/2654
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 9d4af5fccd4061521f72d42c2afb7fef78d3e690)
    Reviewed-on: https://code.wireshark.org/review/2673

commit b97d70d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jun 26 10:33:21 2014 -0700

    Fix compilation of packet-btavdtp.c.
    
    Change-Id: I6962dafd8c6c2db522fb01178a1b4cdb831ee85b
    Reviewed-on: https://code.wireshark.org/review/2671
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ced8a05
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jun 25 16:00:11 2014 -0700

    Decrease TRAFFIC_CAPTURE_DURATION from 60s to 15s.
    
    Change-Id: Ie6d6ac0489f0fcb506360a3900d33c44cb3477e9
    Reviewed-on: https://code.wireshark.org/review/2664
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 81963e7f1a5c7b19b414a4de210cc65c62aee27c)
    Reviewed-on: https://code.wireshark.org/review/2666

commit 9d8adb2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 25 14:05:36 2014 -0700

    Update a comment.
    
    Also, make the block of code containing that comment intended
    consistently with spaces.
    
    Change-Id: I8e8eb346833662f15c53ece5869b12cc430bad11
    Reviewed-on: https://code.wireshark.org/review/2661
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 765405da3e7ee501935e04a818beda6fffa4ccf9)
    Reviewed-on: https://code.wireshark.org/review/2662

commit 4c4ae26
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 25 13:42:36 2014 -0700

    Boost the maximum snapshot length to 262144, for USBPcap.
    
    Change-Id: I104bd9d1519298a0e4ff818f1cf821df594b3491
    Reviewed-on: https://code.wireshark.org/review/2658
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 474b90e35898c8898695b43bb49305ec200fa6b0)
    Reviewed-on: https://code.wireshark.org/review/2659

commit 9ade6ec
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 25 13:26:39 2014 -0700

    Boost the maximum packet size to 131072.
    
    Libpcap 1.6/tcpdump 4.6 will support up to 131072, as the MTU on the
    Linux loopback device is 65536 on at least some versions of the kernel,
    and that doesn't count the fake Ethernet header, so the maximum packet
    size is 65549; they went to the next power of 2 up.
    
    Change-Id: Ibfc66d01ef8ef7387887a75c2b567159bb78ac0f
    Reviewed-on: https://code.wireshark.org/review/2655
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 8cde7a72d6c2b8e5cac87aeec5b1f200185cbe4a)
    Reviewed-on: https://code.wireshark.org/review/2656

commit e314763
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Jun 24 16:53:58 2014 +0200

    Fix sorting RTP Streams by jitter
    
    Bug: 9460
    Change-Id: I80d991053eb47b8650561e8af4cc8dec512e2c9c
    Reviewed-on: https://code.wireshark.org/review/2619
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 00212e5f98b71787e274a92a3b72f41d474e888f)
    Reviewed-on: https://code.wireshark.org/review/2634

commit 0db675d
Author: Ben Burwell <bburwell@lutron.com>
Date:   Tue Jun 24 11:34:40 2014 -0400

    Add quotes around MAKEDIR.
    
    Bug: 7870
    Change-Id: I6cea057c4953f5ecc0a146a24570d089e79f8352
    Reviewed-on: https://code.wireshark.org/review/2620
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 830d1b1ce9905e287386c9e8bc638c26380d77cb)
    Change-Id: I6cea057c4953f5ecc0a146a24570d089e79f8352
    Reviewed-on: https://code.wireshark.org/review/2636
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 018fa44
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Jun 24 14:58:46 2014 +0200

    GTK3: Fix changing filter expression's bg color based on validity
    
    Bug: 8598
    Change-Id: Id5a52c05cab25df9e228b1b4d2caf07335c1f4c8
    Reviewed-on: https://code.wireshark.org/review/2614
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 09b86bdb0ce6602f1c15a8fccd4057aeb1d2e823)
    Reviewed-on: https://code.wireshark.org/review/2630

commit 25d39ca
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 24 13:48:40 2014 -0700

    Support -w even if we're not built with pcap.
    
    You can, for example, do
    
    	tshark -r file1 -Y filter -w file2
    
    to read a file, apply a read filter, and write the packets that match
    the filter to another file even if you can't capture traffic.
    
    Change-Id: Ifd5e1d5c0e745edef5e98ec4babc720bfbcee6d9
    Reviewed-on: https://code.wireshark.org/review/2627
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0fb9369a5ed3381c1c243c2f34a66f3061712c4b)
    Reviewed-on: https://code.wireshark.org/review/2628

commit c7874f7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 23 22:06:05 2014 +0200

    Initialize whole buffer in GPRS Mobility and Session Management dissector
    
    Bug: 10216
    Change-Id: I572a7a6ce0f816063f02397b667dd46c990cf73e
    Reviewed-on: https://code.wireshark.org/review/2583
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit dd7134d907350ccc574cdec596f4162860912bb9)
    Reviewed-on: https://code.wireshark.org/review/2584

commit d24be5b
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Jun 18 17:10:09 2014 +0200

    Bluetooth: A2DP: Fix fuzz failture
    
    Fix invalid structure casting by using defaults values,
    this also fix DecodeAs for A2DP.
    
    Do the same for VDP.
    
    Change-Id: I360787af648ed65205eb54732ab6d88f8532cf15
    Reviewed-on: https://code.wireshark.org/review/2551
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    (cherry picked from commit 10fc6e253195dced1c00d59e4fbe3d020ecb739d)
    Reviewed-on: https://code.wireshark.org/review/2565
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a3e3db5
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jun 22 16:53:35 2014 -0400

    Initialize whole buffer in GTP dissector
    
    Bug:10216
    Change-Id: Ib7de616d50937eb43b16daa4067ee0de9edc8ec7
    Reviewed-on: https://code.wireshark.org/review/2562
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 3fc441e7a5008640c68ec985e669d5092414a519)
    Reviewed-on: https://code.wireshark.org/review/2563

commit 91a375f
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jun 22 15:33:06 2014 -0400

    Fix leak in nbap init function
    
    Change-Id: I9a70d4da936ad5fd847fc1ba0b29b7220030b977
    Reviewed-on: https://code.wireshark.org/review/2558
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit ce99d8a205071eaa5f3de69f281a272861294a57)
    Reviewed-on: https://code.wireshark.org/review/2561

commit 3775ebd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 22 08:06:55 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-06-22]
    
    Change-Id: Iba4a0dbae673d14232a1c8d2f6f9e48e291f739c
    Reviewed-on: https://code.wireshark.org/review/2544
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f5ea0d2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 20 20:43:48 2014 +0200

    TCP: update the list of options and put Kind and Length items in the right subtree
    
    Bug: 10211
    Change-Id: Ide37f2a2b33f0d6d7cdff897eed02a8c1ea24f7d
    Reviewed-on: https://code.wireshark.org/review/2488
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 6808afd0172cc1507f19ef1533f500fac4b0dce2)
    Reviewed-on: https://code.wireshark.org/review/2490
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6a369cf
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Jun 20 18:50:00 2014 +0200

    Revert part of svn revision 52045 (git b38ee917)
    
    This fix does change the format printed for values using bitmasks
    (because the bit values are printed first) and is not always wanted
    in this dissectors (because of readability).
    
    We should have a better way of doing what I want in this dissectors,
    so I'll have a look at this later.
    
    Change-Id: I2477aa6b1d0c42a7ad5848bba3cb74dce3bba1f0
    Reviewed-on: https://code.wireshark.org/review/2485
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 2ab2921c7d146ae453770e14ea3a4a11f2bdc2fd)
    Reviewed-on: https://code.wireshark.org/review/2486

commit b1da509
Author: dameiss <netshark@ameissnet.com>
Date:   Thu Jun 19 18:08:39 2014 -0400

    Add GTK modules for existing LBM dissectors.
    
    Mainly cherry-picked from commit 46a808acf4e8c87b61169bfac00799857b38f1f0, but there were a few minor issues that were merged into this single commit.
    
    bug: 10204
    Change-Id: Ie21cc07b0ac9a56648ec72062ce58a1ac800318e
    Reviewed-on: https://code.wireshark.org/review/2427
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 224ab2d
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 19 23:05:53 2014 -0700

    Don't hide tcp option kind/len fields
    
    Hidden fields are deprecated, and we were hiding them inconsistently anyways.
    
    Bug:10211
    Change-Id: Iaf1576ae7bc04c0c0bd896c096b117f1b8af2e9e
    Reviewed-on: https://code.wireshark.org/review/2474
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 80c070fb517a8c153278d936f0143e283adc01fb)
    Reviewed-on: https://code.wireshark.org/review/2475

commit 4a5b04b
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Jun 19 17:42:37 2014 -0400

    Don't crash when closing the Summary window if the file has been closed.
    
    Yes, this is a Gtk-UI fix but it's a one-liner and easy enough.
    Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8715
    
    Bug: 8715
    Change-Id: I554b6c953e83ff3d8cb57029e844f2f481b751dd
    Reviewed-on: https://code.wireshark.org/review/2460
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit a32dbae525386fbf2ed14d5d5b982f666ac42219)
    Reviewed-on: https://code.wireshark.org/review/2463

commit b1c025a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 19 23:16:56 2014 +0200

    Update User Guide for upcoming 1.12.0 release
    
    Change-Id: I01dace804dc011c096753e413c27615c0661edbe
    Reviewed-on: https://code.wireshark.org/review/2457
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit bc075ae
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 19 21:40:20 2014 +0200

    Kerberos: fix dissection of packets when Record Mark is present
    
    Bug: 10200
    Change-Id: Ied8db64120131c029e276d66aeff8b81a45a7286
    Reviewed-on: https://code.wireshark.org/review/2447
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 0a3b1d8beb22745d6c9a04297f4056770016299e)
    Reviewed-on: https://code.wireshark.org/review/2454

commit 7ea0d6c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 19 21:13:17 2014 +0200

    Long and short names are inverted
    
    Change-Id: Ief3c86562d5eadb845b5a32dc704a61ccd27fdf6
    Reviewed-on: https://code.wireshark.org/review/2443
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit e1c0674564ee39ebf7bc74d6c70e9a78a92dbe7d)
    Reviewed-on: https://code.wireshark.org/review/2444

commit 1dfe213
Author: Evan Huus <evan.huus@jadedpixel.com>
Date:   Thu Jun 19 19:06:59 2014 +0000

    Fix underflow causing infinite loop in openflow dissector
    
    Bug:10208
    Change-Id: I8aff9523fd33cf9e0802153100ea032139966b26
    Reviewed-on: https://code.wireshark.org/review/2440
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 592c3673c63561c5126885933e64d734e0572769)
    Reviewed-on: https://code.wireshark.org/review/2441

commit 7e92d04
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Tue May 27 13:50:00 2014 +0200

    EPL: Reassemble the splitted payload
    
      The data that is sent when downloading or uploading from a server is
      sent in segments to the client.To clearly display all the segments
      belonging together the splitted payload needs to be reassembled.
    
      The behaviour is described in the powerlink specification 301 v1.2.0
      chapter 6.3.2.4.1.1 Download Protocol and chapter 6.3.2.4.2 Upload
      Protocol. The payload of the download/upload is now reassembled.
    
      Backport - This is an enhancement over the current dissector in a way,   that the former segmented payload can be debugged better.
    
    Signed-off-by: Lukas Emersberger <lukas.emersberger@gmail.com>
    Change-Id: I17c30f15e75da47bcaba8f1fda1e412849ec268c
    Reviewed-on: https://code.wireshark.org/review/1120
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f0cf649b3265c915e4e11aeac5ecd76ada03c46c)
    Reviewed-on: https://code.wireshark.org/review/2337
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit 701b6ad
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Wed Jun 18 12:07:20 2014 -0700

    Generate xz compressed archives instead of .bz2-s
    
    Change-Id: Iad47516ae617f5ecac5b03f2d7e800208c499d4a
    Reviewed-on: https://code.wireshark.org/review/2403
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 5a6366c9b56990eb7f4af17bf628ad80fc354ece)
    Reviewed-on: https://code.wireshark.org/review/2426
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>

commit 32f4bee
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Wed Jun 18 11:43:08 2014 -0700

    Add simple script to export release tarball right from Git
    
    The files not to be present in the release tarballs are filetered based
    on the contents of the .gitattributes files
    
    Change-Id: If12eb00cf174f5d5b6dfffd56685b078a4593bf8
    Reviewed-on: https://code.wireshark.org/review/2402
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 85499fbbc682c36482e2053e66a642f5d581d356)
    Reviewed-on: https://code.wireshark.org/review/2425
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>

commit d4f9805
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 19 02:42:47 2014 +0200

    Add the ability to dynamically add a new protocol to export PDU dialog box
    
    Change-Id: I83012cc963d514982e40010e837e11a6fcf1bc3e
    Reviewed-on: https://code.wireshark.org/review/2423
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit bcff3c57cc42acdda9eb9bc6f556dcbcb069e51f)
    Reviewed-on: https://code.wireshark.org/review/2424
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 3d23e94
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Jun 18 22:57:15 2014 +0200

    Rename the filtername to initial_rtt
    
    Change-Id: I64af535dc07eb4310b212077bb4c52032e97ecdb
    Reviewed-on: https://code.wireshark.org/review/2413
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    (cherry picked from commit 13597c936393545abad95ab15aa8d8944a6c7f04)
    Reviewed-on: https://code.wireshark.org/review/2421

commit 7d72f26
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Jun 18 21:57:47 2014 +0200

    Rename the Shortname of initial RTT to something short (iRTT)
    
    Change-Id: I182f2cccae5a385572950f08fa0a6005dcf59ff1
    Reviewed-on: https://code.wireshark.org/review/2409
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    (cherry picked from commit 461c6a0984236100177aa689e89e5e18fe7f360a)
    Reviewed-on: https://code.wireshark.org/review/2419

commit c52c909
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Jun 18 19:46:27 2014 +0200

    Get rid of some ancient qualityreview comments...
    
    Change-Id: If25bdd594b20b656c345dcfe62765379f5dd9c5e
    Reviewed-on: https://code.wireshark.org/review/2392
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    (cherry picked from commit c6324a0b1ea6478a5f2c24b41cb26d0b02014536)
    Reviewed-on: https://code.wireshark.org/review/2418

commit 8a104e0
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 17 23:12:58 2014 -0700

    Try to calculate the initial RTT of tcp conns
    
    This (if it works well) will let us do much more accurate out-of-order
    detection, which is currently otherwise hardcoded to 3ms. Ask Jörg for details.
    
    Change-Id: Ie0662723946edeaea1e43958bf7f5158f09dde71
    Reviewed-on: https://code.wireshark.org/review/2367
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit b5a462b087bdd7670e1a69786ebbe3f073084ac3)
    Reviewed-on: https://code.wireshark.org/review/2417
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 4a4b267
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 18 13:54:33 2014 -0700

    Get the handle for the pw_hdlc_nocw_hdlc_ppp dissector.
    
    Change-Id: If7bc620c19e9c6511a724847e38cf0776d26b444
    Reviewed-on: https://code.wireshark.org/review/2410
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6da6bf77b3da928aa6fc9ae9d6b67ecfd77d25e1)
    Reviewed-on: https://code.wireshark.org/review/2411

commit d6f4b75
Author: Shoichi Sakane <wireshark-shoichi@tanu.org>
Date:   Wed Jun 18 10:40:19 2014 -0700

    Fix copy-paste probem in COAP dissector
    
    Bug:8070
    Change-Id: I7a86a37f7de6b3e4e12fe1c47980a9a6604488d6
    Reviewed-on: https://code.wireshark.org/review/2390
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/2397

commit e042581
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed May 28 17:47:41 2014 +0200

    Guarantee that open routines are initialized
    
    Open routines need to be initialized before try to open
    capture or add/remove routine.
    
    This fixes crash in mergecap reported as Debian bug #751872.
    
    Change-Id: Ic3b88eef947ebd4a3dd2edf8120bb6bd8aec0765
    Reviewed-on: https://code.wireshark.org/review/1874
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit c6d175ef67a091bdf024c11469a22b59f64f2345)
    Reviewed-on: https://code.wireshark.org/review/2391
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>

commit 2f8a254
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 18 08:14:27 2014 +0200

    PDCP LTE: do not try to decipher PDCP control messages (like ROHC feedback)
    
    Change-Id: I4a1596fd45bbc78ed8e90accf69ac048e7053161
    Reviewed-on: https://code.wireshark.org/review/2366
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 666127f5f9768d33095152047234ae2ebfcea9f5)
    Reviewed-on: https://code.wireshark.org/review/2368

commit 268c965
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 17 15:05:43 2014 -0700

    When building an OS X package for GTK+, put the libraries in lib.
    
    This reverts to the way we did it prior to the switch to Qt; with GTK+,
    Contents/MacOS/Wireshark is just a launcher, and the Wireshark binary is
    in Contents/Resources/bin/wireshark-bin, and the appropriate rpath entry
    would be @executable_path/../lib - @executable_path/../Frameworks, which
    works for the Qt version, in which Contents/MacOS/Wireshark is the
    actual executable, doesn't work for the GTK+ version.
    
    This should fix bug 10185.
    
    Change-Id: I4e50a4ead8f29a742c97a9001c821aabe1fa5e65
    Reviewed-on: https://code.wireshark.org/review/2347
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 93b5a313ada6684c7706da7a578f7787344d6144)
    Reviewed-on: https://code.wireshark.org/review/2348

commit 2c877e0
Author: Evan Huus <evan.huus@jadedpixel.com>
Date:   Tue Jun 17 21:43:49 2014 +0000

    Set the rlc len field before we try to use it in an expert info.
    
    Bug:9795
    Change-Id: I740a9fe36278995cf6e590206f600c037789f0eb
    Reviewed-on: https://code.wireshark.org/review/2344
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit ba6eb5c72ffe82ca0e51c7083240975a5b118ad2)
    Reviewed-on: https://code.wireshark.org/review/2345

commit c9f2311
Author: Evan Huus <evan.huus@jadedpixel.com>
Date:   Tue Jun 17 21:25:14 2014 +0000

    Initialize smb ioctl_function struct member
    
    Bug:10020
    Change-Id: I415a29dd36697887cb06485d6ed3a2b799a93464
    Reviewed-on: https://code.wireshark.org/review/2342
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit f4b9ea4362cd1ffdf5315a3f1311c8418a91579d)
    Reviewed-on: https://code.wireshark.org/review/2343

commit 35e920c
Author: Evan Huus <evan.huus@jadedpixel.com>
Date:   Tue Jun 17 18:26:01 2014 +0000

    Initialize rq_hdr.session
    
    Bug:10168
    Change-Id: Ida4d82d102421152785ce680aa47bcb5cf8692f6
    Reviewed-on: https://code.wireshark.org/review/2334
    Reviewed-by: Dmitry Bazhenov <dima_b@pigeonpoint.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 417938310ad78de5f41f1f4108e62b50ed5b4dfa)
    Reviewed-on: https://code.wireshark.org/review/2341

commit d2b6365
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Thu Jun 12 17:36:32 2014 +0200

    Create and register subtree identifiers for all opcua array types
    
    Currently for all arrays, the generic ett_opcua_array is used, instead we want to be more selective for storing the expanded state of subtrees. This commit adds subtree identifiers for all array types.
    
    Change-Id: Idcec51a200d1109cdb557d3366021d3b066b453d
    Reviewed-on: https://code.wireshark.org/review/2176
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7067e3a34006cc15b5d050e9dd564ced0cb1bd9b)
    Reviewed-on: https://code.wireshark.org/review/2314

commit 8e5241a
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Thu Jun 12 16:54:25 2014 +0200

    Unify how opcua arrays are displayed
    
    - Display 'Array of <fieldname>' instead of 'Array of Simple Type'
    - Display array indexes for simple types
    - Display data type in simple type arrays
    
    Change-Id: Id2cc746898f97ce329c6afb9cc49f1907a9f18e4
    Reviewed-on: https://code.wireshark.org/review/2161
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 647255d6279fe6fea6ad43388a52e55afd5549e0)
    Reviewed-on: https://code.wireshark.org/review/2313

commit f8fcb34
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Thu Jun 12 16:49:40 2014 +0200

    Add dissect_nt_64bit_time_ex for retrieving the created proto_item
    
    Using dissect_nt_64bit_time it is not possible to access the created proto_item afterwards, hence the new function.
    
    Change-Id: I39aca92536a53841045c30b601b6ec1a7d8bfb4e
    Reviewed-on: https://code.wireshark.org/review/2160
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9991f43f273878021b41a9ba7fddb375bdfbab21)
    Reviewed-on: https://code.wireshark.org/review/2311

commit be6ef28
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 17 13:40:29 2014 +0200

    Add myself as author for the opcua dissector plugin
    
    Change-Id: If8349e778fd91426a6a4b6d6e98d3ab870d188d5
    Reviewed-on: https://code.wireshark.org/review/2302
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 91c29ec2057c7e25a61da92f6bdbc32efa856525)
    Reviewed-on: https://code.wireshark.org/review/2312

commit c0b5d6f
Author: Lukas Emersberger <lukas.emersberger@br-automation.co.at>
Date:   Thu Mar 20 06:56:49 2014 +0100

    EPL:  Duplicated frames
    
      The MN interprets the CMD layer data only if the CN increments
      the Send-Sequence-Counter => new data. The MN interprets the
      data only once, if the same frame is sent again the MN ignores
      the data.
    
      The behaviour is described in the powerlink specification 301 v1.2.0
      chapter 6.3.2.3.2.3 Error: Duplication of Frame
      Frames which duplicate previous sent data are now marked as
      duplicated frames.
    
    Signed-off-by: Lukas Emersberger <lukas.emersberger@gmail.com>
    Change-Id: I9ef24b52712bfd3c735856b0cd5747c47aeef72a
    Reviewed-on: https://code.wireshark.org/review/992
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 75531b6a40719c9cac603f699f0cdf72159fd518)
    Change-Id: I9ef24b52712bfd3c735856b0cd5747c47aeef72a
    Reviewed-on: https://code.wireshark.org/review/2317
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1230627
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 3 17:16:18 2014 +0200

    simplify PCR calculation
    
    Change-Id: I892088e158519e331cba89be3c8d7c71f38a8925
    Reviewed-on: https://code.wireshark.org/review/1964
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 653dd75483a68ca8793ccdb482668cad7dcf950e)
    Reviewed-on: https://code.wireshark.org/review/2333
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit e8dd396
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jun 2 23:20:05 2014 +0200

    make the PCR value filterable
    
    this fixes bug #10158
    
    Change-Id: Ic67b074c464c52ac523e835b9815a5c3a3fa14d9
    Reviewed-on: https://code.wireshark.org/review/1925
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit cd4ba3d271fc62eca89114703b0955f9f34978d5)
    Reviewed-on: https://code.wireshark.org/review/2332
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 9107e5c
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat May 31 15:30:14 2014 +0200

    do a plausibility check for interaction channel data
    in the linkage descriptor
    
    Change-Id: I7ebca539076b2b881e82fd6baec5bb223e778a52
    Reviewed-on: https://code.wireshark.org/review/1896
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 3ec1ec1caf3029f47dc362077af421662c86ae85)
    Reviewed-on: https://code.wireshark.org/review/2331

commit d8f30a8
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat May 31 11:00:30 2014 +0200

    make population id filterable
    
    Change-Id: I3381e1c35795ac33331cdddb8cefa8b0a16907cc
    Reviewed-on: https://code.wireshark.org/review/1894
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 877f38b46d0380d9804bbac805e6f02ffc95423a)
    Reviewed-on: https://code.wireshark.org/review/2330

commit 70261f4
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri May 30 19:20:11 2014 +0200

    make terrestrial centre frequency filterable
    
    Change-Id: I007ff5215f52f80f25622cab6980128eabd39c5f
    Reviewed-on: https://code.wireshark.org/review/1888
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 419ea28960b54ceade6216b4b9b302b6d4de1e70)
    Reviewed-on: https://code.wireshark.org/review/2329

commit d0156c4
Author: Evan Huus <evan.huus@jadedpixel.com>
Date:   Tue Jun 17 18:13:51 2014 +0000

    fix underflow in BER constrained bitstrings
    
    this can happen and cause invalid memory accesses with incorrectly-large padding
    values
    
    Bug:10187
    Change-Id: Ib9b2a2fa10766efb4d95d588f57354a56373c626
    Reviewed-on: https://code.wireshark.org/review/2327
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit fd2566c
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri May 30 18:28:36 2014 +0200

    make next time offset filterable
    
    Change-Id: I18c2b7992b237eaaacbec04d504fc293b03558a3
    Reviewed-on: https://code.wireshark.org/review/1887
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit bc3ab61ddacab2ec6072c2709af3df405e18dfc3)
    Reviewed-on: https://code.wireshark.org/review/2326

commit 67e6170
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri May 30 18:17:17 2014 +0200

    make local time offset filterable
    
    Change-Id: Icccc07706287df4b6a7481108f9921b939aae2d5
    Reviewed-on: https://code.wireshark.org/review/1886
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 9f0419d376d25d738539bac2b55197abe226a6ce)
    Reviewed-on: https://code.wireshark.org/review/2324

commit a3ff1c1
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri May 30 09:59:05 2014 +0200

    avoid proto_tree_add_uint_format() when we just want the default
    description
    
    Change-Id: Ice06e257a72f3b4ce1229ff90129628f0e3bbcfb
    Reviewed-on: https://code.wireshark.org/review/1873
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 8515bd7633412342f579ad2d51573052c37a0b57)
    Reviewed-on: https://code.wireshark.org/review/2323

commit 0937cce
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu May 29 17:56:17 2014 +0200

    convert cable freq, symbol rate into doubles
    
    Change-Id: Iaddd3c4847e803af855c847212ae822b2529ff06
    Reviewed-on: https://code.wireshark.org/review/1860
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 7aecd47be71f300e654c277104855a341b3f48c3)
    Reviewed-on: https://code.wireshark.org/review/2322

commit 8ce3af7
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu May 29 17:51:37 2014 +0200

    conver sat freq and symbol rate into doubles in order to make the
    filtering work, fix typos
    
    Change-Id: I7ed989807826d1322dab00d13d998488caaf73ff
    Reviewed-on: https://code.wireshark.org/review/1859
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 91dac2771b9374c61d0d2b45ef08202cb404e59a)
    Reviewed-on: https://code.wireshark.org/review/2321

commit 33caf46
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Mar 14 10:14:14 2014 +0100

    dissect more components of the track header box
    
    Change-Id: If8d35122ce096f52837bdff1c6599b47456697d5
    Reviewed-on: https://code.wireshark.org/review/1858
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 254e227266a37eddd887ba5721a72b9dcf8a900b)
    Reviewed-on: https://code.wireshark.org/review/2320

commit 04792d5
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue May 27 23:37:31 2014 +0200

    use proto_tree_add_float_format_value() correctly
    
    Change-Id: I927a2f32aa0016b5b0c476fa4c16fc1dbe0aebb0
    Reviewed-on: https://code.wireshark.org/review/1825
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit b4fb165ef30d246d1fda03eab597e1f4060ec563)
    Reviewed-on: https://code.wireshark.org/review/2319

commit d34c0d0
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue May 27 23:36:32 2014 +0200

    make cable symbol rate filterable
    
    Change-Id: I034b351d4bc12f6c00a0224a5c5b9f85496657b6
    Reviewed-on: https://code.wireshark.org/review/1824
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit b3008f31ec72f4476df261e37784214565057e2f)
    Reviewed-on: https://code.wireshark.org/review/2318

commit 3c1f13c
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri May 23 18:40:15 2014 +0200

    make cable frequency filterable
    
    Change-Id: I8464fb8e98e485523127dd95948a717554b6aee4
    Reviewed-on: https://code.wireshark.org/review/1823
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 9c98f9fdbd07815c7c22d1ebac347d59c6f5f57c)
    Reviewed-on: https://code.wireshark.org/review/2316

commit e9c3905
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri May 23 18:23:59 2014 +0200

    make the satellite symbol rate filterable
    
    Change-Id: I301d0804e097c62cd8bf7b27003918eedab9616a
    Reviewed-on: https://code.wireshark.org/review/1816
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 0911ce12ff3304eb7a745a409fc3a1eb6797e0d5)
    Reviewed-on: https://code.wireshark.org/review/2315

commit b8cb7d3
Author: Alex Badea <abadea@ixiacom.com>
Date:   Tue Jun 17 13:12:34 2014 +0300

    isakmp: add support for IKEv1 AES decryption
    
    Select an appropriate gcrypt cipher based on ISAKMP encryption ID and
    key length attribute.  Fixes bug 10128.
    
    Bug:10128
    Change-Id: Ie74fc51eb9bfe6d68340056d3ef2ef28c7677fb8
    Signed-off-by: Alex Badea <abadea@ixiacom.com>
    Reviewed-on: https://code.wireshark.org/review/2296
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit d1cdbd715a5c5e9395d9672394783061dd3a4bf2)
    Reviewed-on: https://code.wireshark.org/review/2309

commit 225aeef
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri May 23 18:16:40 2014 +0200

    make satellite orbital position filterable
    
    Change-Id: Ibd4edd30eca969699fea1971e1885299e4d3e552
    Reviewed-on: https://code.wireshark.org/review/1813
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 75272241a10c23543fce1e14d7a59b1e0161ee6d)
    Reviewed-on: https://code.wireshark.org/review/2310

commit 1d87b4d
Author: Alex Badea <abadea@ixiacom.com>
Date:   Mon Jun 16 18:55:45 2014 +0300

    isakmp: support decryption for SHA-2 hash algorithms
    
    Simply map ISAKMP hash IDs for sha256, sha384 and sha512 to gcrypt MDs.
    Fixes bug 10181.
    
    Change-Id: I9c8265bf3c5c8f8d2fd6d251cc0f267964e3be8e
    Signed-off-by: Alex Badea <abadea@ixiacom.com>
    Reviewed-on: https://code.wireshark.org/review/2250
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit faac494d989951d0995da00ea31e5b66511ae0d0)
    Reviewed-on: https://code.wireshark.org/review/2308

commit c6736f0
Author: Alex Badea <abadea@ixiacom.com>
Date:   Tue Jun 17 13:55:06 2014 +0300

    isakmp: allow IKEv1 decryption with non-PSK authentication
    
    There is a check that disables decryption for non-PSK authentication. It
    has been around ever since its introduction in commit acfe071e (svn
    r17229). As suggested in bug 7951, remove this check to allow decryption
    for e.g. certificates authentication.
    
    Bug: 7951
    Change-Id: I5e98407d0f8dbabac2cdaf632cf0af403192872b
    Signed-off-by: Alex Badea <abadea@ixiacom.com>
    Reviewed-on: https://code.wireshark.org/review/2297
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f9b05dc13213832dba10600bd0116505ed251fec)
    Reviewed-on: https://code.wireshark.org/review/2305
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c41b64b
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Thu Jun 12 12:22:35 2014 +0200

    Cleanup subtree types in opcua plugin
    
    - make ett_opcua_transport static, is only used locally
    - format code grouping extern ett variables
    - add subtree variables for encodingmasks of simple types
    
    Change-Id: Ia044ca6ca0ff19e940a03d21610db67fe3679b01
    Reviewed-on: https://code.wireshark.org/review/2157
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 2f369b216fc18624a2e8b2c6bc1da80f964e54d7)
    Reviewed-on: https://code.wireshark.org/review/2295

commit 7eb1aec
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Thu Jun 12 10:11:06 2014 +0200

    Display status code info bits if set
    
    Checks if a StatusCode has any of the additional info bits set and displays them accordingly.
    
    Change-Id: Ic584233083174d3fd30c6ec6684f308e0e5ae22e
    Reviewed-on: https://code.wireshark.org/review/2127
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 0bb0b62ec8580ab48c1e8c3eaa82b9fa255d7a4e)
    Reviewed-on: https://code.wireshark.org/review/2294
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f399a63
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 13:36:06 2014 +0200

    Display text representation of status codes
    
    Adds a table containing all known StatusCodes and displays them if found.
    The list of StatusCodes is in a separate file for easy generating of the list if necessary.
    
    Change-Id: Iab74b22b7fc4fb53d8f072c4e3a4cea4ae18196c
    Reviewed-on: https://code.wireshark.org/review/2126
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit a9b18eff0fe904c87c38262148b39718f6e3cea5)
    Reviewed-on: https://code.wireshark.org/review/2293
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit da96994
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Jun 11 16:25:06 2014 +0200

    opcua_simpletypes.c:94:12: error: static declaration of 'hf_opcua_NamespaceUri' follows non-static declaration
    
    Change-Id: I2cae9691408c22a64144f5482cc536a5dc88ec6c
    Reviewed-on: https://code.wireshark.org/review/2135
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 803d47d49ecfb37cc649911443edf6f1290fec90)
    Reviewed-on: https://code.wireshark.org/review/2175

commit eaeb03b
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 18:05:46 2014 +0200

    Remove unused array length fields
    
    The NoOf... fields are not used at all in the dissector.
    
    Change-Id: I1f20a9992eab5d47c7e0ad34dabeaed07efa4a80
    Reviewed-on: https://code.wireshark.org/review/2130
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 5e67c45160c6c69e6a22034607bbef9a89a14c8b)
    Reviewed-on: https://code.wireshark.org/review/2174

commit 35c980f
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 18:01:27 2014 +0200

    Regenerate all sources using latest OPC UA specification
    
    - HistoryUpdateEventResult has been removed
    - Fixes two enums
    - Removes unused identifier defines
    
    Change-Id: I39c65c1eca1701b60dfaa3541cd7a5d1b479fb9b
    Reviewed-on: https://code.wireshark.org/review/2129
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit abf1b5ead7f58ff6cd204c3727bed30eebe75e4e)
    Reviewed-on: https://code.wireshark.org/review/2173

commit 547f731
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 13:09:24 2014 +0200

    Improve display of Open/CloseSecureChannel requests and responses
    
    - Return the ServiceId of the service calls for displaying if it's a request or response
    - Add the missing parsing code for CloseSecureChannel, some fields were missing
    
    Change-Id: Id9b1e1986e222a77ad979fb615adc6ac62a4ced8
    Reviewed-on: https://code.wireshark.org/review/2125
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 2ab3b2ac2b6300fd10df046e2d75acf6328ac332)
    Reviewed-on: https://code.wireshark.org/review/2172
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 95cc25a
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 12:27:34 2014 +0200

    Move ServiceFault from ComplexType- to ServiceParser
    
    ServiceFaults are always sent as a service response and never as value, this moves the parsing code to the correct location.
    
    Change-Id: Ida9cb561aa40fcbfc3c0429aed732d108b295138
    Reviewed-on: https://code.wireshark.org/review/2124
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit baa58887886c6bbe24f2894e40a4c0e1bccd5314)
    Reviewed-on: https://code.wireshark.org/review/2171
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3e1eaed
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 11:47:07 2014 +0200

    Unify displaying of NodeId
    
    Adds hf_register_info for all possible NodeId identifier types for unified displaying.
    
    Change-Id: Ic7a8077a32f435d5acfb1a956117d21a0b51b43b
    Reviewed-on: https://code.wireshark.org/review/2123
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit fabee432def958af4a102eca6bfe935ec80836f6)
    Reviewed-on: https://code.wireshark.org/review/2170
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ee3f0a9
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 11:46:05 2014 +0200

    Fix NodeId and ExpandedNodeId encoding mask display
    
    There are no 'URI' NodeIds, removed this option and changed GUID/Opaque to their correct values as stated in the UA specification.
    
    Change-Id: Ibf9afdbd72f8ad336f5eb83ece5adbcce51e8365
    Reviewed-on: https://code.wireshark.org/review/2122
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit e2ae387d9c9d2d38d1da788f39b8e65a22fff8dd)
    Reviewed-on: https://code.wireshark.org/review/2169
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a95d0f1
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 11:25:30 2014 +0200

    Unify variable and identifier names according to the UA specification
    
    - Rename Uri to NamespaceUri for clarity
    - Correct NsId to NsIndex
    - ByteString NodeIds are called 'Opaque'
    
    Change-Id: I622d408ef9e19a2a899906b4127bae497735d402
    Reviewed-on: https://code.wireshark.org/review/2121
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit ddc275c562805757d5d971ccc31ef47dbc6df4bc)
    Reviewed-on: https://code.wireshark.org/review/2168
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fb0266f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Jun 16 22:15:55 2014 +0200

    Do not handle P_Mul packet as ASCII string when calculating checksum.
    
    This bug was introduced when rewriting tvb_get_string() to
    handle encoding (and thus handling ASCII string different).
    
    Change-Id: Ic107d7b9e2f63aea33fdf55b9c20c22202f7b458
    Reviewed-on: https://code.wireshark.org/review/2270
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit b27bf15
Author: Yan Burman <yanb@mellanox.com>
Date:   Mon Jun 16 11:54:24 2014 +0300

    Fix SDP dissector crash during fuzz testing
    
    Change-Id: Ic133dd9440feb61964d197fa0aaacd86241f229d
    Signed-off-by: Yan Burman <yanb@mellanox.com>
    Reviewed-on: https://code.wireshark.org/review/2248
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 0a29589c01b5aa9ec32c6624e90b32f546090c12)
    Change-Id: Ic133dd9440feb61964d197fa0aaacd86241f229d
    Reviewed-on: https://code.wireshark.org/review/2249
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0406c06
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Wed Jun 11 16:52:56 2014 +0200

    Depend on docbook-xml and drop obsoleted 0005-...patch
    
    Change-Id: I4c849a1e8205b65ba05959213967bac5f378c96c
    Reviewed-on: https://code.wireshark.org/review/2137
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit 14903d65c340b89a8b5fbbe80f8d40fd8a290719)
    Reviewed-on: https://code.wireshark.org/review/2235

commit f386b83
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 15 08:07:03 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-06-15]
    
    Change-Id: I6da50d3a45673190991c635a7774f5c396d49047
    Reviewed-on: https://code.wireshark.org/review/2228
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 697c069
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 13 15:42:41 2014 -0700

    Prep for 1.12.0-rc3.
    
    Change-Id: I62edfc9df0d1b14b717624f29845977f238e44e3
    Reviewed-on: https://code.wireshark.org/review/2203
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit fd017ee
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 13 12:51:29 2014 -0700

    Fix package version stamping.
    
    Change-Id: I1615364071563c4f56b071d7d68e4660dd989296
    Reviewed-on: https://code.wireshark.org/review/2198
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3b9e39f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 13 12:06:43 2014 -0700

    Prep for 1.12.0-rc2.
    
    Change-Id: I6fc1db5adcee0ab762b2afcb761232544dab57e3
    Reviewed-on: https://code.wireshark.org/review/2197
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 4911f85
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 13 11:34:49 2014 -0700

    We're not on master any more.
    
    Change-Id: Ia38c4ee2677efbf39deecf977477d4a750b1821d
    Reviewed-on: https://code.wireshark.org/review/2196
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2caf31b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 12 23:22:31 2014 +0200

    RTP: fix invalid memory access
    
    Bug: 10176
    Change-Id: If54e4a5a118ea10befeeed5278394665df99425e
    Reviewed-on: https://code.wireshark.org/review/2187
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 51750bea8a61d1a7823bef5ebe5db5cd95b939d3)
    Reviewed-on: https://code.wireshark.org/review/2188

commit 65c6ba6
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Tue Jun 10 10:51:52 2014 +0200

    Fix switch case on ExpandedNodeId encoding mask
    
    Only the bits 0-3 are significant for the type of the NodeId contained in the ExpandedNodeId.
    The other bits are a mask telling if a NamespaceUri and/or a ServerIndex is set.
    
    Change-Id: I17948524f8a1bf6cb9dffc5f66ec5cddee580bcd
    Reviewed-on: https://code.wireshark.org/review/2120
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 6ddf081f6448c016987330fa6ada210dbc79d0ab)
    Reviewed-on: https://code.wireshark.org/review/2167
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e519b31
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Jun 11 17:59:58 2014 -0400

    X11: Update generated dissector
    
    Change-Id: Id3fbc64b4d797d50e935223c40c5c2321a1c8198
    Signed-off-by: Peter Harris <pharris@opentext.com>
    Reviewed-on: https://code.wireshark.org/review/2148
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1dead2b38c3eef6157d68533bc567703e8da37b7)
    Reviewed-on: https://code.wireshark.org/review/2178
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 5d2b4ce
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Jun 11 17:55:15 2014 -0400

    X11: Support XCB's new <pad align='n' />
    
    Change-Id: I0a45380ffcfb3be7e3190d0875626ed0fe046c4e
    Signed-off-by: Peter Harris <pharris@opentext.com>
    Reviewed-on: https://code.wireshark.org/review/2147
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit 515b78c292bb880434f28a11140bf29f4e02f6bb)
    Reviewed-on: https://code.wireshark.org/review/2177

commit be65a31
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Thu Jun 12 13:42:35 2014 +0100

    Fix a regression, as -1 can no longer means until the end of the tvb
    
    Change-Id: I2bbb9c5f62984f0365a3cad6b60401ee70418e74
    Reviewed-on: https://code.wireshark.org/review/2158
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>
    (cherry picked from commit d17aa368333f1a4f05df63f1f5cd9904ad37a3bf)
    Reviewed-on: https://code.wireshark.org/review/2159
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 85fb7dc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 11 16:56:55 2014 -0700

    Some more SVN->Git.
    
    Change-Id: Iba5274ab5e653a0a3c0a56e62ee168ac957daf27
    Reviewed-on: https://code.wireshark.org/review/2152
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 95065da33d2d22cad046219e291e54cb2fce33be)
    Reviewed-on: https://code.wireshark.org/review/2153

commit b0c0b33
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 11 16:49:05 2014 -0700

    A Subversion->Git change that we missed.
    
    Change-Id: I651d25cb0a59f9ec350d4c482062077833c8f278
    Reviewed-on: https://code.wireshark.org/review/2149
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7db2135069b03b9dcbfa12a244969246b938443d)
    Reviewed-on: https://code.wireshark.org/review/2150

commit db50467
Author: Vladimir Kondratiev <qca_vkondrat@qca.qualcomm.com>
Date:   Wed Jun 11 19:02:12 2014 +0300

    Fix bit fields definition in the "DMG Capability" IE
    
    Bits in the byte was counted wrong direction;
    bit0 should be LSB (0x01) and bit7 - MSB (0x80)
    Also, all fields are interpreted as little-endian
    
    Change-Id: I3485e8743a156e2e8cb84e726045211f1d332598
    Signed-off-by: Vladimir Kondratiev <qca_vkondrat@qca.qualcomm.com>
    Reviewed-on: https://code.wireshark.org/review/2141
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ed14bc8
Author: Anish Bhatt <anish@chelsio.com>
Date:   Wed Jun 11 02:39:08 2014 -0700

    Rename temp variables to a more human readable form
    
    Change-Id: Idafe97df6be71d885203e2e3426fdb6a133862c4
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2140
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/2144
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 268eadc
Author: Anish Bhatt <anish@chelsio.com>
Date:   Wed Jun 11 02:19:33 2014 -0700

    Use offset instead of tempOffset, return offset instead of calculating (len + n) where possible
    
    Change-Id: I91ef4ec59698903cb2a7be00e7e0ece478fc26a8
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2139
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 508d16b037ef09c9bf700172c38c1d514d26f660)
    Reviewed-on: https://code.wireshark.org/review/2143
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit dfdaebc
Author: Anish Bhatt <anish@chelsio.com>
Date:   Tue Jun 10 23:49:48 2014 -0700

    Use expert info for Invalid length/type where possible, other minor fixes
    
    Change-Id: I4a0421bf918439261f31f4bfc2cb5519b38f1711
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2118
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit d8a21c8f8efcbbd917a3fe623cfb9721b27048da)
    Reviewed-on: https://code.wireshark.org/review/2142

commit 54a85ab
Author: U-beauty\bdn <dima_b@pigeonpoint.com>
Date:   Wed Jun 11 11:02:40 2014 +0600

    IPMI trace dissector
    
    Added KCS and TMode protocol dissectors.
    Request/response logic has been revised.
    Saved request data logic has been revised.
    Added Get Message command response dissector.
    Added missing PICMG command dissectors.
    Added new PICMG command dissectors.
    Added new PPS OEM command entries.
    Added VITA 46.11 command dissectors.
    
     From: Bill Meier:
     - refs to value_strings/range_strings in hf[] entries, by convention, should use VALS/RVALS macros;
     - refs to true_false_strings should use TFS(&...) macro.
       also: true_false_string definitions should not be defined as arrays.
     - remove some unneeded #includes (packet-ipmi.c).
     - Do some re-indentation.
     - Add editor-modelines as needed.
    
    bug: 10004
    Change-Id: Ib269b35784c0b70892d1e0111bcfb483ea64092c
    Reviewed-on: https://code.wireshark.org/review/1185
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 977a811217d2ce9853aeeac4e4e97167d35a94fb)
    Reviewed-on: https://code.wireshark.org/review/2117
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6b57f77
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Jun 11 14:16:51 2014 +0200

    Fix
     Warn Dissector bug, protocol LPP, in packet 1: proto.c:3403:
     failed assertion "DISSECTOR_ASSERT_NOT_REACHED"
    redifine FT of NavModel-GLONASS-ECEF/gloP1
    
    Change-Id: Id865c39b8d15528417075f9e7ed0378704aa98dc
    Reviewed-on: https://code.wireshark.org/review/2132
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit af687c581f71d3d0d779ee0fea0dd62a9192d79d)
    Reviewed-on: https://code.wireshark.org/review/2133
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit bc2612c
Author: Anish Bhatt <anish@chelsio.com>
Date:   Tue Jun 10 18:27:53 2014 -0400

    Fix bug in dissect_lldp_port_id, support all port id subtypes
    
    Change-Id: I8b44e0d55701ba5d583e3e734e19d4d2aa024b25
    Reviewed-on: https://code.wireshark.org/review/2049
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 3fcd016029672b5683406ceeb75faa0533ce63c1)
    Reviewed-on: https://code.wireshark.org/review/2119
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 1fd1d3b
Author: Richard Sharpe <realrichardsharpe@gmail.com>
Date:   Sat May 31 16:27:34 2014 -0700

    This fix now allows SASL/GSS-API with integrity only to be properly dissected
    in that we now properly indicate the checksum and provide the wrapped token to
    the LDAP dissector to dissect.
    
    There is still a problem in that the wrong parts of the SASL packet can be
    indicated when users click on some parts.
    
    I am committing it for review and because it is much better than the current
    code.
    
    Bug:9398
    Change-Id: I552fc249db26835b79abfc8793438a95f221663a
    Signed-off-by: Richard Sharpe <realrichardsharpe@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/1905
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 09b5361302725cc83b7c8d76282441d031050c38)
    Reviewed-on: https://code.wireshark.org/review/2076
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 474de10
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 10 08:58:39 2014 +0200

    CAPWAP: Fix soft-deprecated APIs warning
    
    tvb_length_remaining => tvb_reported_length_remaining
    
    Change-Id: Ie1fa09e00e098c41df2e87771300e3842659dad6
    Reviewed-on: https://code.wireshark.org/review/2095
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 5cff2b6d03568e4279b1664769053b13c0cc9ec9)
    Reviewed-on: https://code.wireshark.org/review/2106
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d34b85c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 10 12:34:18 2014 +0200

    3GPP NAS: add dissection of MSISDN in PCO
    
    Change-Id: Ie8dac8c898ff94e955a4c0fdde7f4ffff496e97f
    Reviewed-on: https://code.wireshark.org/review/2098
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit e7fbf05b484f4537783293271f2f08e28facf21c)
    Reviewed-on: https://code.wireshark.org/review/2108

commit e3cd818
Author: Anish Bhatt <anish@chelsio.com>
Date:   Sun Jun 8 19:35:44 2014 -0700

    remove all checks for if (tree)
    
    Change-Id: I82617c0a396fdf42735ba39a5ed266a3f5240854
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2048
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit f33ead547920609d732cd70415d65508ec377ba0)
    Reviewed-on: https://code.wireshark.org/review/2107

commit 4ac46b6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 10 08:48:27 2014 +0200

    CAPWAP: Display incorrect value for Wireless IEEE802.11 RSSI and Data Rate
    
    * Wireless data ieee80211 RSSI (dBm) is a signed integer. In the wireless radio the dBm value is negative.
    * Wireless data ieee80211 Data Rate (Mbps) is a 100Kbps. You need divide this value by 10.
    
    Issue found by Massimo Vellucci (SmartCAPWAP)
    
    Change-Id: I04dd8a9e38a5f60ee5bf64cd304db1b11413c809
    Reviewed-on: https://code.wireshark.org/review/2094
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 2f13ccc64c6e38336674d1fd6d13e9ece9efec84)
    Reviewed-on: https://code.wireshark.org/review/2104
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2724a61
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon Jun 9 17:10:44 2014 -0700

    Current test for GIT_DIR introduced in changeset Ie1560c372e23e58fb0e310f681388b5e1a65ba5b doesn't seem to be working correctly on bash 4.3.18 : .git/hooks/pre-commit: line 11: .git: command not found
    
    This test works correctly in bash/dash/zsh
    
    Change-Id: Ic89fc2764d1a70e9e5d112c7928cee6ed783f50f
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2092
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 8878d7778e6fb10bf9e6ce20af16f4e247e51e04)
    Reviewed-on: https://code.wireshark.org/review/2103
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6a662cf
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon Jun 9 14:42:30 2014 -0700

    Add modelines
    
    Change-Id: Ib8e157e2744198eaa1a5a69732bd8e977b146026
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2089
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 9516675ca732a775f085fb53e1e9b95c2f2d1b09)
    Reviewed-on: https://code.wireshark.org/review/2102
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f1b756c
Author: Anish Bhatt <anish@chelsio.com>
Date:   Fri Jun 6 15:54:07 2014 -0700

    Misc lldp cleanup.
    I'm cheating a bit here, hf_media_loc_long & hf_media_loc_lat need a 5byte bitmask, but the bitmask field in hf is restricted to guint32
    
    Change-Id: I7e044fc680bb947973e437fc66057488a8deee67
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2012
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit b69642db300a44c244ccbc641facc9cb0c86d072)
    Reviewed-on: https://code.wireshark.org/review/2101
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0c20611
Author: Anish Bhatt <anish@chelsio.com>
Date:   Fri Jun 6 16:35:49 2014 -0700

    Updates as requested
    
    Change-Id: I447b2c1f713710820ce81dda40992b5311285d09
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/2015
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a048dc1d0d33728022831a538d878e967da88901)
    Reviewed-on: https://code.wireshark.org/review/2100
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c0c260f
Author: Anish Bhatt <anish@chelsio.com>
Date:   Thu Jun 5 01:26:49 2014 -0700

    LLDP-MED Cleanup
    
    Co-ordinate based LCI is untested, as the sample capture does not have this, could not find one anywhere.
    
    Change-Id: Id0b52c234d6a36ee430ab9a7265bcd84f151c80c
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1929
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 65abca673f16792ec1eb6f8173009db737e3a626)
    Reviewed-on: https://code.wireshark.org/review/2099

commit 174cd47
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 9 10:07:10 2014 -0700

    Add back Balint's copyright.
    
    Change-Id: Ib7a3789c95c4651beec76ab318410b1b7a3aaa2b
    Reviewed-on: https://code.wireshark.org/review/2082
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 31783cc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 9 10:01:46 2014 -0700

    Copy over git-compare-abis.sh from master-1.10.
    
    Change-Id: Iea7ad9518240955da202a5c943c0f304709d77b6
    Reviewed-on: https://code.wireshark.org/review/2081
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit fa85cc9
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Sun Jun 8 23:38:21 2014 +0700

    Fix make dist
    
    Change-Id: I96e25a3be6db53fcfacb631fdc48c03a63f195f2
    Reviewed-on: https://code.wireshark.org/review/2040
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit 671d6c9095a0d7d6fd3f05287e9101ef4e9bafb2)
    Reviewed-on: https://code.wireshark.org/review/2080
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b62f155
Author: Richard Sharpe <realrichardsharpe@gmail.com>
Date:   Mon May 26 16:05:36 2014 -0700

    Improve the fix by removing code that miss dissects SPNEGO stuff ... as well
    as remove redundant stuff from the spnego.cnf file.
    
    Signed-off-by: Richard Sharpe <realrichardsharpe@gmail.com>
    Change-Id: I90a962a39dc4da0f13055c9b3893c26044f1fc97
    Reviewed-on: https://code.wireshark.org/review/1809
    Reviewed-by: Tomáš Kukosa <tomas.kukosa@unify.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 88a64b9e2b1e39c643277edeb4c4ae969a0b39a5)
    Reviewed-on: https://code.wireshark.org/review/2069
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 338ad80
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Mon Jun 9 01:28:44 2014 +0700

    Fix Wireshark's name in Vietnamese translation
    
    Change-Id: Idf07c767587815d2cb2c8c094fd820983302b043
    Reviewed-on: https://code.wireshark.org/review/2043
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry-picked from commit 7de3d23229211108e0f9c2fc85b2cc9f487f9423)
    Reviewed-on: https://code.wireshark.org/review/2062
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d2efa6c
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Dec 23 15:19:25 2013 +0000

    Add GPLv2+ license header to headers-check.c as per private email from the
    author.
    
    svn path=/trunk/; revision=54384
    
    Change-Id: I464197c19316700457a5575b370600db38ce4962
    Reviewed-on: https://code.wireshark.org/review/2041
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    Reviewed-on: https://code.wireshark.org/review/2061
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4736f58
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Fri Jun 6 22:54:50 2014 +0700

    .deb package format is 'native'
    
    Change-Id: I2b52648c74290df0e98e4be31ac6c51db309eaaf
    Reviewed-on: https://code.wireshark.org/review/2001
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    (cherry-picked from commit cb4ec166d83afac0077b5a2e45bc07f7815458dd)
    Reviewed-on: https://code.wireshark.org/review/2060
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 321ec17
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Fri Jun 6 20:58:20 2014 +0700

    Don't ship libfiletap in the .deb packages yet
    
    Change-Id: I5b179d2b84bc95e540def544a8b710f81fb0fccb
    Reviewed-on: https://code.wireshark.org/review/2000
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    (cherry-picked from commit 6d783f228c9148b04c2da097727931237c742bd4)
    Reviewed-on: https://code.wireshark.org/review/2059
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6adf20b
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu Jun 5 17:30:41 2014 +0700

    Sync .deb packaging from Debian
    
    The sync makes CMake the build system for the .deb package
    and starts providing wireshark-qt in the wireshark-qt package.
    The package structure, i.e. the libraries are shipped in separate
    packages is also sync-ed.
    
    Wireshark-qt uses the Qt 4 libraries, but it is easy to switch
    it to Qt 5.
    
    Change-Id: I849d18bdb8ca6ebf4072cf1d73d749080ac5dac2
    Reviewed-on: https://code.wireshark.org/review/1986
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>
    (cherry-picked from commit 97e1491aa8f418a7f5bd7fdd92561d2403c187f6)
    Reviewed-on: https://code.wireshark.org/review/2058
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 1194ef7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 8 22:46:45 2014 +0200

    IEEE 80211: fix dissection of HT Capabilities
    
    Bug: 10166
    Change-Id: Iafe789968bd5b9a6e593b682f8d42ba42db5fce9
    Reviewed-on: https://code.wireshark.org/review/2046
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 89960510e30b9b96a0d0b84619df099fd8a707f1)
    Reviewed-on: https://code.wireshark.org/review/2051
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0c4095c
Author: Richard Sharpe <realrichardsharpe@gmail.com>
Date:   Wed May 28 21:05:41 2014 -0400

    Try to fix the problems with the SPNEGO negTokenInit differences in Microsoft implementations
    
    Change-Id: Ifbfca88469a6bc479072c921deba280e667c7087
    Reviewed-on: https://code.wireshark.org/review/1804
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 0ed2672abf6d8a41e0ddc11358bb73d86a30fe92)
    Reviewed-on: https://code.wireshark.org/review/2047
    Reviewed-by: Richard Sharpe <realrichardsharpe@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit afa09b0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 4 19:17:44 2014 +0200

    Upgrade Windows builds to GnuTLS 3.1.22 and Gcrypt 1.6.0
    
    Change-Id: I7650a3ec31120ac5e7954f4c1ca985ad55d189b4
    Reviewed-on: https://code.wireshark.org/review/1978
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    
    (cherry picked from ad7b5381ac54567217f12ee729c7be6cd2848d0f)
    
    Change-Id: I3f67b80e984e187ed65c0997fcd02ae3d715995b
    Reviewed-on: https://code.wireshark.org/review/2021
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d801c7f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 8 08:07:05 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-06-08]
    
    Change-Id: Iee71c0f722e297f3c7862fc21c6e8ceb7c556421
    Reviewed-on: https://code.wireshark.org/review/2037
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit ff44f34
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 7 12:00:31 2014 -0700

    PEEKREMOTE packets don't appear to have Atheros padding.
    
    Call the without-Atheros-padding dissector for the payload.
    
    Fixes bug 10139.
    
    Change-Id: I883bf4e58899aa78b07fae63d8c0376a31bda444
    Reviewed-on: https://code.wireshark.org/review/2027
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 39cdb98606b821136aabc6d60b2e1ce4846aab8b)
    Reviewed-on: https://code.wireshark.org/review/2029

commit 94dccc7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 31 02:27:31 2014 -0700

    We need a "wlan_datapad" dissector as well.
    
    Change-Id: I8d7e0ebeef2a912737b3afc08fcaf166dfb525b1
    Reviewed-on: https://code.wireshark.org/review/1895
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 799972425dc2178b28067e729abc99d31e0ccc67)
    Reviewed-on: https://code.wireshark.org/review/2028

commit 9cf44c1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 7 10:44:17 2014 -0700

    Only nuke the startup item once we've installed the launch daemon.
    
    That way, if we crash in the middle, there's still something installed
    that will try to set the permissions on the BPF devices.
    
    Change-Id: Ie0c32f9eaca08bdbb359d07e47f20c664bc66411
    Reviewed-on: https://code.wireshark.org/review/2023
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 39ca18d71b85d0b99c0fd3c5edab48fa217d7d34)
    Reviewed-on: https://code.wireshark.org/review/2024

commit a8df07c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 5 17:24:00 2014 +0200

    Use -O2 option when compiling with MSVC
    
    Change-Id: I1b7e3c94de13e44ee46d5f8abcb70b5ed6af7051
    Reviewed-on: https://code.wireshark.org/review/1984
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 003746c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 6 23:41:51 2014 -0700

    When installing the launch daemon, get rid of the old startup item.
    
    Only one is necessary; get rid of the startup item.
    
    Change-Id: I0bd2dabb3fc286ccd0e6634bc112e20602624c86
    Reviewed-on: https://code.wireshark.org/review/2016
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b319a67bfb23a93a7f15076a94be3fe6adb9983d)
    Reviewed-on: https://code.wireshark.org/review/2017

commit 5741a40
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 6 12:14:55 2014 -0700

    Try to fix OS X GTK+ app creation.
    
    Change-Id: I81683968ee68da4826dd703bd38c233a72b2083d
    Reviewed-on: https://code.wireshark.org/review/2006
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 51ef489
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 6 12:14:27 2014 -0700

    Switch to a launch daemon for ChmodBPF.
    
    "Ah finally blew that varmint to Kingdom Come!"
    
    Change-Id: I4ef5f8692924772189af4158eddbc125c1c7d521
    Reviewed-on: https://code.wireshark.org/review/2004
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 2b2fbff2dc2af6f47edda62cedd22b22d6c9d9e0)
    Reviewed-on: https://code.wireshark.org/review/2005

commit 25bb29a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jun 5 16:19:22 2014 -0700

    Windows packaging and release note updates.
    
    Use "Wireshark" and "Wireshark 2 Preview" instead of "Wireshark (GTK+)"
    and "Wireshark (Qt)" respectively in the Windows installer. Shorten the
    descriptions of the command line tools. Warn against (but don't prohibit)
    installing on XP.
    
    Note that XP is deprecated and that 32-bit OS X and U3 are no longer
    supported.
    
    Change-Id: Ica37ffa5b04eb48cadf41842b6fb9b1431c69803
    Reviewed-on: https://code.wireshark.org/review/1988
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 77df529
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu May 29 19:07:44 2014 +0700

    Fix wireshark.pc install destination
    
    Change-Id: I136d654ac5ea54237494d9b61c3ddb445b0720ae
    Reviewed-on: https://code.wireshark.org/review/1863
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 7c1171f7846459412a213cd3aa16efc918f54646)
    Reviewed-on: https://code.wireshark.org/review/1977
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>

commit 8bcaca0
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu May 29 10:58:05 2014 +0700

    Honor configured CMAKE_INSTALL_LIBDIR when installing libraries
    
    Change-Id: I860c9408ed01e9567992b0dcf5c6c6421344c13e
    Reviewed-on: https://code.wireshark.org/review/1862
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 5c6403b27bdcc0e0aac065b2daf9a2625292610f)
    Reviewed-on: https://code.wireshark.org/review/1976
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>

commit eb79329
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu May 29 00:32:20 2014 +0700

    Set PLUGIN_INSTALL_DIR properly for wireshark.pc
    
    Change-Id: I64c04095ce780ce2cc44a54a68695506d27e5747
    Reviewed-on: https://code.wireshark.org/review/1861
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 7bf49b31ace52a0cfbc33ffe29afce5c0befb685)
    Reviewed-on: https://code.wireshark.org/review/1975
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Balint Reczey <balint@balintreczey.hu>

commit 5756a84
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 4 15:18:16 2014 -0400

    tshark.c: 'tshark -F pcap -w ...' should create a pcap (not pcapng) file; fixes Bug #9991.
    
    Change-Id: I182357fc57d6e57033319afc762549d805c2c10c
    Reviewed-on: https://code.wireshark.org/review/1954
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 68a1b552f74152a4da39097e8ae5e463518bbb28)
    Reviewed-on: https://code.wireshark.org/review/1957

commit 60f1288
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 4 15:15:42 2014 -0400

    tshark.c: Change "Live captures can only be saved in libpcap format" to "[...] in pcap or pcapng format"
    
    Change-Id: I18dd0d15e261ecbc1ec086b4870a994afc7665ee
    Reviewed-on: https://code.wireshark.org/review/1953
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit dc02627adf92ad98bdc6dbeded2f9092b06af7e5)
    Reviewed-on: https://code.wireshark.org/review/1956

commit 5ba06c9
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 4 14:59:41 2014 -0400

    (Trivial) Fix a typo.
    
    Change-Id: I111d3af8d9f1a96ebbe3f4b19ab1597a93348058
    Reviewed-on: https://code.wireshark.org/review/1952
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 3d23cbd11f8afb11160abdab5a679ffd374364e4)
    Reviewed-on: https://code.wireshark.org/review/1955

commit d9f4d37
Author: Michael Tüxen <tuexen@wireshark.org>
Date:   Wed Jun 4 19:20:20 2014 +0200

    The subtype_seek_read() functions populate *phdr, not wth->phdr.
    So don't use the values.
    This problem show up on pcapng files resulting from captures of
    multiple interfaces.
    
    Change-Id: I30b0598602b0b69233107d35be4360475d8648d8
    Reviewed-on: https://code.wireshark.org/review/1950
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 91afb5a36ed9f3fb0056ac3f9aff5d5eda22ba01)
    Reviewed-on: https://code.wireshark.org/review/1951

commit e4cb1a6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 3 19:42:25 2014 +0200

    MBIM: do not access to hash map when it is not initialized yet
    
    Change-Id: I560941115316ead5a85b9e0b55be693217fddff2
    Reviewed-on: https://code.wireshark.org/review/1940
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    
    (cherry picked from commit c5de173edc09cceb7c351cf8b85a470ad597be17)
    
    Change-Id: Ibcd01eb1b44e6eec57fca73dd82ffafa447ade39
    Reviewed-on: https://code.wireshark.org/review/1941
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 5c5996d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 2 16:54:00 2014 +0200

    Qt: Export Object
    * Fix indent (remove tabs)
    * Add title to the window
    
    Change-Id: I454046e47fa17969c710fa8dec4fac8cb7dbf22f
    Reviewed-on: https://code.wireshark.org/review/1939
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 52b1ca6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 3 11:00:46 2014 +0200

    Make TCP and UDP functions available for plugins
    
    Change-Id: I77b6a12f3ab23ccb318e68a27251727716b3bc12
    Reviewed-on: https://code.wireshark.org/review/1931
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e50fe32
Author: Anish Bhatt <anish@chelsio.com>
Date:   Sun Jun 1 19:13:55 2014 -0700

    LLDP : Fix bug in mdi_power_source hf.
    While it compiles fine, hits an assert in add_string :
    failed assertion "hfinfo->type == FT_STRING || hfinfo->type == FT_STRINGZ || hfinfo->type == FT_STRINGZPAD"
    
    Fix takes care of this issue, but seems like we're losing the bitmask info here, is there a better way to do this ?
    
    Change-Id: I7156d734f4b058113730d5dfbf6498e801c36770
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1915
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit de9efa1cb91afddb70d1b56a2574fb0def628bd3)
    Reviewed-on: https://code.wireshark.org/review/1930

commit aec0627
Author: Peter Palúch <Peter.Paluch@fri.uniza.sk>
Date:   Sun Jun 1 19:29:24 2014 +0200

    EIGRP Sequence TLV Dissector Patch
    
    In the EIGRP packet dissector, the dissector routine for the Sequence TLV
    dissected the TLV only up to the first address in the list. However, the
    Sequence TLV contains a variably sized list of addresses. This patch
    modifies the routine so that it processes the entire TLV, not just the
    first address in the contained list.
    
    Also, in the dissect_eigrp(), replaced calls to tvb_new_subset() with
    the reported length set to -1 with the call to tvb_new_subset_length().
    TLVs always carry information about their length. And this time,
    correct truly ALL calls in the switch{} section.
    
    Sample packet capture is available in BugZilla.
    
    Bug: 10156
    Change-Id: Idaaf182c05bcf799f770f23a2ce2b1e05a3d569a
    Reviewed-on: https://code.wireshark.org/review/1911
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    
    (cherry picked from commit 75e53a165c1167607f49962919df2e946e6476cf)
    
    Change-Id: Ia8e2c53bf227b0028691f1a95f6947921133a19e
    Reviewed-on: https://code.wireshark.org/review/1923
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 52d1efa
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 1 08:07:09 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-06-01]
    
    Change-Id: I0d90a3f1428cfe2b0c940dc80ed38accb09732fc
    Reviewed-on: https://code.wireshark.org/review/1908
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ad64632
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu May 29 18:21:37 2014 +0700

    Bump .so versions for 1.12 in CMake builds, too
    
    Change-Id: Id8f9c9b64dee0340eef08583f5931f5076ef5089
    Reviewed-on: https://code.wireshark.org/review/1864
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fe38765
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue May 27 17:58:17 2014 -0400

    FIELDDISPLAY can be or'd with BASE_VAL64_STRING.
    
    Change-Id: I43014922fc51ddeed70235006296500ec00bd437
    Reviewed-on: https://code.wireshark.org/review/1826
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit cc3931c7971ebaae63889d88c52bb15b61f6922a)
    Reviewed-on: https://code.wireshark.org/review/1872
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cb26f37
Author: ruengeler <ruengeler@wireshark.org>
Date:   Wed May 28 13:19:50 2014 +0200

    Clang complains about the size of empty structs.
    
    Change-Id: I2951b1b384cf9b32677aea81c66c34ab07b0090f
    Reviewed-on: https://code.wireshark.org/review/1835
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>
    (cherry picked from commit 925b48ec75b9d72f15793a399732108b8669ba2e)
    Reviewed-on: https://code.wireshark.org/review/1871
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2e41a53
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 25 23:13:57 2014 +0200

    MAC LTE: fix dissection of Extended Power Headroom control element
    
    Change-Id: Ia57b4769732f2e18dd2864b576c5c77fc68deb20
    Reviewed-on: https://code.wireshark.org/review/1798
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 37d40eb210b6192909dc27cd91592a796a7731cd)
    Reviewed-on: https://code.wireshark.org/review/1870
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c813024
Author: Evan Huus <eapache@gmail.com>
Date:   Sun May 25 11:13:04 2014 -0400

    Grab-bag of dead initializers and two actual bugs.
    
    All caught by cppcheck. The two (semi)-interesting bugs are:
    - in asn1/atn-cpdlc/packet-atn-cpdlc-template.c where the break statement should
      have been inside the brace, causing potential control-flow weirdness with
      exceptions
    - in epan/dissectors/packet-ieee80211.c where the bounds check for tag_len did
      not match the expert info given
    
    Change-Id: Ie173fb8d917aabb9b4571435d671d6f16e1c7569
    Reviewed-on: https://code.wireshark.org/review/1793
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 08ce84ebbe91eaaccd8bbf8c8d43c8cecfc7945a)
    Reviewed-on: https://code.wireshark.org/review/1869
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c706276
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 29 18:17:31 2014 +0000

    Revert "MAC LTE: fix dissection of Extended Power Headroom control element"
    
    I'll reapply this after either succeeding or failing to cherry-pick Evan's grab bag of fixes.
    
    This reverts commit e5b7a953653bd7e2be81e73e82e0599a7c7761e0.
    
    Change-Id: Id2a37fa362785111862b5761c4abe6ea7ac6d7db
    Reviewed-on: https://code.wireshark.org/review/1868
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5e3b7ec
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 29 10:56:46 2014 -0700

    Introduce 802.11 dissectors with wired-in "FCS present" indications.
    
    For a number of protocols that encapsulate 802.11 frames inside packets,
    whether the frame includes an FCS or not is specified by the protocol,
    not by whether the link-layer frame carrying the packets *itself*
    includes an FCS.  As we've done with Ethernet, add "_withfcs" and
    "_withoutfcs" dissectors, which *don't* check the pseudo-header FCS
    length indication, and call those, rather than dissectors that check the
    pseudo-header length indication, from the dissectors for those protocols.
    
    Change-Id: Ib8c8ecdd872e1782fdfc66e7573415d91911a62e
    Reviewed-on: https://code.wireshark.org/review/1866
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 21a1208735315a3a67e8a66ae6b5cb2776be6d60)
    Reviewed-on: https://code.wireshark.org/review/1867

commit 42e8515
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 29 02:34:14 2014 -0700

    Have the protocol item cover only the PEEKREMOTE header.
    
    Change-Id: I8e5991f636e68a956bf5e09dd6bf4be1d4619ba0
    Reviewed-on: https://code.wireshark.org/review/1852
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ababf68de7b0f61690c49db481ae6b61cc83eacd)
    Reviewed-on: https://code.wireshark.org/review/1853

commit 6c4889c
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Mon May 26 19:29:45 2014 +0300

    ssl-utils: fix TLS number of padding extension
    
    The padding extension got the number 21 (0x15) by the IANA and not 20
    (0x14), see this list for details:
    https://www.iana.org/assignments/tls-extensiontype-values/tls-extensiontype-values.xhtml
    
    The number 20 is assigned to the server certificate type extension.
    
    Change-Id: I17271a3a336bcf5a323f15da3a5301115ca4cb45
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/1822
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 3ce020a5fcb8035a41f3248c990b2abfa60eb325)
    Reviewed-on: https://code.wireshark.org/review/1831
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 029c11c
Author: Anish Bhatt <anish@chelsio.com>
Date:   Tue May 27 22:45:48 2014 -0700

    LLDP Cleanup : 802.1 Qbg TLV
    
    Change-Id: Ibdea530928d1bd98cb353ad8d7d938f739aa693f
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1830
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 482e6a65102a0007ce7665501215e2851be413ed)
    Reviewed-on: https://code.wireshark.org/review/1832

commit 7477e31
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue May 27 19:49:46 2014 -0400

    bugfix address handling
    
    Change-Id: I18e48084ba3c30a55fe0bd498c88bce56d32d885
    Reviewed-on: https://code.wireshark.org/review/1829
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7e44111
Author: Evan Huus <eapache@gmail.com>
Date:   Mon May 26 16:33:42 2014 -0400

    Fix fencepost error in HTTP dissector
    
    Strndup adds +1 for the null-terminator itself, no need to do it in the caller.
    This was causing us to go past the end of the buffer when the HTTP header line
    didn't have any spaces in it. Caught by Alexis using ASAN.
    
    Bug:10135
    Change-Id: Iee1b26da4740b774581ca6ec784ee40f7b920832
    Reviewed-on: https://code.wireshark.org/review/1807
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 8da17d1
Author: Evan Huus <eapache@gmail.com>
Date:   Fri May 23 16:18:00 2014 -0400

    Replace manual string handling with strbuf
    
    Much simpler and should probably fix bug 10121.
    Also add modelines.
    
    Bug:10121
    Change-Id: Ib92977e734ebe1b8529c7b6b41fbd81eac13b186
    Reviewed-on: https://code.wireshark.org/review/1758
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 26840fa88fea22959c0038ff438f5b314a5452ea)
    Reviewed-on: https://code.wireshark.org/review/1801

commit 97dc329
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun May 25 14:21:38 2014 -0400

    Fix [-Werror=clobbered] gcc warning
    
    Change-Id: Ibeef517a5100ae6d2c01f329022281b81a8b56a9
    Reviewed-on: https://code.wireshark.org/review/1795
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit f8d63516351e67432e8bbeee4f1c2e57dbe11d0f)
    Reviewed-on: https://code.wireshark.org/review/1800

commit e5b7a95
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 25 23:13:57 2014 +0200

    MAC LTE: fix dissection of Extended Power Headroom control element
    
    Change-Id: Ia57b4769732f2e18dd2864b576c5c77fc68deb20
    Reviewed-on: https://code.wireshark.org/review/1798
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    
    Conflicts:
    	epan/dissectors/packet-mac-lte.c
    
    (cherry picked from commit 37d40eb210b6192909dc27cd91592a796a7731cd)
    
    Change-Id: I06f657db181abcf68f429604a4ad1cf8638c1ee3
    Reviewed-on: https://code.wireshark.org/review/1799
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a9298b8
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 25 18:01:31 2014 +0200

    GSM RLC MAC: Do not skip too many lines of the CSN_DESCR when the field is missing
    
    While we are at it, replace an undefined hf_timeslot_allocation_usf_tn by its hf_usf equivalent
    
    Bug: 10120
    Change-Id: I3fe113279c779a9d8143d07489747a67d7351664
    Reviewed-on: https://code.wireshark.org/review/1794
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    
    (cherry picked from commit c4ead251da7199cfd746d378c51eb8c30d09a6ba)
    
    Change-Id: I16259e8601add99709782a610e4d5250ac6f5fa6
    Reviewed-on: https://code.wireshark.org/review/1796
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a83174e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 25 08:06:48 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-25]
    
    Change-Id: I92264ffa04a4e2059b6242234cb3d65a3af08d2f
    Reviewed-on: https://code.wireshark.org/review/1790
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 1f5f8ed
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 24 17:37:52 2014 -0700

    Get rid of trailing blank.
    
    Change-Id: I9eb6baee8866241a42d007d9bc69f64ab46f9a2e
    Reviewed-on: https://code.wireshark.org/review/1786
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 32298547e4e17c7a6e9a6848fb7f088ecaf43bd8)
    Reviewed-on: https://code.wireshark.org/review/1787

commit 59509c2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 24 17:35:08 2014 -0700

    Add support for dissecting pcap-ng file-type-specific blocks.
    
    Add a dissector for pcap-ng file-type-specific blocks; it creates a
    dissector table using the block type as the key, attempts to call the
    appropriate dissector using that table, and does a minimal dissection if
    that fails.
    
    Change-Id: I67e139f06ba88d40faa5b4ab169e8df08f5bfe7b
    Reviewed-on: https://code.wireshark.org/review/1784
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 088b06418ad945ab417a661402c142d09b25b532)
    Reviewed-on: https://code.wireshark.org/review/1785

commit 0c2fdbc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 24 17:04:44 2014 -0700

    Add support for dissecting non-packet records.
    
    Add a dissector table indexed by the file type, and, for the
    file-type-specific records, have the frame dissector skip the usual
    pseudo-header processing, as the pseudo-header has a file-type-specific
    record subtype in it, and call the dissector for that file type's
    records.
    
    Change-Id: Ibe97cf6340ffb0dabc08f355891bc346391b91f9
    Reviewed-on: https://code.wireshark.org/review/1782
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 318cf8a6782d8911c7c2891c395062f98eb0a316)
    Reviewed-on: https://code.wireshark.org/review/1783

commit 1d20394
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Fri May 23 15:40:08 2014 -0700

    Fixed mausb valid bit & added invalid_valid TFS
    
    Fixed valid bit check for MAUSB EPHandleResp packet. the valid bit
    is active low (ie: valid = 0, invalid = 1).
    
    I noticed Some other dissectors also defined an tfs_invalid_valid,
    so got rid of their local definitions & added it to epan/tfs.c.
    
    Change-Id: Ifd78325f9c7c046224073fc9b29e0cc60dc5c286
    Reviewed-on: https://code.wireshark.org/review/1766
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 33ae4cb024e36192ff7c6fa1d3d6bdcce9b25b7a)
    Reviewed-on: https://code.wireshark.org/review/1781
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c74afc3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 24 14:53:15 2014 -0700

    Distinguish between "events" and "reports".
    
    Have two different classes of file-type-specific records - "events" and
    "reports".  An "event" indicates something that happened in the capture
    process, such as a status transition on the network; a "report" just
    gives information not corresponding to something happening in the
    capture process, such as capture statistics.
    
    Note that both of those should be dissected and displayed like packets,
    and leave open the possibility of file-type-specific records whose
    contents should be processed and saved but not displayed in the packet
    list.
    
    Shorten "file_type_specific" to "ft_specific".
    
    Change-Id: I2342d82ef992c794b76f354c057823dd5eb371e6
    Reviewed-on: https://code.wireshark.org/review/1779
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6dffc3b7e364b7446c30db54d2193476a5f0fa93)
    Reviewed-on: https://code.wireshark.org/review/1780

commit 782d41e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 24 14:21:06 2014 -0700

    Fix a compiler warning.
    
    Change-Id: I5b4b518982dc6033842b1e791e67d2faddfb5487
    Reviewed-on: https://code.wireshark.org/review/1777
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d5b173009c6aa4442752976374bf9f1a1ec79ca2)
    Reviewed-on: https://code.wireshark.org/review/1778

commit 9b03a0e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 24 13:57:11 2014 -0700

    Add support for plugins to handle pcap-ng block types.
    
    We rename "file format" plugins to "libwiretap" plugins, as they can
    register as read handlers for a new file type, read/write handlers for a
    pcap-ng block type (or both).
    
    To register as a pcap-ng block type handler, in the
    register_wtap_module() routine of your plugin, call
    register_pcapng_block_type_handler() with the pcap-ng block type and
    pointers to your routines to read and write those blocks.  Those
    routines should read and write REC_TYPE_FILE_TYPE_SPECIFIC records, with
    the block type in the pseudo-header for the record in the struct
    wtap_pkthdr structure, with time stamps stored in that structure, and
    with a blob of data for the rest of the record.
    
    This is for bug 8590.
    
    Change-Id: I71847d834854a29ceb85894fd094c2ae91a04273
    Reviewed-on: https://code.wireshark.org/review/1775
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 1b6cc6320ee8d07293b3741738ee601bc86ba068)
    Reviewed-on: https://code.wireshark.org/review/1776

commit 2310c43
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 24 11:28:30 2014 -0700

    Allow wtap_read() and wtap_seek_read() to return records other than packets.
    
    Add a "record type" field to "struct wtap_pkthdr"; currently, it can be
    REC_TYPE_PACKET, for a record containing a packet, or
    REC_TYPE_FILE_TYPE_SPECIFIC, for records containing file-type-specific
    data.
    
    Modify code that reads packets to be able to handle non-packet records,
    even if that just means ignoring them.
    
    Rename some routines to indicate that they handle more than just
    packets.
    
    We don't yet have any libwiretap code that supplies records other than
    REC_TYPE_PACKET or that supporting writing records other than
    REC_TYPE_PACKET, or any code to support plugins for handling
    REC_TYPE_FILE_TYPE_SPECIFIC records; this is just the first step for bug
    8590.
    
    Change-Id: Idb40b78f17c2c3aea72031bcd252abf9bc11c813
    Reviewed-on: https://code.wireshark.org/review/1773
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6db77b000fe58173eeed23b91b32c92c681feda2)
    Reviewed-on: https://code.wireshark.org/review/1774

commit 95a057a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 16:44:23 2014 -0700

    Fix some whitespace issues.
    
    Change-Id: I363361e898c4b37fcde29847a1473530e5052733
    Reviewed-on: https://code.wireshark.org/review/1771
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f67fc8a4d21d69ede7939874f69c3c5b8a0a4ce4)
    Reviewed-on: https://code.wireshark.org/review/1772

commit d5d0f51
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 16:40:56 2014 -0700

    More handling of missing time stamps.
    
    Make nstime_cmp() handle "unset" time stamps (they're equal to other
    "unset" time stamps, and less than all other time stamps), use it in
    reordercap, and "unset" the time stamp if it's absent.
    
    Also, nstime_cmp() does not modify its argument, so make it const.
    
    Change-Id: I016dab5fefaf4696e78cbd8c6dd3395808e54369
    Reviewed-on: https://code.wireshark.org/review/1769
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d470a468a63a081688ddc2c6d125e4e2edafecfc)
    Reviewed-on: https://code.wireshark.org/review/1770

commit b056e18
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 16:23:58 2014 -0700

    Set the presence flags.
    
    If we're going to stuff a time stamp in there, let's at least indicate
    that it's there.
    
    Change-Id: Idc3d4ba5fdc109b21b5c6034906664a763b2ddda
    Reviewed-on: https://code.wireshark.org/review/1767
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9e2db542a28377d106c4dc99fff15499a4e26fd7)
    Reviewed-on: https://code.wireshark.org/review/1768

commit 73c9c7c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 15:35:32 2014 -0700

    More checks for the presence of a time stamp.
    
    Change-Id: If8dd4c37bcb1b35dd9f988184ad53118172ae9db
    Reviewed-on: https://code.wireshark.org/review/1764
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit dc0ff56d753355049e1bd2e7058f6d8691817584)
    Reviewed-on: https://code.wireshark.org/review/1765

commit 1f897cc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 14:03:42 2014 -0700

    More checks for the presence of a time stamp.
    
    And make sure we have a pointer to the struct wtap_pkthdr for the packet
    before we check it for a time stamp.
    
    Change-Id: I26b205e5467a3a1236e9fd1f7633e86ece5e9040
    Reviewed-on: https://code.wireshark.org/review/1762
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f635efb6a63e10c03713cfae75490dda7cd1092e)
    Reviewed-on: https://code.wireshark.org/review/1763

commit 7da8c2a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri May 23 13:23:17 2014 -0700

    Initialize master-1.12.
    
    Change-Id: Idc679d0c7f13934fceb4d196d76abdefc51f4450
    (cherry picked from commit 543ff5713546c82f9bc44af3198136501593e09f)
    Reviewed-on: https://code.wireshark.org/review/1760
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8a7e1f4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 11:53:08 2014 -0700

    Don't assume all packets have time stamps.
    
    Pcap-ng files might have Simple Packet Blocks, which don't have time
    stamps, and some other file formats might not have time stamps as well.
    
    Only check the time stamp if we have one, and don't use "the start time
    stamp is unset" as an indication that we've just read the first packet,
    use "the count of packets we've read is 1" as an indication that we've
    just read the first packet.
    
    Change-Id: I097c54867655efb5c343fb880a113b3583736bbd
    Reviewed-on: https://code.wireshark.org/review/1757
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8ce793c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 11:10:05 2014 -0700

    file_seek() sets the error variable; no need to set it ourselves.
    
    Change-Id: I637326841e6db562b0896e77c86c4ebf9c3b0561
    Reviewed-on: https://code.wireshark.org/review/1756
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7f6f5fc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 11:07:31 2014 -0700

    Fix comment.
    
    Change-Id: Ifa526ff6a9f685a0956e1b2e49f35fecfd290cb0
    Reviewed-on: https://code.wireshark.org/review/1755
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ae1ec15
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 11:02:40 2014 -0700

    Get rid of extra trailing blank lines.
    
    Change-Id: I2cb1fdc3bc27c0075cc1e4910dc32088d2695bff
    Reviewed-on: https://code.wireshark.org/review/1754
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1a9336b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 10:59:16 2014 -0700

    Fix a comment.
    
    Change-Id: I91a5c52939a516807431494a4120aecc5b0dba41
    Reviewed-on: https://code.wireshark.org/review/1753
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f8d7255
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 10:55:30 2014 -0700

    Get rid of extra trailing blank lines.
    
    Change-Id: I161bdbf08b35bfbfa1a19fc4facc5b72ef2b0390
    Reviewed-on: https://code.wireshark.org/review/1752
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a267f16
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 10:53:13 2014 -0700

    Get rid of trailing blank lines.
    
    Change-Id: I53c560557d70e2a1cb78de37aad17d92a714ce2a
    Reviewed-on: https://code.wireshark.org/review/1751
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f6f5985
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 10:51:56 2014 -0700

    Fix the type of i4b_read_rec() to reflect what it actually returns.
    
    Change-Id: Iafd4996a724418460043abda455a237a539c7925
    Reviewed-on: https://code.wireshark.org/review/1750
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bbfdfa4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 10:47:44 2014 -0700

    Remove trailing blank lines.
    
    Change-Id: I62171eb8686fc31af901367182186ccd79098fe2
    Reviewed-on: https://code.wireshark.org/review/1749
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5896e2c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri May 23 11:42:49 2014 -0400

    Improve handling of short MQTT PDUs.
    
    This is a "good-enough" fix for now until a more comprehensive fix
    is committed to handle the case of the (variable size) PDU
    length field being split across TCPO segments.
    
    Change-Id: I57e8f5e9d7a9855fac320e8843b82a273ffb7cc5
    Reviewed-on: https://code.wireshark.org/review/1748
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 0eafcb9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 23 16:44:09 2014 +0200

    Fix -Wdocumentation
    
    epan/packet.h:369:11: error: parameter 'returns' not found in the function declaration [-Werror,-Wdocumentation]
    
    Change-Id: Ieedd203c4e952ae0ac17273311163d25ab2da066
    Reviewed-on: https://code.wireshark.org/review/1746
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1c5e92d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 23 16:03:03 2014 +0200

    SIP: remove leading spaces/tabs between security parameters
    
    Change-Id: Icf15d18a16937e48d6b96749e8fa7c931916b491
    Reviewed-on: https://code.wireshark.org/review/1743
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 16d7dca
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 23 17:06:16 2014 +0200

    SIP: parse ports definition in security mechanism
    
    Change-Id: Iaef57f01b903b66ec55275d77f80f4e81a8130dc
    Reviewed-on: https://code.wireshark.org/review/1747
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit de29a8d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 23 16:10:24 2014 +0200

    LISP : error: declaration of 'address' shadows a global declaration [-Werror=shadow]
    
    Change-Id: I3f490ec40ae3241e9836e0914d43424ff9565fb5
    Reviewed-on: https://code.wireshark.org/review/1744
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c94987d
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Fri May 23 17:34:57 2014 +0300

    Dissect Nonce Locator LCAF
    
    Change-Id: I23f05cf3a0bc43baac4c4c31f5ce0dc0dffcade1
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1745
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8393390
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Fri May 23 16:06:38 2014 +0300

    Dissect AS Number LCAF
    
    Change-Id: I03c839a23c037a4d7da63d74e5407f0470301697
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1742
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit eb3cdb9
Author: Guy Martin <gmsoft@tuxicoman.be>
Date:   Mon May 19 11:14:44 2014 +0200

    Zero out pinfo->src and dst before adding a frag.
    
    If an mp2t packet contains one full subpacket and the fragment of
    another one, it happens that the first subpacket will set src or dst to
    an ethernet or IP address. Adding the fragment of the second subpacket
    will then use this information for calculating the hash in the fragment
    table. However, later fragments in other mp2t packets will not have
    these info and reassembly will fail.
    
    Change-Id: Ic52763017cb854851b6686654c2d8a1624305d65
    Reviewed-on: https://code.wireshark.org/review/1692
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a344c97
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 10:50:02 2014 +0000

    Revert "Allow wtap_read() and wtap_seek_read() to return non-packet records."
    
    This reverts commit c0c480d08c175eed4524ea9e73ec86298f468cf4.
    
    A better way to do this is to have the record type be part of struct wtap_pkthdr; that keeps the metadata for the record together and requires fewer API changes.  That is in-progress.
    
    Change-Id: Ic558f163a48e2c6d0df7f55e81a35a5e24b53bc6
    Reviewed-on: https://code.wireshark.org/review/1741
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 716fdc8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 23 10:48:46 2014 +0000

    Revert "Fix some white space issues."
    
    This reverts commit 2456b22cd36b08fc2816d5a730918af3d7a9d480.
    
    Next step: revert my other change.
    
    Change-Id: I7a2302c527c8a85ce9f37d6e4f68c1e2d0adb741
    Reviewed-on: https://code.wireshark.org/review/1740
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ca97ba0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 22 19:23:22 2014 +0200

    Update comment about -Wunreachable-code and -Wdocumentation
    
    Change-Id: I5b942bdacc5f4a9ecfa084dbff479eba6582b0df
    Reviewed-on: https://code.wireshark.org/review/1726
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1f26536
Author: Evan Huus <eapache@gmail.com>
Date:   Sun May 18 22:17:30 2014 -0400

    Add jumbo-allocation support to wmem fast block
    
    As it turns out, we do occasionally need it.
    
    Bug:10115
    Change-Id: Ifec79e4d2470bbc09f15674534d01418a6571a0d
    Reviewed-on: https://code.wireshark.org/review/1688
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 7a706d6
Author: Evan Huus <eapache@gmail.com>
Date:   Thu May 22 23:34:24 2014 -0400

    Add cast to please mac buildbot
    
    Change-Id: Ifffcd79732f0eeaad9f618cb5b8e98217fae32da
    Reviewed-on: https://code.wireshark.org/review/1738
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 2456b22
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 22 20:05:20 2014 -0700

    Fix some white space issues.
    
    Change-Id: I3b4f57c2d1ceffeea1770494fe19a0eee8717a76
    Reviewed-on: https://code.wireshark.org/review/1737
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c0c480d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 22 20:01:31 2014 -0700

    Allow wtap_read() and wtap_seek_read() to return non-packet records.
    
    This is the first step towards implementing the mechanisms requestd in
    bug 8590; currently, we don't return any records other than packet
    records from libwiretap, and just ignore non-packet records in the rest
    of Wireshark, but this at least gets the ball rolling.
    
    Change-Id: I34a45b54dd361f69fdad1a758d8ca4f42d67d574
    Reviewed-on: https://code.wireshark.org/review/1736
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6287efb
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 22 22:54:28 2014 -0400

    tvb parameter should not be NULL as the lengths are nonzero.
    
    Change-Id: If085a9fc69bbbf28a7c801930a664c412a4a5b7a
    Reviewed-on: https://code.wireshark.org/review/1734
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b48a215
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 22 14:53:30 2014 -0700

    Don't use sizeof(guintN) for sizes of data in packets.
    
    Either
    
    	1) sizeof(guintN) = N/8, in which case it's redundant
    
    or
    
    	2) sizeof(guintN) != N/8, in which case it's wrong.
    
    This also keeps us from having to throw casts at complaints about
    shortening 64-bit values.
    
    Change-Id: I33911acfc54c0f3f21b73026a100a82b1ee2c35e
    Reviewed-on: https://code.wireshark.org/review/1731
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c4ca41e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 22 22:09:27 2014 +0200

    RADIUS: Remove double space before type (t=...)
    
    Change-Id: I536a359e7c808b3ace8387e30117f307c0a66e8b
    Reviewed-on: https://code.wireshark.org/review/1729
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b762dd0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 22 21:05:54 2014 +0200

    GSM SIM: fix a typo and update obsolete API calls
    
    Change-Id: Iccd51dde155e9aaed23eb753c27ae29c8cee94cd
    Reviewed-on: https://code.wireshark.org/review/1725
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a60c661
Author: ruengeler <ruengeler@wireshark.org>
Date:   Thu May 22 13:46:36 2014 +0200

    Call dissect_ip_tcp_options to save the window scale.
    
    Change-Id: I411b16cdb3bc128cb49218080179c43e13f96e99
    Reviewed-on: https://code.wireshark.org/review/1723
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e1ab96c
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu May 22 17:47:30 2014 +0200

    Missed update of one dissector_try_heuristic() when merging.
    ssed#	asn1/s1ap/s1ap.diff
    
    Change-Id: I4bb473860bf116138fa82791aa0f4a952164476a
    Reviewed-on: https://code.wireshark.org/review/1724
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 177c655
Author: Owen Kirby <osk@exegin.com>
Date:   Thu Apr 17 23:33:42 2014 -0400

    Tighten heuristic checks for IEEE 802.15.4 protocols, and add Decode-As by PANID for when we still get it wrong.
    
    Change-Id: Icc2b274d2478a9426da881998bbbbfb3bf34ec4a
    Reviewed-on: https://code.wireshark.org/review/1167
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 19c1989
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 22 10:40:55 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ie97c65c1a995881eb400a44f17a493494f97d9dd
    Reviewed-on: https://code.wireshark.org/review/1722
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e92ee35
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 22 10:28:13 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I2c7ed98e28a5149562d61f8005629f351a31c11b
    Reviewed-on: https://code.wireshark.org/review/1721
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit db4abb6
Author: Anish Bhatt <anish@chelsio.com>
Date:   Wed May 21 21:46:03 2014 -0700

    LLDP Cleanup : 802.3 TLV
    
    Change-Id: Iac1740e7e1895388de3ef3c103ef6e60cc688d9e
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1720
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit adb3f70
Author: Roman Volkov <volkoff_roman@ukr.net>
Date:   Thu May 22 00:38:54 2014 +0300

    Wrong length of Modulation Type and Modulation System fields in Satellite Delivery Descriptor
    
    According EN300468 in Satellite Delivery Descriptor 'Modulation System' field has 1 bit length. 'Modulation Type' has 2 bits length.
    But in my Wireshark 'Modulation System' is 2 bit long and 'Modulation Type' is 1 bit long.
    
    bug: 10119
    Change-Id: I762145418bbfc9c0621ee7ca1a07d35afb6d7d92
    Reviewed-on: https://code.wireshark.org/review/1718
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0cb180a
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Thu May 22 01:01:14 2014 +0200

    Print the values in the BSS Load Element in human readable format as well.
    
    Change-Id: Ie20c340e06b970602a94c601be4c629ccae56e7c
    Reviewed-on: https://code.wireshark.org/review/1719
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 011a330
Author: Mark Weel <markweel@hotmail.com>
Date:   Wed May 21 15:21:50 2014 +0200

    DIS: implement IFF PDU
    
    Change-Id: Ica5029ab31077f95cabde22ad7df42ced769a3d0
    Reviewed-on: https://code.wireshark.org/review/1714
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2cfda31
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 20 12:54:20 2014 +0200

    Change the signature of dissector_try_heuristic() to return hdtbl_entry
    which can be used to call the found heuristic dissector on the next pass.
    
    Introduce call_heur_dissector_direct() to be used to call a heuristic
    dissector which accepted the frame on the first pass.
    
    Change-Id: I524edd717b7d92b510bd60acfeea686d5f2b4582
    Reviewed-on: https://code.wireshark.org/review/1697
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bb01c7a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed May 21 10:17:49 2014 -0700

    Remove extra parentheses.
    
    Fix the clang warning
    
    epan/wmem/wmem_allocator_simple.c:49:27: error: equality comparison with extraneous parentheses [-Werror,-Wparentheses-equality]
        if ((allocator->count == allocator->size)) {
             ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~
    
    We might want to add -Wno-parentheses-equality to the compiler flag
    list but I'm not sure if doing so would hide valid problems.
    
    Change-Id: Id59b55af1411f13309fbec77870f869e04a6f49f
    Reviewed-on: https://code.wireshark.org/review/1717
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a150988
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Wed May 21 20:07:19 2014 +0300

    Dissect Multicast Group Membership Information LCAF
    
    Bug: 10126
    Change-Id: I81d643978d663d6905070d3cd7e751286c316fcd
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1716
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3a60f8d
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Wed May 21 16:58:19 2014 +0300

    LISP: Add support for MAC address AFI
    
    Change-Id: I105ba5a9623d482c912c94d2c21a1c02d869db56
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1715
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 87573a6
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Wed May 21 12:19:46 2014 +0300

    Dissect Replication List Entries LCAF
    
    Bug: 10124
    Change-Id: Ided4fff8259bbf1b5cb4b5209be6e3931ab09fe5
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1711
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 93630b5
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Wed May 21 13:41:26 2014 +0300

    Add value to correct tree in Key/Value LCAF
    
    Change-Id: Icd4ae54bff25e30406c70739c6c799db2484255b
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1713
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fa3eecf
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Wed May 21 12:52:15 2014 +0300

    Add MAC address family numbers (RFC 7042)
    
    See http://tools.ietf.org/html/rfc7042#section-5.2 for details
    
    Change-Id: I6002bef860b67e21058a66489eb16df88ba0ddf0
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1712
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a1e6b10
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 17 10:49:54 2014 -0400

    Fix lua directory tests.
    
    The underlying directory iterator is not guaranteed to return directories in the
    same order according to the glib documentation, so don't rely on the directory
    order being the same when testing it.
    https://developer.gnome.org/glib/2.37/glib-File-Utilities.html#g-dir-read-name
    
    Bug:10009
    Change-Id: I4b1078e1f3981921b1e83c4f77b4bc30a5d21b46
    Reviewed-on: https://code.wireshark.org/review/1671
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 0ac1779
Author: Evan Huus <eapache@gmail.com>
Date:   Tue May 20 23:01:49 2014 -0400

    Add cast to satisfy buildbot
    
    Change-Id: Ib0f66fb6e4a577da7381a75789b08a0d0371ddd2
    Reviewed-on: https://code.wireshark.org/review/1709
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 5d8c3cc
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Tue May 20 23:22:08 2014 +0300

    Dissect Source/Destination 2-Tuple Lookups LCAF
    
    Change-Id: I0e8595ab5cf5385a7fda636a1804b0788f9eb869
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1707
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2b0ad54
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 20 22:47:08 2014 +0200

    Fix indent (use tabs)
    
    Change-Id: Ie23faaeeab61c684d57c4ff7b3c1b4ff95906dbe
    Reviewed-on: https://code.wireshark.org/review/1706
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 438d1f8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 20 23:00:12 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I9bccb246817ee442fbb7c216e9a2599c791a54b2
    Reviewed-on: https://code.wireshark.org/review/1708
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 572e76b
Author: Peter Lemenkov <lemenkov@gmail.com>
Date:   Wed May 14 16:03:09 2014 +0400

    Don't panic in case of mediaproxy-ng/rtpengine extension
    
    Change-Id: Id0441ec3e68b594051930623c17f45e806b79616
    Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/1633
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 33fc6e6
Author: Guy Martin <gmsoft@tuxicoman.be>
Date:   Mon May 19 11:14:08 2014 +0200

    Fix the SET_ADDRESS_HF() macro.
    
    Change-Id: I01ac342f791b578be0aab80ce8fe07a97ba5ed50
    Reviewed-on: https://code.wireshark.org/review/1691
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 57e380a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 20 18:54:17 2014 +0200

    SSL/TLS: Add Padding Extension (20)
    
    http://tools.ietf.org/html/draft-agl-tls-padding-03
    
    Change-Id: I181718edf5b5f297aaf2e247524dfce069c90cce
    Reviewed-on: https://code.wireshark.org/review/1703
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7e4b8a1
Author: Anish Bhatt <anish@chelsio.com>
Date:   Tue May 20 11:12:55 2014 -0700

    Fix error in dcbx feature TLV dissection. Willing and Error bits were flipped
    
    Change-Id: Ia6d727909816b86c48232685adca653700f071d9
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1705
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c7cea8f
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Tue May 20 19:58:12 2014 +0300

    Update ELP LCAF dissection to new draft revision
    
    There was a change in the ELP LCAF packet format between
    draft-ietf-lisp-lcaf revisions -03 and -04 reversing the flags and AFI
    fields, to be more consistent with other LCAF types.
    
        http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url2=draft-ietf-lisp-lcaf-04.txt
    
    Change-Id: I2c572050f413696f2d388969e7db24238783bd56
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1704
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e9f5dcf
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Tue May 20 16:13:00 2014 +0300

    Dissect Key/Value Address Pair LCAF
    
    Change-Id: Ic1640a823816c5cd225c573147ff9b6b8c88879e
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/1702
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 88ff6c0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 20 14:14:26 2014 +0200

    PCP: Remove whitespace before (
    
    Change-Id: I199895718311867be4c589137074c18ac4d45eea
    Reviewed-on: https://code.wireshark.org/review/1701
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 98991c3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 20 13:52:25 2014 +0200

    PCP: Discovering NAT64 IPv6 Prefixes Using the Port Control Protocol (RFC7225)
    
    Change-Id: Ib404c3db8c13ebb0a2e1f6d9f767a183896f869f
    Reviewed-on: https://code.wireshark.org/review/1700
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9c08654
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 20 13:25:55 2014 +0200

    PCP: Add Description Option for the Port Control Protocol (RFC 7220)
    
    Change-Id: I2931b14855981e71d1135a8ff7cc3b494a2a7572
    Reviewed-on: https://code.wireshark.org/review/1699
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 12d297e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 20 14:11:14 2014 +0200

    PCP : Enhance display of Option...
    * Display reserved using FT_BYTES
    * Set option code in option subtree
    
    Change-Id: Ie6cf32ed260ddccceaa9f617f0a74982c95f08f5
    Reviewed-on: https://code.wireshark.org/review/1698
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit eef176d
Author: Mark Weel <markweel@hotmail.com>
Date:   Mon May 19 16:10:50 2014 +0200

    DIS: update enumerations to SISO-REF-010-00v20-0
    
    Change-Id: I99cd075bef5b8d3f2546032cc6ce9774bcf8efc1
    Reviewed-on: https://code.wireshark.org/review/1695
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 868fa65
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Mon May 19 13:03:28 2014 -0700

    Remove incorrect _U_ flag in dissect_mausb signature
    
    Removes _U_ flag for data field in dissect_mausb(),
    since tcp_dissect_pdus(), uses the data field.
    
    Change-Id: Iccb5aae1aa203f98484666763410c4a555413ac0
    Reviewed-on: https://code.wireshark.org/review/1696
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 78ba6e4
Author: Guy Martin <gmsoft@tuxicoman.be>
Date:   Mon May 19 11:17:20 2014 +0200

    Fix warning about the adaptation field control for docsis packet. The specs actually say that it should be set to 1.
    
    Change-Id: I136b48c6284c09798ee8e88f012a20e2cb16cd5e
    Reviewed-on: https://code.wireshark.org/review/1693
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 69623c9
Author: Guy Martin <gmsoft@tuxicoman.be>
Date:   Mon May 19 11:13:41 2014 +0200

    Increase frag_id for self contained subpackets in mp2t packets. This fix length calculation on second pass.
    
    Change-Id: I6224657c0765fa9696829844b4819f6ab0a3d3f4
    Reviewed-on: https://code.wireshark.org/review/1690
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0adac83
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon May 5 17:21:22 2014 +0200

    convert SEK and SIV to their binary form only once when a new key/iv is
    set, don't do the same conversion for each apdu
    
    Change-Id: I6b19a0b4e138cd9d333b7ab95d6a8ee3eb516293
    Reviewed-on: https://code.wireshark.org/review/1694
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 4222091
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed May 14 23:58:08 2014 +0200

    change the satellite frequency into a float (freq in GHz)
    and make it filterable
    
    Change-Id: I0644e5c69ff58301c00ea3d37e80f25b856168e4
    Reviewed-on: https://code.wireshark.org/review/1689
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit d7bd2ec
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Sun May 18 09:56:20 2014 +0200

    Add new proto_tree_add_format_text() function
    
    There are lot of text dissectors which want just to add escaped (not filtrable) text,
    add new function proto_tree_add_format_text() which just do this in optimized way.
    
    Change-Id: Ia0e189b620cc0a5b74cfdaef1ad4571d766bb2ab
    Reviewed-on: https://code.wireshark.org/review/1678
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e6d6183
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun May 18 00:07:28 2014 +0200

    ip: display calculated checksum
    
    This patch adds a new "ip.checksum_calculated" field that can be used
    for display in a column.
    
    Based on d7c4bde2799084aee717dbaa04d7fd4be06cd989 ("tcp: display
    calculated checksum").
    
    Change-Id: Ide5eb6640d51ded88b1df309092a0a3aaf482b03
    Reviewed-on: https://code.wireshark.org/review/1676
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 12d9fb7
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat May 17 22:02:21 2014 +0200

    udp: display calculated checksum
    
    This patch adds a new "udp.checksum_calculated" field that can be used
    for display in a column or tshark.
    
    Based on d7c4bde2799084aee717dbaa04d7fd4be06cd989 ("tcp: display
    calculated checksum").
    
    Change-Id: Iefcfd8395adeff7a3ac58a1bfff1a3c97976aa56
    Reviewed-on: https://code.wireshark.org/review/1675
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e5353bf
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 18 14:21:31 2014 -0400

    Use g_ alloced memory (instead of emem) when printing fields.  emem shouldn't be used for GUI functions anyway.
    
    emem was exposed because of its memory limits trying to output PDML for a very large byte field in a capture file.
    
    When converting from proto_construct_match_selected_string to fvalue_to_string_repr remember proto_construct_match_selected_string includes fieldname + value, not just value
    
    bug:10081
    Change-Id: I4fc6ea7fd1f63cff410207c8b30562771af40ada
    Reviewed-on: https://code.wireshark.org/review/1578
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit f75f47b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 18 23:31:57 2014 +0200

    MySQL: fix soft-deprecated APIs
    
    tvb_length -> tvb_reported_length
    tvb_get_string -> tvb_get_string_enc
    
    Change-Id: I98d46b5603e0d840d17968f6c81b33d9bdbb9dea
    Reviewed-on: https://code.wireshark.org/review/1687
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ca6441e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 18 23:25:42 2014 +0200

    MySQL: add new (extended) Capability flags
    
    http://dev.mysql.com/doc/internals/en/capability-flags.html
    
    Change-Id: I0aef20fef5346bd24d610444fdbc89cbe720c3c4
    Reviewed-on: https://code.wireshark.org/review/1686
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit faeb050
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 18 21:35:28 2014 +0200

    Mysql : add new flag for server status flags
    
    http://dev.mysql.com/doc/internals/en/status-flags.html
    
    Change-Id: Ic08e2aa449eeb6963c5ebf7e65b5bf39e9da76d9
    Reviewed-on: https://code.wireshark.org/review/1685
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fe05383
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 18 21:20:24 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I9bf53014d90857b7d71efbb09b5ceb708b3df6ca
    Reviewed-on: https://code.wireshark.org/review/1683
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5235dc6
Author: AndersBroman <a.broman@bredband.net>
Date:   Sun May 18 19:32:19 2014 +0200

    Only call ep_tcp_port_to_display/ep_udp_port_to_display once for sorce and
    destination ports.
    
    Change-Id: I490a716b7991d0d7dfcaecd722a267c77af2e776
    Reviewed-on: https://code.wireshark.org/review/1682
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5701cea
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun May 18 21:34:13 2014 +0200

    - Modify Cisco Compatible Extentions MFP dissection
    - Add Cisco Compatible Extensions DTPC dissection
    
    Change-Id: I3dc7075865c0041ee964d9260339028d0adf17e0
    Reviewed-on: https://code.wireshark.org/review/1684
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 9705c9b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 18 08:04:32 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-18]
    
    Change-Id: Ia3d139ee0f02588ccc8aa1c83768ae51bd832d15
    Reviewed-on: https://code.wireshark.org/review/1679
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2d0507e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 17 15:28:30 2014 -0700

    Use gsize rather than int, to avoid some complaints about shortening.
    
    Change-Id: Ic673525a05cd106677226a4063af825d0f22c97c
    Reviewed-on: https://code.wireshark.org/review/1677
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ea95c83
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Wed May 14 01:56:23 2014 +0200

    Introduce col_add_lstr(), use it instead of slower col_add_fstr.
    
    We have callgrind benchmarks which shows that col_add_fstr() takes
    5% of Ir count cause of formatting done in g_vsnprintf().
    
    New col_add_lstr() can be used in few dissectors without much ugliness,
    and it should be a little faster.
    
    Change-Id: Ifddd951063dfd3a27c2a7da4dafce9b242c0472c
    Reviewed-on: https://code.wireshark.org/review/1629
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2408297
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat May 17 17:49:08 2014 +0200

    lua: fix buffer underrun
    
    A line containing just "\n" will cause a buffer underrun.
    
    Test:
    tshark -r test/captures/sipmsg.log -X lua_script:test/lua/acme_file.lua -w /dev/null
    
    Caught by ASAN.
    
    Change-Id: Idf38f1af2b211101b3929ee3fbd83c54c99c1e21
    Reviewed-on: https://code.wireshark.org/review/1673
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cea149a
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat May 17 17:19:42 2014 +0200

    wiretap: fix regression, missing initialization
    
    wtap_dump_open() allocates an empty wtap_dumper struct such that
    interface_data is not initialized. Fix this by adding the member back.
    
    Regression from 3aee917058fb46b2e86d750766001c4db214fc78 ("wiretap:
    remove unused code, drop number_of_interfaces").
    
    Bug: 10113
    Change-Id: Ia6259bf50b25d5e7aa837b0fb7396b07d5d3c72c
    Reviewed-on: https://code.wireshark.org/review/1672
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 3aee917
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu May 15 23:39:12 2014 +0200

    wiretap: remove unused code, drop number_of_interfaces
    
    While investigating an ASAN issue (fixed in
    commit dcdd076ab0965c346efe90051678ba790eaf7a02), I got greatly confused
    by three different types having the same "interface_data" field name:
    
     * pcapng_t *pn stores an array of interface_data_t objects.
     * wtap *wth stores an array of wtapng_if_descr_t objects.
     * pcapng_dump_t should store an array of interface_data_t objects.
    
    pcapng_dump_t and friends are unused since
    commit c7f1a431d23e17a15777652b1252e139f182b0e6, so drop it.
    
    To fix the confusion, rename the interface_data_t type to
    interface_info_t type and use the local variable "iface_info"
    everywhere. Rename interface_data of pcapng_t to "interfaces" and
    add a comment what this exactly means (interfaces listed in the capture
    file).
    
    Drop the number_of_interfaces field for interfaces as the array
    length is already available from GArray. Now interface_data is always
    initialized for wth (which also gets copied to idb).
    
    s/int/guint/g and replace cast at some places.
    
    There are no regressions for the in-tree test suite.
    
    Change-Id: I2d5985c9f1e43f8230dbb4a73bd1e243c4858170
    Reviewed-on: https://code.wireshark.org/review/1656
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9fe221a
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 17 08:23:52 2014 -0400

    Fix newly optimized strdup_vprintf.
    
    As Jakub pointed out, our +1/-1 logic for null terminators wasn't quite right.
    Also be sure to re-copy the va_list parameter if we need to re-use it, as
    otherwise things break oddly.
    
    Change-Id: Ibeaa95af602f565791e9378a6cfce434f13025eb
    Reviewed-on: https://code.wireshark.org/review/1670
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 72a6a8c
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Sat May 17 13:06:01 2014 +0200

    Fixes after wmem_strdup_vprintf() optimization
    
    - g_vsnprintf()[1] buffer size can includes space for terminating NUL,
      this simplifies code, and fix problems with string truncation
    
    - g_vsnprintf() returns number of bytes without terminating NUL, so we
      need to do + 1
    
    - second g_vsnprintf() call use already consumed 'ap2' va_arg, which
      makes wmem_strdup_vprintf() doesn't work/ crash for FORMATTED string length > 80
    
    [1] https://developer.gnome.org/glib/stable/glib-String-Utility-Functions.html#g-vsnprintf
    
    Change-Id: I0ebb7f452e3e89c9b55f8ac889166f02e8a7c982
    Reviewed-on: https://code.wireshark.org/review/1667
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 25ba4a2
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 17 08:05:35 2014 -0400

    Guard closing capture window with ifdef.
    
    That variable is only defined if we HAVE_LIBPCAP. Should fix OSX10.5 buildbot.
    
    Change-Id: I0bafc48955ef4af3c0b8d9d7a35b1e8b27577d31
    Reviewed-on: https://code.wireshark.org/review/1669
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 8129c2d
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 17 08:02:45 2014 -0400

    Add casts to fix OSX 10.6 buildbot
    
    Change-Id: Ice852356201ba222290d2705d9f5526ce242b031
    Reviewed-on: https://code.wireshark.org/review/1668
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 89a72f3
Author: Chun-Yeow Yeoh <yeohchunyeow@gmail.com>
Date:   Fri May 16 16:52:51 2014 +0800

    Add SAE authentication algorithm in 802.11
    
    Signed-off-by: Chun-Yeow Yeoh <yeohchunyeow@gmail.com>
    
    Change-Id: If3500dda55aed45bbecd0261191ce1ec6cfbdbca
    Reviewed-on: https://code.wireshark.org/review/1661
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Yeoh Chun-Yeow <yeohchunyeow@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a42df48
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri May 16 14:07:54 2014 +0200

    Use a pre allocated buffer in wmem_strdup_vprintf() reduces the function
    cost by more than half.
    
    Change-Id: I6ad2ae407325d2091ffb60919cb3ed74f78f39fa
    Reviewed-on: https://code.wireshark.org/review/1662
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ba3c0d7
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Fri May 16 17:19:17 2014 +0100

    Show EMM and ESM causes in the Info column
    
    Change-Id: I2e3be18e997d6be0b250fbd8e664779d0d2a8228
    Reviewed-on: https://code.wireshark.org/review/1666
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 0a24908
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri May 16 09:21:57 2014 -0700

    Build with GTK+ 2.24.23.
    
    Change-Id: Ic5c385c0fcef4d40a8cb9e7a271d14eb80905460
    Reviewed-on: https://code.wireshark.org/review/1665
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Tested-by: Gerald Combs <gerald@wireshark.org>

commit 33750ab
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 16 15:11:11 2014 +0200

    IP Protocol : Update description of IP Protocol
    
    From Boaz
    
    In IANA the two IPv4 protocols are defined:
    
    35	IDPR	Inter-Domain Policy Routing Protocol
    45	IDRP	Inter-Domain Routing Protocol
    http://www.iana.org/assignments/protocol-numbers/protocol-numbers.xhtml
    
    However, in Wireshark, they are named:
    
    { IP_PROTO_IDPR,    "Interdomain routing" },    /* 35 IDPR Inter-Domain Policy Routing Protocol [Martha_Steenstrup] */
    { IP_PROTO_IDRP,    "IDRP" },                   /* 45 IDRP Inter-Domain Routing Protocol [Sue_Hares] */
    
    Which is somewhat confusing.
    
    I think IDPR should be named "Inter-Domain Policy Routing".
    And IDRP should be named "Inter-Domain Routing Protocol".
    
    Change-Id: I69b34ea8d9b3169fd779357710edb44cfb5cb2b3
    Reviewed-on: https://code.wireshark.org/review/1664
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c3513b4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 16 14:59:32 2014 +0200

    Add modelines info
    
    Change-Id: Ia37dd9c79e70b839063e131c532ae2b724293600
    Reviewed-on: https://code.wireshark.org/review/1663
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c24ede3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 16 08:48:40 2014 +0200

    DNS: fix soft-deprecated APIs
    
    tvb_length -> tvb_reported_length
    tvb_get_string -> tvb_get_string_enc
    
    Change-Id: Ia511f0e9d3f8ae3d7a1a965431016336ec47188d
    Reviewed-on: https://code.wireshark.org/review/1660
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6989feb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 16 08:37:38 2014 +0200

    DNS: Use acronyms from RFC7218 for DANE / TLSA
    
    http://tools.ietf.org/html/rfc7218
    
    Change-Id: Icd276c6cb4680aa53b081c239cb8eb2d8fc109c6
    Reviewed-on: https://code.wireshark.org/review/1659
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 59eb8cf
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 15 18:23:26 2014 -0400

    Make (almost) all fields filterable and use "normal" dissection functions to do it.
    
    Removed the additional "parseFields" layer as it was unnecessary and IMO ends up creating more work for a developer if they want to add additional filterable fields.  That layer also hid the (large) number of unfilterable fields that were in the dissector that would normally be caught by counting the number of proto_tree_add_text function calls.
    
    Change-Id: I6f9607938c2386de40bdd3dae652614f07dda31e
    Reviewed-on: https://code.wireshark.org/review/1653
    Reviewed-by: Peter Ross <peter.ross@rmit.edu.au>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit aa922b0
Author: Evan Huus <eapache@gmail.com>
Date:   Thu May 15 19:59:52 2014 -0400

    Try to fix stack-buffer-overflow caught by ASAN
    
    Use wmem_array_append rather than wmem_array_append_one to make sure the pointer
    types match up. _append_one automatically takes the address of its argument,
    which causes problems if that argument is already a pointer.
    
    Thanks to Alexis for catching this.
    
    Change-Id: Ie702bb2c776f9fcf31bd64073c756edd75d888e8
    Reviewed-on: https://code.wireshark.org/review/1657
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7ba7612
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 15 18:21:38 2014 +0200

    STUN dissector: fix (soft) warning about tvb_length
    
    Change-Id: I2b6c4e44d406585204b805ae3efa53c31e7d2574
    Reviewed-on: https://code.wireshark.org/review/1655
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 37fd797
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 15 18:19:36 2014 +0200

    STUN dissector: fix hf name (stun_... => hf_stun_....)
    
    Change-Id: I0a4a12cc18a03824827a3bb57b7e58a8f1bd6ba8
    Reviewed-on: https://code.wireshark.org/review/1654
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 773c02d
Author: Masayuki Takemura <masayuki.takemura@gmail.com>
Date:   Thu May 15 22:37:37 2014 +0900

    diameter_3gpp: Dissect Feature-List flags in Gx message
    
    With this patch, wireshark dissects the Feature-List flags field in Gx message
    and displays the name and value of each of Feature bit.
    
    Change-Id: I18af8a133ae7db4da5a126a81521c474d1553719
    Reference: 3GPP TS 29.212 V11.7.0, Section 5.4.1.
    Reviewed-on: https://code.wireshark.org/review/1652
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 53eeff6
Author: ruengeler <ruengeler@wireshark.org>
Date:   Thu May 15 13:38:37 2014 +0200

    Do not leave the Options Interfaces Dialog open, when the Main Window is closed.
    
    Change-Id: Ifd4fb88ceff24561131fad1d72531889e323f5ac
    Reviewed-on: https://code.wireshark.org/review/1651
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 45da41d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 14 21:16:18 2014 -0700

    Fix declaration to match definition.
    
    Change-Id: I9fcfddb34b2a22c3e2cf8f8fc9671eed2e8aef43
    Reviewed-on: https://code.wireshark.org/review/1649
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 84fcadc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 14 20:23:09 2014 -0700

    Get rid of some uses of tvb_get_ptr().
    
    Change-Id: I85232f984f273c9a6ceccd12df5b77a4d131596c
    Reviewed-on: https://code.wireshark.org/review/1648
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 09bf170
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 14 20:15:03 2014 -0700

    Get rid of some uses of tvb_get_ptr().
    
    Introduce a new tvb_ipxnet_to_string() routine to help that.
    
    Change-Id: Icb27f7cdd6e6e7de67e765715e450063d7de6072
    Reviewed-on: https://code.wireshark.org/review/1647
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1bfe396
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 14 20:01:35 2014 -0700

    Get rid of some uses of tvb_get_ptr().
    
    Change-Id: Ib49575e5d92419e0860bf92810a7ac69f30e9699
    Reviewed-on: https://code.wireshark.org/review/1646
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b8f0e8c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 14 19:30:07 2014 -0700

    Eliminate some calls to tvb_get_ptr().
    
    Change-Id: I1c5e10467d68ed7372dfaa9109b350238418ffc1
    Reviewed-on: https://code.wireshark.org/review/1645
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d7f1ac3
Author: Evan Huus <eapache@gmail.com>
Date:   Wed May 14 15:59:24 2014 -0400

    wmem documentation updates
    
    Change-Id: Ief20460ed8ec1b4bd1286cc2a5490d9aeefdf98f
    Reviewed-on: https://code.wireshark.org/review/1643
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 9c07e97
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu May 8 15:36:37 2014 +0200

    Add an expert info for GT with no digits.
    
    Change-Id: I3595af1cae77fb07be942289b4a53c9edbd768fb
    Reviewed-on: https://code.wireshark.org/review/1561
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 99e92ac
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Wed May 14 14:26:32 2014 +0200

    Drop unused voip_bg.xpm
    
    Change-Id: I1130d9dbfb0aaf9b1de460cd26e136514b9b80b2
    Reviewed-on: https://code.wireshark.org/review/1642
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit bc15fad
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed May 14 18:38:30 2014 +0200

    AMQP: always display its name in protocol column, whatever the protocol version
    
    Bug: 10101
    Change-Id: I41105b250384bd44c37c0707ad41c9d76700bc75
    Reviewed-on: https://code.wireshark.org/review/1641
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a1b9393
Author: Evan Huus <eapache@gmail.com>
Date:   Wed May 14 13:00:37 2014 -0400

    Revert "Don't throw for offset at end of TVB with len -1."
    
    This reverts commit fe195c0c978b4b92dc5a77daa6449a7f1314243d.
    
    Conflicts:
    	epan/tvbuff.c
    
    Change-Id: I1af618d0bd1e6211281b6d67c0ad197cfa513a0c
    Reviewed-on: https://code.wireshark.org/review/1639
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d7c4bde
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 13 21:45:48 2014 +0200

    tcp: display calculated checksum
    
    While debugging a network issue, I found incorrect TCP checksums. These
    are shown in the packet details, but are not available as column. This
    patch adds the "tcp.checksum_calculated" field which is only available
    if a checksum can be calculated (i.e., checksumming is enabled and the
    full segment is available).
    
    The fields are added separately for each checksum case to make it appear
    before "Checksum Bad/Good" and to avoid calculating the expected field
    value for the "good" cases.
    
    Change-Id: I36af7894d526382ef636c5fa51e74871212b2909
    Reviewed-on: https://code.wireshark.org/review/1627
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit aa5d912
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed May 14 11:41:20 2014 -0400

    Add a comment indicating that 'PLATFORM' is apparently set only for X64.
    
    Change-Id: I5248c421e53a4347789c076433af004697a1b682
    Reviewed-on: https://code.wireshark.org/review/1637
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fbf3391
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed May 14 17:35:17 2014 +0200

    - curr_layer_num got wrong for STUN.
    - Change depreciated API.
    
    Change-Id: I6f83f45d2d007d42efc9d81cbaa58c50e67373f1
    Reviewed-on: https://code.wireshark.org/review/1636
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit beb119f
Author: Evan Huus <eapache@gmail.com>
Date:   Sun May 11 20:33:58 2014 -0400

    Don't use -1 as length in frame dissector.
    
    Additional belated followup to gfe195c0c9 per conversation on -dev about the use
    of -1 and when we should throw exceptions. See also g867a1827e7.
    
    Should (in theory) permit reverting gfe195c0c9.
    
    Bug:9999
    Bug:10030
    Change-Id: I56e5f4e5dc12fe82268243d0b113cfc9ff5fdd17
    Reviewed-on: https://code.wireshark.org/review/1603
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b2055d7
Author: Mark Weel <markweel@hotmail.com>
Date:   Wed May 14 16:36:58 2014 +0200

    Update enums to SISO_REF_010-00v20-0 Annex A, section A.1 and A.2
    
    Change-Id: Ic4099145d84541297d72b018b21f88b4a120b138
    Reviewed-on: https://code.wireshark.org/review/1634
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 836530e
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed May 14 12:35:30 2014 +0200

    - Replace tvb_length_remaining -> tvb_captured_length_remaining,
    - Use length_remaining in tvb_find_line_end() rather than -1 it should
      give a faster code path.
    
    Change-Id: Ia6c289f1701add48429b25152db8a8e5cea9e053
    Reviewed-on: https://code.wireshark.org/review/1632
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2828bf7
Author: ruengeler <ruengeler@wireshark.org>
Date:   Wed May 14 12:07:49 2014 +0200

    The filter string can only be valid, if an interface is selected.
    
    Change-Id: I578f6b46d5e2631c6315eb0a8b6141ba93ee21bb
    Reviewed-on: https://code.wireshark.org/review/1631
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dcdd076
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 13 19:24:41 2014 -0700

    pcapng->interface_data is an array of interface_data_t.
    
    Change-Id: Ida44a8820948d509e74ab8475979e8695abb4288
    Reviewed-on: https://code.wireshark.org/review/1630
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2c00d66
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Apr 23 19:59:03 2014 +0200

    Use pre-scan command line parameters with double while(opt=getopt...)
    
    Don't need launch "Qt" for some console only parameters (-h -v ...)
    
    Based on GTK+ code
    
    Change-Id: I1a810e394088959aefbbb39fb88836591a8b2367
    Reviewed-on: https://code.wireshark.org/review/1311
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 218b8c9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 13 17:49:24 2014 +0200

    HTTP2 enhance display when priority flag is set
    * Add bitmask and fix length for exclusive flag
    * Add missing bitmask for stream dependency
    * Add fielder with calcultated weight value (weight+1, see spec for more information)
    
    Change-Id: I7a6e97be068a80caa7355f593d9497c431c681ed
    Reviewed-on: https://code.wireshark.org/review/1625
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3157bf6
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 13 14:44:47 2014 +0200

    isprint() -> g_ascii_isprint()
    
    Change-Id: Ia586ef8ce500d5fc7578c52014206fa7a7eaea41
    Reviewed-on: https://code.wireshark.org/review/1624
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f7819de
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 13 18:00:25 2014 +0200

    In ascii_xx_inplace use g_ascii_isupper/g_ascii_islower directly, it
    *should* be slightly more efficient.
    
    Change-Id: I3081e2e25f241cdb07fa46011f50709fd560fb1c
    Reviewed-on: https://code.wireshark.org/review/1626
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cd8188d
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 13 10:28:09 2014 +0200

    Reduce the number of calls to tvb_reported_lenght_remaining().
    
    Change-Id: I717572d403b38a33ccd5e390ace3742f3d296250
    Reviewed-on: https://code.wireshark.org/review/1622
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f964740
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 12 09:00:52 2014 +0200

    Enhance HTTP2 dissector
    * Add missing padding for CONTINUATION frame
    * Add filter for generated padding length
    * add unused flags
    
    Change-Id: I98ff759595d3018f11b6d3ec9ea298e92e032d73
    Reviewed-on: https://code.wireshark.org/review/1604
    Reviewed-by: Daniel Stenberg <daniel@haxx.se>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c32fb05
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 13 09:27:44 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ieac2f4a288f6ed084f2ea83ad409e217168065b2
    Reviewed-on: https://code.wireshark.org/review/1621
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fb1e251
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon May 12 22:38:33 2014 -0700

    LLDP cleanup : Management Address TLV
    
    Change-Id: I324fdd0482a9740f24e74688bd17d768fc37f60c
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1620
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 67bc394
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue May 13 07:10:01 2014 +0200

    IPsec: fix implicit conversion of pointer warning
    
    Change-Id: Id1b62e2a7ea525cf2d421e41d9f344d24b56506d
    Reviewed-on: https://code.wireshark.org/review/1619
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 44191fc
Author: Evan Huus <eapache@gmail.com>
Date:   Sun May 11 18:25:23 2014 -0400

    Dumber "simple" wmem allocator.
    
    Instead of maintaining a hash table, just alloc a really big array of pointers.
    This is theoretically bad since it means frees and reallocs become O(n), but in
    practice it makes the capture from bug 10098 run about 20% faster under
    valgrind. This makes sense, since the workload is heavily dominated by
    allocations, and most frees/reallocs are recently allocated (so they will be
    found quickly at the beginning of the scan).
    
    Bug:10098
    Change-Id: I7097ad0653d3fb5f4f723cc84046cbc4450e3494
    Reviewed-on: https://code.wireshark.org/review/1602
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f1c2406
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Mon May 12 22:30:14 2014 +0100

    Allow 16 SAs to be added, but allocate on heap to avoid growing stack
    
    Change-Id: I68a4437c35c6e1e629cace06cfea07ae1ec45066
    Reviewed-on: https://code.wireshark.org/review/1616
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2981ae4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon May 12 15:16:23 2014 -0700

    Add default paths for the Qt online installer for Windows.
    
    Change-Id: I55d1ad6e4cc14aa5f02597d2afc8512018181543
    Reviewed-on: https://code.wireshark.org/review/1618
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 89e61b9
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon May 12 18:27:06 2014 +0200

    Save the result of tvb_reported_length_remaining() and use it to reduce the number of calls to tvb_reported_length_remaining().
    
    Change-Id: I6c110d7d995e4c771bbeea9013d867c46ca96778
    Reviewed-on: https://code.wireshark.org/review/1613
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d7befa8
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Mon May 12 22:22:49 2014 +0100

    Fix copy-and-paste error with cause value_strings, and change indentation to match generated code
    
    Change-Id: I629f010f2430c5765c1adb41c57e6ea26d92b049
    Reviewed-on: https://code.wireshark.org/review/1615
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit a22b912
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Wed May 7 11:08:31 2014 -0700

    Added dissection of EPHandleDelete Req & Resp packets
    
    Added support for dissecting Media Agnostic USB EPHandleDelete
    Req & Resp packets.
    
    Change-Id: I225a38291c3f47065755c01b336ef75c719e5d58
    Reviewed-on: https://code.wireshark.org/review/1546
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 9803122
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon May 12 09:57:44 2014 -0700

    Ignore SIGPIPE on systems that have it.
    
    According to the GTK+ docs, gtk_init calls "signal(SIGPIPE, SIG_IGN)" at
    startup. Replicate that behavior here, otherwise we tend to terminate
    unexpectedly.
    
    Change-Id: Ia017402755d647e6050af40deacef6765eea8694
    Reviewed-on: https://code.wireshark.org/review/1614
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Tested-by: Gerald Combs <gerald@wireshark.org>

commit 483e459
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon May 12 11:17:18 2014 -0400

    Do some cleanup related to deprecated function names and revised function return values):
    
    - tvb_length_remaining() ==> tvb_captured_length_remaining();
    - tvb_ensure_length_remaining() ==> tvb_ensure_captured_length_remaining();
    - tvb_(captured|reported)_length_remaining() now return 0 instead of -1 if error
       and thus MAX(0, ...) is no longer required;
    - Rename variable: length_remaining ==> captured_length_remaining;
    - tabs ==> spaces (to match editor modelines).
    
    Change-Id: I93b947a0a4cc52ccd2ad21c914abf4c4218b59e6
    Reviewed-on: https://code.wireshark.org/review/1610
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit d1d5caa
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 11 22:49:03 2014 +0200

    Fix tshark -z follow,tcp stats regression when TCP stream index is > 0
    
    With tshark stats are being configured before the file gets loaded and the number of TCP streams are computed
    
    Bug: 9541
    Change-Id: I42c2891124f1781b05967d5f071ad40df2d6d9f5
    Reviewed-on: https://code.wireshark.org/review/1598
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 9554b2f
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 11 21:28:15 2014 -0400

    Condense DIS dissector to a single file.
    
    This doesn't appears to be "autogenerated", and it certainly isn't the biggest dissector even after the merge.  This avoid file pollution, makes less non-static variables/functions and makes the check* scripts job easier.
    
    Change-Id: If94857e4a3e602c3d45201b1aebbf466ba3e1dd1
    Reviewed-on: https://code.wireshark.org/review/1597
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d73400a
Author: Evan Huus <eapache@gmail.com>
Date:   Sun May 11 17:55:20 2014 -0400

    Minor optimization to packet-frame.c
    
    When printing the protocol list item (which happens for every packet when using
    tshark -T) the resulting string is almost guaranteed to be longer than the
    default 16 characters. By allocating a bigger buffer right away we avoid some
    potentially-expensive reallocs as the string grows.
    
    Change-Id: Iaa35840f66975f03d8f92bbea26979df48bbc887
    Reviewed-on: https://code.wireshark.org/review/1601
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ff466a9
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 10 23:54:37 2014 -0400

    Increase time permitted when fuzzing with valgrind.
    
    The capture on bug 10098 times out but I don't see any culprits for bad loops or
    anything - I think the capture is just too big. I'd prefer somebody else take a
    look at it to verify I'm not missing anything before submitting this.
    
    Bug:10098
    Change-Id: I2cc43fd6ac9afaa345e7d31184483a9732fd6bf0
    Reviewed-on: https://code.wireshark.org/review/1583
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 03f75dd
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun May 11 21:27:06 2014 +0200

    It is possible to check out a source tree that is not co-located with
    the .git repository. First attempts to support that setup.
    
    Change-Id: Ie1560c372e23e58fb0e310f681388b5e1a65ba5b
    Reviewed-on: https://code.wireshark.org/review/1596
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 7a010fa
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun May 11 21:16:39 2014 +0200

    NEWS got updated again. This shows two inconsistencies how
    Gerald's and my machine generate this file:
    - Line width seems to be different
    - We use different time zones.
    Is there a way to make at least the first point consistent?
    
    Change-Id: I1f7ac0318eccc2fc5af94bfb8dc1f4e7410d4bcc
    Reviewed-on: https://code.wireshark.org/review/1595
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 98f608c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 11 15:07:25 2014 +0200

    Identify client/server by their IP address and port number in follow streams dialog box
    
    This allows to properly identify hosts that use the same port number
    
    Change-Id: I93bf5b53e4df1d339fb06b372b90f88fce6785a0
    Reviewed-on: https://code.wireshark.org/review/1588
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 44d83c2
Author: Gerald Combs <gerald@zing.org>
Date:   Sun May 11 09:47:09 2014 -0700

    Don't build update-sminmpec by default when using CMake.
    
    Change-Id: Iccce783eeef23a90ca23900cf18e2d3d2620c767
    Reviewed-on: https://code.wireshark.org/review/1592
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 4af23b0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat May 10 18:15:25 2014 +0200

    Fix display of unidirectional follow TCP/UDP streams
    
    It was broken since 48285bb16b0a5655a47a8a59c34bc98e6bf4cb75
    While we are at it, display the streams in the same order as Qt version
    
    Change-Id: I12df1c033dd51b7a162adca3fd36b31af5c074a1
    Reviewed-on: https://code.wireshark.org/review/1587
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit df2dc92
Author: Peter Ross <peter.ross@rmit.edu.au>
Date:   Sat May 10 11:35:41 2014 -0400

    packet-dis: SISO-J Link 16 PDU dissector (SISO-STD-002)
    
    Change-Id: Id2ed7b7786705ad5fa345b0d1904cec508d3161e
    Reviewed-on: https://code.wireshark.org/review/1552
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e2eea89
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat May 10 17:02:24 2014 +0200

    Small fixes to Follow Streams dialog box:
    - get the right IPv6 client address
    - display the right client to server string for UDP/SSL in Qt port
    
    Change-Id: I399cc38b8a32321198deccdd8e2ecd05b54e14db
    Reviewed-on: https://code.wireshark.org/review/1586
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 5d98ab7
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 10 23:30:48 2014 -0400

    Simplify IPv4 address hashing
    
    Rather than allocate 4 bytes and use g_int_*, use GUINT_TO_POINTER and
    g_direct_*. Should save some time/memory.
    
    Change-Id: Ie03d234703f68bb76131c5ddf17953d23bb54a0d
    Reviewed-on: https://code.wireshark.org/review/1582
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4ca79e9
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 10 23:11:11 2014 -0400

    Remove some dead emem code.
    
    Odds and ends that are no longer used anywhere in wireshark's codebase. It's
    slowly going away.
    
    Also internalize some code (remove header prototypes and make static) some
    functions that are only called internally to emem now.
    
    Change-Id: Ic1686a0f73c9ecaa333bc7b44a5a67a6a0369884
    Reviewed-on: https://code.wireshark.org/review/1581
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 8e37416
Author: Evan Huus <eapache@gmail.com>
Date:   Sat May 10 22:28:41 2014 -0400

    Fix leaking heuristic dissector names.
    
    I believe we started taking copies of these names for lua purposes, but we need
    to free them afterwards. This accounts for about half the leaked blocks (though
    only a tiny fraction of the memory) valgrind reported on a recent run.
    
    Change-Id: I74a656716cbf169905476f6c3e2cbcb0bd5ac0bc
    Reviewed-on: https://code.wireshark.org/review/1580
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 2f023ea
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 11 08:04:39 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-11]
    
    Change-Id: I877ce2410f90860e9da2144748f51b111235393f
    Reviewed-on: https://code.wireshark.org/review/1589
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 06657ca
Author: Peter Ross <peter.ross@rmit.edu.au>
Date:   Sun May 11 22:02:19 2014 +1000

    packet-dis: fix typos
    
    Change-Id: I9a9cd3a03e174014e6ac677ff8f4e686de003d6e
    Reviewed-on: https://code.wireshark.org/review/1585
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit dc8357d
Author: Peter Ross <peter.ross@rmit.edu.au>
Date:   Sun May 11 22:01:19 2014 +1000

    packet-link16: fix typos
    
    Change-Id: I57d1a2dc1f3a078eb18c5799ca3bc0277eb1b2f9
    Reviewed-on: https://code.wireshark.org/review/1584
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d13e139
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat May 10 22:07:27 2014 -0400

    Interpret DHCPv6 option 18 as a byte array.  RFC 3315, section 22.18 strongly suggests that any other such interpretation is inappropriate:
    
       The Interface-ID SHOULD be considered an opaque value, with policies
       based on exact match only; that is, the Interface-ID SHOULD NOT be
       internally parsed by the server.
    
    This reverts the "Cable Lab specific" functionality added in SVN rev 32928, git rev a541950ca80207eb50ad0cb7cee29a384e76d2b0.
    
    bug:9877
    Change-Id: Id4a8cbd01ab3cd6d5a0a44aa2066ea395190f51a
    Reviewed-on: https://code.wireshark.org/review/1579
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 43bb76a
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Thu May 8 15:23:48 2014 +0200

    Function to calculate twos complement is quicker and hopefully better understandable.
    
    Change-Id: I1948eeaf5fa5aa4a5ccd0f81be894f655907a4dc
    Reviewed-on: https://code.wireshark.org/review/1570
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit dac0a0c
Author: Peter Ross <peter.ross@rmit.edu.au>
Date:   Sat May 10 08:46:47 2014 -0400

    packet-link16: Link 16 message dissector (MIL-STD-6016)
    
    Described in:
    Robertson, W., and Ross, P., Extending the Wireshark Network Protocol Analyser
    to Decode Link 16 Tactical Data Link Messages, Defence Science and Technology
    Organisation, January 2014. DSTO-TN-1257.
    
    Change-Id: Ie4b1228ef112e56b3ab975d0c9254fa468b90cc2
    Reviewed-on: https://code.wireshark.org/review/1551
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 877942c
Author: Evan Huus <eapache@gmail.com>
Date:   Fri May 9 15:16:14 2014 +0000

    Revert "Use g_ alloced memory (instead of emem) when printing fields.  emem shouldn't be used for GUI functions."
    
    It's causing a few different test failures - I've tracked down at least one of them, but the others are weirder and will require more digging.
    
    This reverts commit 9edba650d11776fa1d5aefe4820890898380c1c2.
    
    Change-Id: I897f8cf1cfbb2a189b2054e5002f59757befa47f
    Reviewed-on: https://code.wireshark.org/review/1575
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 532c3bc
Author: Evan Huus <eapache@gmail.com>
Date:   Fri May 9 09:42:12 2014 -0400

    Initialize int_seid to 0 in btavdtp dissector
    
    Fixes uninitialized read in fuzzed capture.
    
    While I'm there, reorder the fields to reduce alignment-padding and shrink the
    size of the sep_entry_t struct slightly.
    
    Bug:10095
    Change-Id: I3ace279e97874dbcfeb36f947c4c3428bd83e490
    Reviewed-on: https://code.wireshark.org/review/1574
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cfe3bfd
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri May 9 14:11:05 2014 +0200

    Add -Q for QtShark and change the dumpcap command to use number of
    packets.
    
    Change-Id: Ia4dc03e3722379d41804758feeafb655f26376e9
    Reviewed-on: https://code.wireshark.org/review/1573
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3f247a5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon May 5 11:50:24 2014 -0700

    Be less aggressive about rebuilding sminmpec.c.
    
    Instead of forcing developers to generate sminmpec.c (which will have
    different results depending on the presence or absence of a working
    Internet connection) add sminmpec.c back to the repository. I'll add
    it to the weekly update-numbers script so that it will be updated at
    the same time as manuf, services, enterprise-numbers, and usb.c.
    
    Change the Autotools, CMake, and Nmake sminmpec.c target name to
    "update-sminmpec".
    
    Remove the mtime check from make-sminmpec.pl. Update enterprise-numbers
    and sminmpec.c while we're here.
    
    Tested with an in-tree Autotools build and an out-of-tree CMake build.
    
    Change-Id: Iecc332ce2731e3e98ab0205a56c78807e599a026
    Reviewed-on: https://code.wireshark.org/review/1516
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e5cfd9e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 9 00:50:51 2014 -0700

    Squelch compiler warnings.
    
    Some are legitimate warnings - get_node_field_value() now returns a
    value that the callers are expected to g_free(), so we'd better not
    return a string constant.
    
    Change-Id: I937254316119044691c1d9a3da8c9615763e2e5a
    Reviewed-on: https://code.wireshark.org/review/1571
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a1b1c8b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 9 05:18:49 2014 +0000

    Revert "Refactor Wiretap"
    
    This reverts commit 1abeb277f5e6bd27fbaebfecc8184e37ba9d008a.
    
    This isn't building, and looks as if it requires significant work to fix.
    
    Change-Id: I622b1bb243e353e874883a302ab419532b7601f2
    Reviewed-on: https://code.wireshark.org/review/1568
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a651f3e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 9 05:20:20 2014 +0000

    Revert "Try to fix the build boot by changing the signature of catapult_dct2000_dump() to the declared one."
    
    This reverts commit f5a0d7e89753622bb11a6e27292c459a87ca9c67.
    
    There's a lot more work needed to fix this change; that's not the only broken file.  I'm going to be reverting the whole thing.
    
    Change-Id: I8e9bb3902f7e398ccb71c66711869c3dd338271c
    Reviewed-on: https://code.wireshark.org/review/1569
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9edba65
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 8 22:33:29 2014 -0400

    Use g_ alloced memory (instead of emem) when printing fields.  emem shouldn't be used for GUI functions.
    
    emem was exposed because of its memory limits trying to output PDML for a very large byte field in a capture file.
    
    bug:10081
    Change-Id: I6346dfdfb5f6381e16761a99291c4be7851185d9
    Reviewed-on: https://code.wireshark.org/review/1566
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f5a0d7e
Author: AndersBroman <a.broman@bredband.net>
Date:   Fri May 9 06:27:25 2014 +0200

    Try to fix the build boot by changing the signature of
    catapult_dct2000_dump() to the declared one.
    
    Change-Id: Ib9b38fb35ace1e858e8105a54a192c044899b69a
    Reviewed-on: https://code.wireshark.org/review/1567
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1abeb27
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 8 22:59:19 2014 -0400

    Refactor Wiretap
    
    Start of refactoring Wiretap and breaking structures down into "generally useful fields for dissection" and "capture specific". Since this in intended as a "base" for Wiretap and Filetap, the "wft" prefix is used for "common" functionality.
    
    The "architectural" changes can be found in cfile.h, wtap.h, wtap-int.h and (new file) wftap-int.h. Most of the other (painstaking) changes were really just the result of compiling those new architecture changes.
    
    bug:9607
    Change-Id: Ife858a61760d7a8a03be073546c0e7e582cab2ae
    Reviewed-on: https://code.wireshark.org/review/1485
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit aa3a968
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu May 8 21:32:36 2014 +0200

    Profiling show that g_log() takes a lot of CPU even when logging isn't
    active.
    
    Change-Id: I242f8e98a77861c0174e432c7026964babae7299
    Reviewed-on: https://code.wireshark.org/review/1565
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 379c9f2
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu May 8 21:25:13 2014 +0200

    Add a command option for dumpcap.
    
    Change-Id: Ic9a4b35f5a6245e0100f93c890622674e44413c6
    Reviewed-on: https://code.wireshark.org/review/1564
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d0cf941
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 8 17:29:36 2014 +0200

    Fix a whitespace after IKE_AUTH
    
    Change-Id: Id58da1f546ee5dff72cbc1bc012095ad0b9a9be5
    Reviewed-on: https://code.wireshark.org/review/1562
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a8456cc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 8 17:37:00 2014 +0200

    MAC LTE: add a comment explaining why g_hash_table_lookup_extended is used
    
    Change-Id: I9d7310359d5972c603396a802abc2a82b46fe57e
    Reviewed-on: https://code.wireshark.org/review/1563
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e46d144
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon May 5 17:30:03 2014 -0700

    Small fix to how number of traffic classes is displayed for ETS.
    Used proto_tree_add_uint_format_valu instead of append_text
    
    Change-Id: I6d3d6049655c0573b66249ce93ea850c15b1cb7b
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1522
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 8070155
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Thu May 8 14:47:51 2014 +0100

    Remove trailing whitespace
    
    Change-Id: Idf8f9aba4e020a278e7b779de13ecdbcfcc39776
    Reviewed-on: https://code.wireshark.org/review/1560
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 75bbbc2
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Thu May 8 11:19:29 2014 +0100

    Prettify a little, by showing ike2 flag values in flag root, and showing MID and flags in Info column
    
    Change-Id: I70884c933b3d82dfb7168352c5bed925f7e89e11
    Reviewed-on: https://code.wireshark.org/review/1554
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit a7ac739
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 8 14:48:47 2014 +0200

    MAC LTE: fix copy/paste error
    
    Change-Id: I59fd7745d454357d3eeaf48ed8700581a8aa0018
    Reviewed-on: https://code.wireshark.org/review/1556
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit f058946
Author: Peter Ross <peter.ross@dsto.defence.gov.au>
Date:   Wed Oct 16 10:00:03 2013 +1100

    packet-dis: correct 'Terminal Primary Mode' and 'Sync State' enumeration values
    
    SISO-STD-002 Standard for Link 16 Simulations, June 2006:
    http://www.sisostds.org/DigitalLibrary.aspx?Command=Core_Download&EntryId=30265
    
    Change-Id: Ic06c5f63b2da605cc3e3b14d001c81f87b98cdb4
    Reviewed-on: https://code.wireshark.org/review/1553
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 54be3ea
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 8 12:38:34 2014 +0200

    TCAP: set a fence on info column after calling sub dissector
    
    Bug: 10091
    Change-Id: I7af57345e31209fb4dd02cdab7960c44c69dc0a5
    Reviewed-on: https://code.wireshark.org/review/1555
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4eaf1c8
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 8 00:47:37 2014 +0200

    MAC LTE: get extended BSR sizes configuration from RRC
    
    Change-Id: I09afa7c17be5e0ed902a2c2f5ea9989df3380615
    Reviewed-on: https://code.wireshark.org/review/1550
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8352880
Author: Evan Huus <eapache@gmail.com>
Date:   Wed May 7 16:24:28 2014 -0400

    Recognize kafka's ConsumerMetadata message type
    
    actual dissection still TODO
    
    Change-Id: I58e54ca117a9ccd5d6af34d18f9277afd009aa95
    Reviewed-on: https://code.wireshark.org/review/1547
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 078daeb
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 4 17:20:34 2014 -0400

    Populate heuristic extension list during initialization and not during each call to heuristic_uses_extension.
    
    Change-Id: I7e484de65c49060793a91cc11cb211effa2006db
    Reviewed-on: https://code.wireshark.org/review/1494
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 18ee622
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Thu May 8 00:20:03 2014 +0200

    Add handling of TEXT and HTML types.
    
    Change-Id: Ife125be2c5043cc6cc1b879714671d9973c8214b
    Reviewed-on: https://code.wireshark.org/review/1549
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f3b6316
Author: Evan Huus <eapache@gmail.com>
Date:   Tue May 6 21:45:16 2014 -0400

    Use a strong hash function for ethernet addresses.
    
    The capture for bug 10078 caused the buildbot to time out; callgrind revealed an
    enourmous amount of time being spent looking up ethernet addresses. The previous
    code cast each address (6 bytes) to a guint64 (8 bytes) then used the built-in
    g_int64_hash. Unfortunately, g_int64_hash is an *awful* hash function - it
    produces a 4-byte hash by simply discarding the upper 4 bytes of its input.
    
    For the capture file in question this strategy (which effectively ignores the
    upper two bytes of each ethernet address) produced an astounding number of
    collisions, leading to the terrible running-time.
    
    Use wmem_strong_hash directly on the 6-byte address instead, which saves us a
    bunch of useless casting and bit-twiddling and produces a much better hash
    distribution. This shaves 20% off the time to tshark-with-tree the capture file
    in question *despite* a substantially more expensive hash function
    (wmem_strong_hash is not exactly fast compared to g_int64_hash).
    
    Bug:10078
    Change-Id: I8e81cbc478e6394ec3a8efe39eec08f680a55609
    Reviewed-on: https://code.wireshark.org/review/1543
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b07195a
Author: AndersBroman <a.broman@bredband.net>
Date:   Wed May 7 07:49:23 2014 +0200

    Fix a typo.
    
    Change-Id: I17171157350f985506ef8498c88814e319396bd6
    Reviewed-on: https://code.wireshark.org/review/1545
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3430987
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue May 6 17:12:13 2014 -0400

    Error out if someone passes the address of a pointer to a *_string to VALS() or RVALS().
    
    Change-Id: I85021b1cba151c16bf0a2d30169cf3dec77780f5
    Reviewed-on: https://code.wireshark.org/review/1540
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 24ca06f
Author: AndersBroman <a.broman@bredband.net>
Date:   Wed May 7 07:34:03 2014 +0200

    Make it pass the new check in checkapi
    "Error out if someone passes the address of a pointer to a *_string to
    VALS() or RVALS()."
    
    Change-Id: I1b5b9bbf512f8fdfaab5febea28db2c51d49c48c
    Reviewed-on: https://code.wireshark.org/review/1544
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9b78301
Author: Anish Bhatt <anish@chelsio.com>
Date:   Tue May 6 02:27:39 2014 -0700

    Further LLDP dissection cleanup
    
    Change-Id: I75f4ed401f63e993a2aefa1c289fd48fa00b46e2
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1528
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 45b6780
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 12:36:53 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I8727e74d0818f759f3c58c6f156b0b4e36eb7218
    Reviewed-on: https://code.wireshark.org/review/1465
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 8c167e1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 6 21:11:02 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I3c54712108978d1bafe2b5da96e6a7d3d41948b5
    Reviewed-on: https://code.wireshark.org/review/1535
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 6011d2e
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue May 6 17:53:28 2014 -0400

    "Reserved" is not a valid 'fieldconvert' value for an hf.
    
    Fixes (for real this time, I swear!) the fuzz failure reported in
    https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10079
    
    Bug: 10079
    Change-Id: I2a73ef32d704fc9ecc71fd983fc09cf4f9194b2e
    Reviewed-on: https://code.wireshark.org/review/1542
    Reviewed-by: Sean Onufer Stalley <sean.stalley@intel.com>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 398c81a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue May 6 23:41:26 2014 +0200

    PDCP LTE: add identification of ZUC based security algorithms
    
    Change-Id: I63a66bc5822ac04f1a2bccd3a15adac30b65e397
    Reviewed-on: https://code.wireshark.org/review/1541
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 2e16091
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue May 6 17:15:56 2014 -0400

    Don't pass the address of a pointer to a *_string to VALS() or RVALS().
    
    This is a followup to Ifc8d6895cc33ad1f00386a3e59926322bd501125; the MQ sample
    captures I have don't seg-fault on this but the code was stillw wrong.
    
    Change-Id: Ic689c06836b823a15217281d67b33580fd8e9823
    Reviewed-on: https://code.wireshark.org/review/1539
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ec5ba07
Author: Evan Huus <eapache@gmail.com>
Date:   Tue May 6 10:19:02 2014 -0400

    Tweak ber_choice flow control.
    
    There appear to be a couple of bugs in the flow control of this function (which
    is very confusing), at least one of which is leading to a buffer overrun. See
    the bug comments for more details and guesses of what the correct thing to do
    is.
    
    Bug:9579
    Change-Id: Ibd3077792c7689a715ea53e8bf8c7a561c67389f
    Reviewed-on: https://code.wireshark.org/review/1530
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d3a1cde
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Tue May 6 12:30:51 2014 -0700

    fix dissect_usb_endpoint_descriptor
    
    dissect_usb_endpoint_descriptor uses usb_trans_info, but the signature
    contains a _U_ macro.
    
    Change-Id: I87fe6d91d5f8cf15926bf2dfd6381a256cd0785d
    Reviewed-on: https://code.wireshark.org/review/1537
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ef24d48
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue May 6 15:51:57 2014 -0400

    VALS() doesn't take the address of a (pointer to a) value_string, it takes
    a pointer to a value_string.
    
    Fixes the fuzz failure reported in
    https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10079
    
    Bug: 10079
    Change-Id: Ifc8d6895cc33ad1f00386a3e59926322bd501125
    Reviewed-on: https://code.wireshark.org/review/1538
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9a51c1e
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Tue May 6 12:12:09 2014 -0700

    Added check for MAUSB length being multiple of a DWORD.
    
    MAUSB Packets should always be sent in DWORDs. This means that the
    only valid values for the length field are multiples of 4.
    This patch adds an expert info check to flag length fields that are
    multiples of 4.
    
    Change-Id: Ifb793f82aed4c9fb09a12f6ea97087733b58d14a
    Reviewed-on: https://code.wireshark.org/review/1536
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d73fc0b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 6 21:10:21 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ib4bbf1fa048cde14baf10bd31342b3c75e10b544
    Reviewed-on: https://code.wireshark.org/review/1534
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c0fbe0d
Author: Evan Huus <eapache@gmail.com>
Date:   Tue May 6 14:26:18 2014 -0400

    Update kafka dissector closer to latest spec
    
    Some new error values, some message types that have been "undocumented" as
    internal-only, etc.
    
    Change-Id: Iff15dd67b188c9e2745964d4916b22e0bea4243d
    Reviewed-on: https://code.wireshark.org/review/1533
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3851e09
Author: Evan Huus <eapache@gmail.com>
Date:   Tue May 6 12:03:22 2014 -0400

    Fix macro parens to avoid unexpected behaviour
    
    Based on Icfe1e5477043dd695fd9b02b677ef29ac3fa8866 but rebased and simplified.
    
    Change-Id: I9b7266e2fdcb58f38115250d785637cd585c69e0
    Reviewed-on: https://code.wireshark.org/review/1532
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 910ab7b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Mar 24 11:10:48 2014 +0100

    Enhance Microsoft NLB dissection
    
    Rewrite from Microsoft Network Monitor dissector
    
    Based from NPL dissector
    https://nmparsers.codeplex.com/SourceControl/latest#Develop_Branch/NPL/Windows/nlb.npl
    
    No yet support type Reliable Protocol (no found pcap with this pcap)
    
    Change-Id: Ic5aa68798a629f9e0ad15337b192a1fe180ae62c
    Reviewed-on: https://code.wireshark.org/review/1464
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 037fb82
Author: David Ameiss <netshark@ameissnet.com>
Date:   Tue May 6 09:18:29 2014 -0500

    Minor changes to LBM dissectors:
    (1) Display sequence numbers in both decimal and hex
    (2) Fix an inconsistency in field naming between LBT-RU and LBT-RM.
    
    bug:9718
    Change-Id: I967062d6aa00ea9a3db51db94e56d37e68e642d3
    Reviewed-on: https://code.wireshark.org/review/1531
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4e82d2e
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 6 15:45:41 2014 +0200

    sigcomp: Add buffer check to STATE-ACCESS
    
    Two conditions were not checked, state_length == 0 && state_begin != 0
    and the boundaries of the state buffer. The former is not a big deal,
    but the second issue causes a buffer overrun (detected by ASAN).
    
    The buffer size is supposed to be stored in the state buffer, that was
    not the case for the initial two SIP SDP and Presence state buffers.
    Fix a typo for presence_buf zero-ing while at it.
    
    Bug: 9601
    Change-Id: I41dde83185da60b670cca010ecc7b2a2aaaedeb9
    Reviewed-on: https://code.wireshark.org/review/1529
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a915de5
Author: Anish Bhatt <anish@chelsio.com>
Date:   Tue May 6 00:45:42 2014 -0700

    Fix build failures caused by lldp cleanup
    
    Change-Id: I4d4aeb71720f02e4a6f4a8e5f803fd63dc7aed81
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1524
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit da00889
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 6 09:55:59 2014 +0200

    Add a cast to make MSVC happy.
    
    Change-Id: Iee901ae56c796007821c1754056c61954e8a342f
    Reviewed-on: https://code.wireshark.org/review/1526
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 72662c2
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 6 09:47:08 2014 +0200

    Try to fix
    packet-mysql.c(1446) : warning C4244: 'function' : conversion from 'guint64' to 'gint', possible loss of data
    
    Change-Id: Ie0b2e916e0d15287f5a3ededc404b678b45600d8
    Reviewed-on: https://code.wireshark.org/review/1525
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a4a851c
Author: Jess Balint <jbalint@gmail.com>
Date:   Sat Apr 5 14:44:26 2014 -0400

    MySQL protocol dissector: Add support for sessiontracking in MySQL 5.7.4.  Bug 9948.
    
    Change-Id: Ia451bfff571c4da280ccf76b1d5ac9dfcfead78c
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/916
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ecc6b8d
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Mon May 5 22:22:29 2014 +0200

    Move common part of col_append_fstr, col_append_sep_fstr to seperate fnction.
    
    From the comments I think it was intended - but there were no G_VA_COPY macro in glib (?).
    
    Change-Id: Ic1e1d4a5ac9e5b8f27f25487416c0ededeed2093
    Reviewed-on: https://code.wireshark.org/review/1518
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 209f82a
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon May 5 00:49:54 2014 -0700

    Cleanup LLDP dissection, convert add_text to tree items.
    Just started on this, more changes incoming
    
    Change-Id: Idc88442f382cea1f29f05edb991b920488cfc113
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1502
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit be3a153
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Mon May 5 21:53:01 2014 +0200

    tcp: move & optimize printing tcp flags to seperate routine.
    
    The formatting routine is quite simple so it can be replaced with
    g_stpcpy() and still keeping it clean.
    
    Change-Id: Ifbab1dc1140ee271d39bbbfb7586cfda6ded5c54
    Reviewed-on: https://code.wireshark.org/review/1517
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f764765
Author: Evan Huus <eapache@gmail.com>
Date:   Mon May 5 22:25:27 2014 -0400

    Increase the work used to time wmem allocators
    
    It appears that on some platforms the timer underlying g_test_timer() is
    relatively low-precision, so the small amount of work that we were previously
    doing was not enough for the timer to provide a useful value.
    
    Bumping the amount of work should provide more meaningful values, and the whole
    timing step still takes only a few seconds.
    
    Change-Id: Idce1386eaa33add845d9a2758b0beb72bbf370d6
    Reviewed-on: https://code.wireshark.org/review/1523
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 542b4e6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon May 5 22:32:33 2014 +0200

    MAC/RLC/PDCP LTE: replace obsolete APIs
    
    Change-Id: I5368cc7b1986c6a87cb70a3fd3cb5e589d73f870
    Reviewed-on: https://code.wireshark.org/review/1520
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit eecc135
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Mon May 5 13:26:23 2014 -0700

    Added parentheses to macros to prevent unexpected behavior
    
    Masks for padding now have an additional parenthesis to ensure
    proper operator precedence.
    
    Per the request of Evan Huus; See comment in Change-Id:
    I3ad4e1beb891f9c2835adff320095e7e738241eb, Patch Set 10.
    
    Change-Id: Ic8878f870b58cd272675b4d6c3658a029bb67984
    Reviewed-on: https://code.wireshark.org/review/1519
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2975593
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 5 11:22:25 2014 -0700

    libnl is a Linux-specific library; don't offer libnl support except on Linux.
    
    Change-Id: I79a98d1f9b3559fe76feed1038d673dd3424409c
    Reviewed-on: https://code.wireshark.org/review/1515
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e35ccba
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 5 18:12:32 2014 +0200

    Add RFC6463 (Runtime Local Mobility Anchor (LMA) Assignment Support
    for Proxy Mobile IPv6) MIP6 Mobile Option
    
    Change-Id: I650cb33fcf083bd8826a702cb975295518012292
    Reviewed-on: https://code.wireshark.org/review/1511
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2aa66aa
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 16:15:06 2014 +0200

    SSH Dissector : Remove ssh_proto_tree_add_item (No longer needed)
    
    Change-Id: I6d227ad7a4ddfab9d2cf18a3148700a6bd6dd321
    Reviewed-on: https://code.wireshark.org/review/1512
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 09a9c86
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon May 5 17:37:12 2014 +0200

    Add the possibillity to add a string to the termination id.
    
    Change-Id: I3b48b28273a8c1a1558045d2a4ab5104160840de
    Reviewed-on: https://code.wireshark.org/review/1510
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 326202f
Author: Evan Huus <eapache@gmail.com>
Date:   Mon May 5 11:25:25 2014 -0400

    Solaris doesn't like anonymous unions
    
    so give it a name
    
    Change-Id: Iaf9a6f8cb58a565673f53696f7e5d1698e6eae0f
    Reviewed-on: https://code.wireshark.org/review/1509
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 33586a0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 5 13:33:59 2014 +0200

    OpenFlow 1.4 OXM field OXM_OF_IPV6_ND_SLL incorrectly dissected (128 bits read instead of 48)
    
    Dissection of OXM_OF_IPV6_ND_SLL triggers "malformed packet" comment in packet list since it makes dissecting of further OXM fields impossible.
    
    It is possible that similar issue will be with OXM_OF_IPV6_ND_TLL since its dissecting is basically the same.
    
    Issue found by Viktor
    Closed-bug:10011
    
    Change-Id: I21b85cc0572ffdb8bb8b73cfae0db1d72219fe4b
    Reviewed-on: https://code.wireshark.org/review/1505
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ce282a7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 5 13:33:59 2014 +0200

    OpenFlow 1.3 OXM field OXM_OF_IPV6_ND_SLL incorrectly dissected (128 bits read instead of 48)
    
    Dissection of OXM_OF_IPV6_ND_SLL triggers "malformed packet" comment in packet list since it makes dissecting of further OXM fields impossible.
    
    It is possible that similar issue will be with OXM_OF_IPV6_ND_TLL since its dissecting is basically the same.
    
    Issue found by Viktor
    Closed-bug:10011
    
    Change-Id: I13893710ad4028669e454c6f8485f719b62bcaab
    Reviewed-on: https://code.wireshark.org/review/1504
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0523c2d
Author: Evan Huus <eapache@gmail.com>
Date:   Mon May 5 10:49:03 2014 -0400

    Fix build with older compilers
    
    The struct literal syntax {0} does not appear to be universally supported - use
    memset instead.
    
    Change-Id: If70d475cf3d7a582c43dcc879cefebc9aef0a99e
    Reviewed-on: https://code.wireshark.org/review/1508
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a1ddde9
Author: Jan Seda <hodor@hodor.cz>
Date:   Thu May 1 17:23:07 2014 +0200

    SSH dissector: fix MAC length calculation for recent OpenSSH features
    
    Also, show the packet length part of the encrypted packet.  The length may
    be encrypted (typical) or not (-etm modes and GCM mode). When not
    encrypted, show as a number.
    
    Bug:10066
    Change-Id: I8c3a943b1b527b326b662e71f07ac6157684d5d9
    Reviewed-on: https://code.wireshark.org/review/1462
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit ac99cfd
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Wed Feb 5 16:03:15 2014 -0800

    Media Agnostic USB Packet Dissector
    
    This dissector dissects MA USB Packets. It is capable of dissecting
    Media Agnostic packets both in a TCP stream as well as packets sent
    over SNAP (referred to in spec as "Raw Ethernet" mode).
    
    Change-Id: I3ad4e1beb891f9c2835adff320095e7e738241eb
    Signed-off-by: Sean O. Stalley <sean.stalley@intel.com>
    Reviewed-on: https://code.wireshark.org/review/1252
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 9361938
Author: Evan Huus <eapache@gmail.com>
Date:   Mon May 5 09:03:46 2014 -0400

    Fix dead assignment found by clang in test code
    
    Change-Id: Ie78769bfd8034f6c2ee7d9e26a209d650cedb98d
    Reviewed-on: https://code.wireshark.org/review/1507
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a0b76c9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 5 14:03:25 2014 +0200

    Allow IPv6 Mobility Option Service Selection with option length = 1
    
    According to RFC 5149 (http://tools.ietf.org/html/rfc5149#section-3), the Service Selection mobility option length must be between 1 and 255.
    
    Discovered while working on Pcap.Net, http://pcapdot.net.
    Found by Boaz
    
    Change-Id: I6d9e9eba8c45b5a6c38523182069ab0f236d85bb
    Closed-bug:10045
    Reviewed-on: https://code.wireshark.org/review/1506
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 402bbcb
Author: Evan Huus <eapache@gmail.com>
Date:   Mon May 5 07:30:43 2014 -0400

    Reduce wmem fast-block fuzz rounds even further
    
    Follow-up to g19e650f43adf23b0aa92821bff0cc389643944f6 since the fuzz-bot is
    still failing.
    
    Change-Id: I2d05a861b0edf50ce734b682e6e3e33729bf6771
    Reviewed-on: https://code.wireshark.org/review/1503
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 491a321
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 5 08:44:27 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I35ed4c0ecc28dee57d7a4cac8ddbf43d16b39677
    Reviewed-on: https://code.wireshark.org/review/1501
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 56b8c9e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 5 08:42:33 2014 +0200

    Fix indent (use tab) and modelines
    
    Change-Id: Ibff9e0564f2786e8a51b8884724c322725fdf147
    Reviewed-on: https://code.wireshark.org/review/1500
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 16dfe11
Author: Evan Huus <eapache@gmail.com>
Date:   Mon May 5 00:06:51 2014 -0400

    Several tweaks to fast block allocator
    
    - manually inline wmem_block_fast_add_to_block_list, it was only two lines and
      only called twice, so the function boilerplate was outweighing the abstraction
    
    - change free_all to release all but one block to the OS immediately, making gc
      a no-op; the alloc logic doesn't reuse later blocks anyways, so this was
      effectively a leak
    
    Change-Id: I033fbb2f3d87e58c7346cba10f2c710eaaa49e9f
    Reviewed-on: https://code.wireshark.org/review/1499
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bf3fbb3
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 4 09:12:46 2014 -0400

    Add dissector for 3GPP2 A21/S102 protocol.
    
    Change-Id: I611c217e1eec47da7427c0317ed9416b4c52411a
    Reviewed-on: https://code.wireshark.org/review/1487
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 984e522
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Sun May 4 23:06:54 2014 +0200

    Fix possible buffer overflow in col_append_sep_fstr()
    
    After appending separator it might happen that len > max_len, in such case
    g_vsnprintf() will overflow the col_buf buffer.
    
    Change-Id: Ic5ff49d30e30509e835165c4cc7e72e31f92fd5f
    Reviewed-on: https://code.wireshark.org/review/1493
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit f13bbf2
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Sun May 4 23:55:18 2014 +0200

    Fast block allocator: make wmem_block_fast_hdr_t single linked list.
    
    Double linked list was required by jumbo allocation.
    No support for jumbo -> no need for double linked list -> have only 'next' pointer in header.
    
    Change-Id: I48a0f468ebba9db3a63548d8e7307b6424c759ed
    Reviewed-on: https://code.wireshark.org/review/1495
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 8f2f727
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 4 20:11:45 2014 -0700

    Not finding a non-required package is *NOT* an error!
    
    If you think not finding a package that the user specifies should be
    used should be an error, please fix bug 10074 first - not finding a
    package that the user *didn't* specify should be used or shouldn't be
    used should not be an error.
    
    Change-Id: I62aba4309e227352e114f2d291aaa74dba78840f
    Reviewed-on: https://code.wireshark.org/review/1498
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0b0c98a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 4 20:06:43 2014 -0700

    set(<variable>) *undefines* the variable; a value must be specified.
    
    When setting the XXX_REQUIRED variables, set them to TRUE.
    
    Change-Id: I1591ffe221e15d65cb64516a45e9dc8461051373
    Reviewed-on: https://code.wireshark.org/review/1497
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 19e650f
Author: Evan Huus <eapache@gmail.com>
Date:   Sun May 4 18:23:08 2014 -0400

    Fuzz fewer iterations of the fast block allocator
    
    I believe the XP buildbot failures are simply running out of memory, so
    hopefully reducing the number of iterations should be enough to let it finish
    reliably.
    
    Change-Id: I40af789d528c2623e95f153529205b5e617c6e02
    Reviewed-on: https://code.wireshark.org/review/1496
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 6c7ab45
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 4 22:24:33 2014 +0200

    MAC LTE: fix compilation error
    
    error: assignment discards 'const' qualifier from pointer target type [-Werror]
    
    also add the missing definition of hf_mac_lte_bsr_size_median
    
    Change-Id: I31e172a16b4afd59ba8cf5a9b281bbeaf15b6c56
    Reviewed-on: https://code.wireshark.org/review/1492
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 1d1730f
Author: AndersBroman <a.broman@bredband.net>
Date:   Sun May 4 21:20:54 2014 +0200

    Update some soft-deprecated APIs.
    
    Change-Id: I0e255e72dd4cd9a94a4f92af409c4b34c0a266ed
    Reviewed-on: https://code.wireshark.org/review/1491
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e7a51d7
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 4 08:04:30 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-04]
    
    Change-Id: Idd150c8d2a7f4e5368ca80c35ae920fb40944f1d
    Reviewed-on: https://code.wireshark.org/review/1488
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit bdfe17f
Author: David Ameiss <netshark@ameissnet.com>
Date:   Tue Apr 8 17:13:45 2014 -0500

    GUI modules for LBM aka 29West dissectors.
    
    bug:9718
    Change-Id: I05330d8a2475ad0d238723d444f3d98bdbd7be39
    Reviewed-on: https://code.wireshark.org/review/1041
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9606ec5
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat May 3 21:11:31 2014 -0400

    Remove enabling HAVE_SNOW3G by default
    
    Change-Id: Ie1af436b763ec762a41af0bdfc1f3ec6adea2bc1
    Reviewed-on: https://code.wireshark.org/review/1486
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1ddce8b
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat May 3 22:31:02 2014 +0100

    Have RRC tell MAC about RAPID ranges so it can show for RAPIDs seen
    
    Change-Id: Ie9adbe3015c63e53997068053b6f8ec224a5bf82
    Reviewed-on: https://code.wireshark.org/review/1474
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 32e3e41
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat May 3 22:36:56 2014 +0100

    Update TODO comments
    
    Change-Id: I4ea940be5b65c041bdd330bfc2bdbe9a00360d00
    Reviewed-on: https://code.wireshark.org/review/1475
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit a394d44
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 17:24:08 2014 +0200

    LLDP: Remove packet-lldp.h
    
    Change-Id: If6d1fd1b7961f975447db43f616e016f70ca5cb8
    Reviewed-on: https://code.wireshark.org/review/1473
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 59a4a85
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 16:40:04 2014 +0200

    ECP dissector Remove packet-lldp.h depends
    * Fix indent (use tabs)
    * Use VDP function for end VTPDU
    
    Change-Id: I93216ac5b304dc3ba78cbe830e5d12589c138eb5
    Reviewed-on: https://code.wireshark.org/review/1472
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit b7d6055
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 16:41:53 2014 +0200

    Move value string of LLDP OUI to epan/oui.h
    
    Change-Id: I3d9ddbae60631c958880574e7e441a931db3492d
    Reviewed-on: https://code.wireshark.org/review/1471
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 5f23901
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Tue Apr 29 08:57:40 2014 +0200

    wmem: add new simple block allocator, use it in packet-scope.
    
    For packet-scope allocation, there's no need to support realloc(), free()
    cause memory will be garbage collected after packet dissection.
    
    (and this allocator is much faster than full block allocator).
    
    Change-Id: I73fdf708c3077f48f55bdcc71f4fa859e4ac2335
    Reviewed-on: https://code.wireshark.org/review/1428
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fa84054
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 1 19:04:13 2014 +0200

    Enhance display of SPDY packet (Remove some information from column)
    
    Fix also tvb_length / tvb_length_remaining soft warning
    
    Change-Id: I3fd8f3a842fa84273b84ae36317e2c3fbdca076d
    Reviewed-on: https://code.wireshark.org/review/1461
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 13e8983
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 16:19:08 2014 +0200

    Add modelines info
    
    Change-Id: I35bed12af5e0a2da9daf2fb5b6dfdfe05377549e
    Reviewed-on: https://code.wireshark.org/review/1470
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c27ad66
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 16:18:49 2014 +0200

    Add modelines info
    
    Change-Id: I82f841e0ee9e00c69894d8c4c67f581278c87546
    Reviewed-on: https://code.wireshark.org/review/1469
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit abc3879
Author: Evan Huus <eapache@gmail.com>
Date:   Fri May 2 10:09:13 2014 -0400

    Reintroduce wmem_allocator_force_new
    
    We now have to call wmem_init in order to randomly seed the values for wmem_map.
    This means we can no longer rely on the lack of override, so we have to force
    the right allocator type when testing/timing the allocators themselves.
    
    Change-Id: I005034465b0a98f19876899b96ef65b3e4b1d759
    Reviewed-on: https://code.wireshark.org/review/1468
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f181756
Author: Evan Huus <eapache@gmail.com>
Date:   Fri May 2 09:53:33 2014 -0400

    Optimize wmem_strbuf_grow.
    
    As suggested by Anders, in the case of repeated calls to wmem_strbuf_append_c
    (and other functions which append very little data) the growth check was a
    substantial portion of the over-all running time. By short-circuiting the check
    in the case where growth isn't needed (as opposed to letting it fall-through
    naturally) we shave ~25% off the cost of such repeated calls in my benchmarks.
    
    The function (wmem_strbuf_grow) is inline, so the compiler should be able to
    optimize each caller individually for the short-circuit.
    
    Change-Id: I76419020f4d8fa675906eb77798969b6c61c7732
    Reviewed-on: https://code.wireshark.org/review/1467
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 34fa169
Author: Marcel Essig <marcel.essig@gmx.de>
Date:   Fri Apr 25 08:16:12 2014 +0200

    Add a new Dissector for HiSLIP
    
    Change-Id: I87aaf4c8093ee8013a661aa8af81dba63eaa7086
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/1337

commit 2b2d8a9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 2 14:31:23 2014 +0200

    Fix Dereference of null pointer found by Clang analyzer
    
    Also add modeline info and use _U_ only when it is needed (for pinfo)
    
    Change-Id: I71349d6451e1d8304fad04781e5ee226a1a4c729
    Reviewed-on: https://code.wireshark.org/review/1466
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b5120cd
Author: Anish Bhatt <anish@chelsio.com>
Date:   Wed Apr 30 17:21:14 2014 -0700

    Add support for Logical Link Down TLV.
    TLV is 1 octet long, and only MSB holds info with 7 unused bits
    
    Change-Id: Ic1f5ce1b774bb7439cd2a23bc9bfb44f7dc25888
    Signed-off-by: Anish Bhatt <anish@chelsio.com>
    Reviewed-on: https://code.wireshark.org/review/1450
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4d55a12
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 1 19:38:21 2014 +0200

    MBIM: dissect MBIM_SET_STK_PAC and MBIM_STK_PAC_INFO messages
    
    Change-Id: Ib58dece7ce7278e292d88f68368c238695c32394
    Reviewed-on: https://code.wireshark.org/review/1463
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a42b04e
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu May 1 10:58:22 2014 -0400

    Remove 'include win32.mak' from certain nmake files when not needed.
    
    Change-Id: I05a505d884abb5fd7fca87bb89af29e3e4502b74
    Reviewed-on: https://code.wireshark.org/review/1460
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 5410fab
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu May 1 10:56:27 2014 -0400

    Add a comment re certain variables beibg defined in win32.mak.
    
    Change-Id: I9246a1786a5bf8c48744378f25a66f6881caed81
    Reviewed-on: https://code.wireshark.org/review/1459
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit b31381d
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu May 1 10:54:27 2014 -0400

    Add a comment re VS2013EE requiring that win32.mak needs to be separately obtained.
    
    Change-Id: I53413f7bdde50149fd923bbe35c995145d5139f2
    Reviewed-on: https://code.wireshark.org/review/1458
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 6a80524
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Apr 25 20:01:35 2014 -0400

    Cleanup SPDY dissector.
    
    Address Evan's missed comments from https://code.wireshark.org/review/767/
    
    From Alexis La Goutte
    Fix unused variable (pinfo) and fix crash (wrong variable in while)
    
    Change-Id: I1b134585f4d522d3e808069f606beb4aae0488fa
    Reviewed-on: https://code.wireshark.org/review/1164
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit dedc090
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 1 14:34:19 2014 +0200

    Fix -Wunreachable-code found by Clang
    
    Change-Id: I895194655ff674fff5e84fa93b3f9a00a0f70e27
    Reviewed-on: https://code.wireshark.org/review/1457
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d3d4fb9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Apr 28 08:59:17 2014 +0200

    Add OSPF Authentication Trailer (RFC6506)
    
    Change-Id: Ie5c536a6977e35acc12222af3c48d29740cd57f2
    Closed-bug:9941
    Reviewed-on: https://code.wireshark.org/review/1440
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 523fbe2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 1 14:29:52 2014 +0200

    Unreachable code in ui/gtk/main.c
    
    Unreachable code due to conflicting defines: checking for GTKOSXAPPLICATION inside _WIN32
    
    Found by Edwin
    
    Closed-bug: 10065
    Change-Id: I074fa14069e859b3fc4b7f50c443a67e7f0e954b
    Reviewed-on: https://code.wireshark.org/review/1456
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 583a47c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 1 14:25:33 2014 +0200

    Fix Dereference of null pointer found by Clang analyzer
    
    packet-teamspeak2.c:456:21: warning: Access to field 'fragmented' results in a dereference of a null pointer (loaded from variable 'frag')
    
    Change-Id: Ie253991f8d664c4594254bcd4569883614aafe2f
    Reviewed-on: https://code.wireshark.org/review/1455
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 601dc73
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 1 14:19:35 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I8ab25b1a3326ade46408ebd2e14cf841191c57d9
    Reviewed-on: https://code.wireshark.org/review/1454
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 39b533e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 1 14:14:35 2014 +0200

    Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Id38f366c04edcf3326b323fc851a6644a942d79d
    Reviewed-on: https://code.wireshark.org/review/1453
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fbd3c93
Author: Michał Orynicz <michal.orynicz@tieto.com>
Date:   Mon Apr 28 15:52:15 2014 +0200

    Fix procedure of finding packages
    
    Before this change the code using make package was just showing
    a string ${PACKAGE_VAR}_FOUND instead of showing if the
    ${PACKAGE_VAR}_FOUND variable was set true by find_package function.
    Now the user will be informed about which packages were not found
    and an error will be raised, as packages sought are the ones that
    are selected for the build.
    
    This change also ads fixes to some improper PACKAGE_VAR
    variables that prevented find_package from finding
    proper packages.
    
    Change-Id: Ic20bc50ace65bab385059a7430909f95367520a3
    Reviewed-on: https://code.wireshark.org/review/1410
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2f960b7
Author: Niels de Vos <ndevos@redhat.com>
Date:   Mon Apr 28 15:54:05 2014 +0200

    gluster: add support for GlusterD v3 procedures
    
    The GlusterD Management protocol has been updated to version 3. All procedures are implemented with this change.
    
    This change also takes care of converting values passed in a dictionary
    to real and displayable GUIDs.
    
    Change-Id: I93808eda393745aa9ab3b986a6b7997f6f80df50
    Reported-by: Vikhyat Umrao <vumrao@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: https://code.wireshark.org/review/1411
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 60c580d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 1 13:31:56 2014 +0200

    AT: do not always prepend "/" to protocol name
    
    Change-Id: Ice043e0355ea4d9112b377398079c94e66e35cc8
    Reviewed-on: https://code.wireshark.org/review/1452
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6e21a4b
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu May 1 11:10:22 2014 +0200

    Try to fix warning C4244: '-=' : conversion from '__int64' to 'int',
    possible loss of data
    
    Change-Id: I8cf74090e507f21eebfb40d72a3630d9f9bb0390
    Reviewed-on: https://code.wireshark.org/review/1451
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a53cd45
Author: Sean O. Stalley <sean.stalley@intel.com>
Date:   Wed Apr 30 16:56:50 2014 -0700

    Fixed typo in docbook (usuall to usually)
    
    Change-Id: I1aad1d6487cb6acd52bb851c08d9c4965bbb9f55
    Reviewed-on: https://code.wireshark.org/review/1449
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4be5e4d
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Wed Apr 30 23:46:18 2014 +0200

    Document to_str-int.h functions.
    
    Change argument name of hex_to_str_back pad->len it seems to sounds better.
    Make uint_to_str_back_len() value uint32, to be sure about required buffer size.
    
    Change-Id: I48fd560683c5c0845cbb60813887a18328ec01e6
    Reviewed-on: https://code.wireshark.org/review/1448
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b3bb951
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Wed Apr 30 21:39:54 2014 +0200

    Optimize display_signed_time() - remove g_snprintf
    
    When tshark is printing columns (default) display_signed_time() is called for every frame.
    Current implemention is using g_snprintf() which makes this function costly when there is lot frames.
    
    Change-Id: I109c8699d38bfbd05475d457ae4173e937c6812d
    Reviewed-on: https://code.wireshark.org/review/1447
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5dfd543
